gnome-software (1:46.1-1furios0+git20240520022418.8d590cc.trixie.production) trixie; urgency=medium

  [ Bardia Moshiri ]
  * circleci: add configs

  [ Adrien Plazas ]
  * Update French translation
  * Set program name as the application ID
  * appdata: Update URLs to GitLab
  * appdata: Move the donation URL from HTTP to HTTPS
  * app-row: Wrap the warning label
  * shell: Refactor the view switcher
  * shell: Fix the indentation
  * shell: Use HdyApplicationWindow
  * flatpak: Pin polkit down
  * screenshot-image: Add gs_screenshot_image_set_description()
  * details-page: Give a fixed bin to all elements
  * details-page: Use a carousel for the screenshots
  * meson: Bump libhandy to 1.2.0
  * loading-page: Use HdyStatusPage
  * shell: Centralize mode retrieval in gs_shell_get_mode()
  * shell: Split the loading page
  * shell: Fix the indentation
  * shell: Split the modes in decks
  * shell: Fix the indentation
  * page: Replace implementing GtkScrollable by a virtual property
  * updates-page: Use HdyStatusPage
  * style: Add the .list-page style class
  * installed-page: Modernize the lists style
  * shell: Make the search bar adaptive
  * style: Make .list-page handle plain lists too
  * search-page: Modernize the list style
  * style: Drop the now unneeded .full-page-app-list
  * updates-page: Add a clamp to the spinner page
  * style: Add clamp.status-page
  * updates-page: Improve the "updates loading" page style
  * shell: Add page widgets to the right header
  * shell: Connect the search entry to the search bar
  * app-row: Properly internationalize the source string
  * install-appstream: Properly internationalize "%s: %s" strings
  * extras-page: Properly internationalize "%s: %s" strings
  * progress-button: Don't special-case 0% and 100%
  * application: Set the icon theme resource path
  * category-page: Drop min children per line
  * feature-tile: Drop the width request
  * progress-button: Allow showing an icon
  * app-row: Add is-narrow property
  * app-row: Add show-description property
  * app-row: Set icons for various actions
  * app-row: Rework the sizing
  * app-row: Drop the minimum button width
  * app-row: Don't show an insensitive button when narrow
  * app-row: Hide boxes with their content
  * app-row: Expand the name when there is no description
  * installed-page: Don't show the description
  * installed-page: Add the is-narrow property
  * shell: Set the installed page in narrow mode when folded
  * Merge branch 'installed-page' into 'master'
  * installed-page: Fix a copy-paste issue in a property description
  * shell: Add a view switcher to the main header bar
  * shell: Add the is-narrow read-only property
  * shell: Stop using the sidebar
  * shell: Use the app name as the main header title
  * shell: Remove the now unused leaflets
  * shell: Merge the title and content areas
  * shell: Rename search and menu buttons
  * shell: Fix the indentation
  * Drop GsSidebar
  * shell: Bind the details page's title with its header
  * overview-page: Set the selection mode to none
  * overview-page: Make the flowbox child non-focusable
  * style: Make the section styling more versatile
  * Group the width of button labels and button images separately
  * installed-page: Typo fix
  * details-page: Ellipsize the origin label after 20 chars
  * search-page: Use HdyStatusPage for the empty state
  * updates-page: Simplify the updates spinner description
  * shell: Make gs_shell_modal_dialog_present() use GtkWindow
  * prefs-dialog: Make it a HdyPreferencesWindow
  * prefs-dialog: Update the labels
  * progress-button: Respect use-underline
  * style: Increase the spacing in the Update Preferences
  * updates-section: Add the is-narrow property
  * updates-page: Add the is-narrow property
  * shell: Make the updates page respect the narrow state
  * updates-section: Make the constructor return the proper type
  * updates-section: Style it like other sections
  * updates-section: Don't show the description
  * updates-page: Use the default clamp size
  * updates-page: Hide the Checking… label on narrow width
  * Make system component icons non-symbolic
  * Replace application-x-executable by a new icon
  * Replace application-x-addon by a new icon
  * Replace application-x-firmware by system-component-firmware
  * Unconditionally apply .icon-dropshadow
  * Add GsPicture
  * screenshot-image: Use GsPicture
  * screenshot-carousel: Drop the hardcoded width
  * common: Drop unused gs_image_set_from_pixbuf_with_scale()
  * details-page: Drop the global width request
  * picture: Resize when setting the pixbuf
  * Merge branch 'picture-resize' into 'main'
  * stylesheet: Support the toolbox style
  * style: Fix the content tile borders
  * shell: Show the search button only in the right modes
  * shell: Switch to the search mode with Ctrl+F
  * shell: Update the header widgets in the search mode
  * search-page: Add a page for the empty search status
  * style: Make .view.tile mimick the style of list.content
  * gs-repos-dialog: Improve layout and make other UI tweaks
  * category-tile: Don't use the .view style class
  * category-page: Sets the horizontal margin to 12px
  * Replace GsFixedSizeBin by HdyClamp
  * Drop GsfixedSizedBin
  * details-page: Set a 12px horizontal margin around all clamps
  * update-dialog: Make it a HdyWindow
  * update-dialog: Use HdyStatusPage for the empty state
  * update-list: Drop the row header
  * update-dialog: Use HdyPreferencesPage for the installed updates
  * Add GsAppDetailsPage
  * Add GsOsUpdatePage
  * update-dialog: Use a HdyDeck for subviews
  * update-dialog: Simplify the API
  * update-dialog: Fix the indentation
  * app-row: Shrink the title only when there is a description
  * update-list: Don't show the description
  * app-details-page: Simplify dropping all children
  * respos-section: Use the content style class
  * repos-section: Make it a HdyPreferencesGroup
  * repos-dialog: Use HdyStatusPage for the empty state
  * repos-dialog: Use HdyPreferencesPage
  * app-dialog: Expand the No Metadata tile
  * repos-dialog: Make it a HdyWindow
  * repos-dialog: Give it a minimum width of 360px
  * overview-page: Set the clamp's tightening threshold
  * category-tile: Allocate more space to the text
  * category-tile: Make the text size adaptive
  * app: When retrieving an icon, fall back to scale 1
  * repos-dialog: Correctly set section descriptions
  * repos-dialog: Lower the Libhandy version check
  * Polish the page sizes
  * first-run-dialog: Make it a HdyWindow and use HdyStatusPage
  * shell: Set a minimum width of 360px
  * shell: Add the .narrow style class when narrow
  * description-box: Drop the forced width in chars
  * app-context-bar: Make it specialize GtkBox
  * app-context-bar: Split the tiles in two boxes
  * app-context-bar: Fix the indentation
  * review-row: Make it a box of boxes
  * review-row: Fix the indentation
  * review-row: Wrap the report label
  * details-page: Add the is-narrow property
  * details-page: Make some boxes vertical when narrow
  * details-page: Make the icon size consistent
  * details-page: Make the header spacing adaptive
  * details-page: Make header labels smaller when narrow
  * details-page: Make header margins smaller
  * details-page: Add some margin above the title
  * details-page: Let the inforbar text wrap
  * assets: Make the up-to-date picture fit phones
  * shell: Wrap the metered infobar label
  * updates-section: Add some spacing in the header
  * shell: Don't define style classes twice
  * updates-page: Drop the unused header end widget
  * Add drop-shadows in status pages using the app's icon
  * appdata: Set a minimum width of 360
  * desktop: Add form factor information
  * featured: Drop Transmission
  * featured: Drop Marker
  * featured: Drop UberWriter
  * Add GsInfoWindow
  * Use GsInfoWindow
  * Fix the indentation
  * shell: Use HdyHeaderBar instead of GtkHeaderBar
  * Align listboxes to the top
  * Drop visible=True from UI files
  * Drop custom carousel arrows
  * Simplify carousel arrow buttons
  * featured-carousel: Style the arrows like the screenshot carousel ones
  * app-details-page: UI overhaul
  * details-page: Wrap the web app warning label
  * screenshot-carousel: Drop the vertical borders
  * info-window: Move the scrollbar down a bit
  * overview-page: Use a status page for No Application Data Found
  * flatpak: Move libxmlb before appstream
  * app-version-history-row: Drop max width char
  * metered-data-dialog: Make it a GsInfoWindow and a AdwStatusPage
  * flatpak: Use Soup 2
  * Replace the deprecated .content by .boxed-list
  * details-page: Make the review summary look like a card
  * review-row: Make the voting box invisible by default
  * review-row: Drop the top margin
  * data: Add the review-symbolic icon
  * context-dialog-row: Make it an AdwActionRow
  * contex-dialog-row: Sort 'neutral' after 'unimportant'
  * age-rating-context-dialog: Give 'unknown' cases proper descriptions
  * age-rating-context-dialog: Refactor getting attribute info
  * age-rating-context-dialog: Pass self to add_attribute_row()
  * age-rating-context-dialog: Add GsAgeRatingGroupType
  * age-rating-context-dialog: Have a single row per attribute group
  * contex-dialog-row: Revert sorting 'neutral' after 'unimportant'
  * age-rating-context-dialog: Sort unimportant attributes last
  * Add GsAppReviewsDialog
  * details-page: Refresh the reviews
  * updates-page: Use title-1 instead of large-title
  * featured-carousel: Add an inset box shadow to the carousel
  * Merge branch 'featured-carousel-overlay' into 'main'
  * app-row: Move the description below the version number
  * app-row: Drop the spacing in vertical boxes
  * app-row: Rework the styling
  * search-page: Use the default clamp size
  * details-page: Wrap the loading label
  * moderate-page: Use a AdwStatusPage
  * updates-section: Correctly set the label of progress buttons
  * details-page: Drop an unused widget
  * review-row: Ellipsize the author label
  * featured-carousel: Reset the timer on any position change
  * shell: Activate the correct back button
  * odrs-provider: Strip some strings
  * odrs-provider: Check strings aren't null before stripping
  * progress-button: Fix the properties documentation
  * shell: Correctly check the Alt key is held
  * shell: Allow swiping back
  * flatpak: Pin appstream to 0.15.2
  * Replace hardcoded spinner animations by CSS ones
  * app-details-page: Use .icon-dropshadow
  * feature-tile: Clamp the subtitle
  * license-tile: Update the visuals
  * meson: Bump glib to 2.70.0
  * details-page: Let the histogram row handle the visibility
  * details-page: Make the histogram adaptive
  * flatpak: Use libfuse 3.x instead of 2.9
  * review-dialog: Modernize the design
  * details-page: Replace GsInfoBar by cards
  * Drop GsInfoBar
  * Bump libadwaita to 1.2.0
  * common: Port message dialogs to AdwMessageDialog
  * page: Port message dialogs to AdwMessageDialog
  * review-row: Port the message dialog to AdwMessageDialog
  * repos-dialog: Port the message dialog to AdwMessageDialog
  * updates-page: Port the message dialog to AdwMessageDialog
  * star-image: Transition between two icons
  * overview-page: Replace the 3rd-party infobar by a dialog
  * Merge branch 'third-party-repo-message-dialog' into 'main'
  * basic-auth-dialog: Port to GTK 4.10
  * common: Add and use gs_show_uri()
  * Update adding and removing CSS classes to widgets
  * feature-tile: Update getting the widget's color
  * review-bar: Update getting the widget's color
  * common: Rework gs_utils_widget_set_css() for GTK 4.10
  * progress-button: Use gs_utils_widget_set_css()
  * screenshot-image: Drop the custom snapshot()
  * icon: Ensure icon files exist
  * app: Be more strict with icon scales
  * progress-button: Ellipsize the label

  [ Jeremy Bícha ]
  * releasing package gnome-software version 44.3-1
  * Remove an obsolete maintscript entry.
  * releasing package gnome-software version 44.3-2
  * debian/watch: Watch for beta and rc releases too
  * New upstream version 45~beta
  * Update upstream source from tag 'upstream/45_beta'
  * New upstream release
  * Add patch to keep using software-properties-gtk
  * debian/control.in: Bump minimum GTK4 to 4.10.0
  * releasing package gnome-software version 45~beta-1
  * releasing package gnome-software version 45~rc-1
  * releasing package gnome-software version 45.0-1
  * New upstream version 45.2
  * Update upstream source from tag 'upstream/45.2'
  * New upstream release
  * Refresh patch
  * releasing package gnome-software version 45.2-1
  * New upstream version 45.3
  * Update upstream source from tag 'upstream/45.3'
  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean
  * Drop nocheck annotation from appstream Build-Depends
  * releasing package gnome-software version 45.3-1
  * releasing package gnome-software version 45.3-2
  * New upstream version 46~beta
  * Update upstream source from tag 'upstream/46_beta'
  * New upstream release
  * Bump minimum GTK4 to 4.12 and libadwaita to 1.4
  * Drop 2 appstream patches applied in new release
  * debian/gnome-software.install: Install bash-completion file
  * Run wrap-and-sort
  * releasing package gnome-software version 46~beta-1
  * New upstream version 46~rc
  * Update upstream source from tag 'upstream/46_rc'
  * New upstream release
  * releasing package gnome-software version 46~rc-1
  * New upstream version 46.0
  * Update upstream source from tag 'upstream/46.0'
  * New upstream release
  * debian/copyright: minor update
  * releasing package gnome-software version 46.0-1
  * Drop patch that hides upstreams Software Sources dialog
  * Drop Depends: software-properties-gtk
  * Update changelog
  * Split deb support into separate gnome-software-plugin-deb package
  * Have each plugin provide a virtual gnome-software-plugin package
  * Stop recommend gnome-software-plugin-snap on Ubuntu
  * Suggest all the gnome-software plugins
  * Recommend gnome-software-plugin-deb for upgrades
  * Have -deb depend on apt-config-icons & libgtk-3-perl
  * Split firmware update support into separate fwupd plugin & recommend it
  * releasing package gnome-software version 46.0-2
  * Update Homepage
  * Simplify debian/rules a bit
  * releasing package gnome-software version 46.0-3
  * Fix typo in gnome-software-plugin-deb package description
  * Add Lintian overrides for desktop-command-not-in-package
  * debian/copyright: update for renamed files
  * releasing package gnome-software version 46.0-4
  * New upstream version 46.1
  * Update upstream source from tag 'upstream/46.1'
  * New upstream release
  * releasing package gnome-software version 46.1-1
  * Drop unused Build-Depends: libsoup2.4-doc

  [ Milan Crha ]
  * Fails to finish pending install after going online
  * Update details dialog stays open when browsing to a software's page from shell
  * gs-shell: Searched text not shown when searching from command line
  * Add 12px margin around the main screenshot image
  * gs-screenshot-image: Use larger icon for error messages
  * packagekit: Package details not found when not having 4 semicolons
  * gs-details-page: Hide "Launch" button if the application cannot be launched
  * misc: Add .gitignore file
  * gs-appstream: Handle release dates in the future better
  * gs-shell: Change notification text when Software needs restart
  * gs-details-page: Lack of information when flatpak app data is being loaded
  * gs-extras-page: Include application name in codec "not found" string
  * gs-screenshot-image: Show spinner when load of image takes long time
  * gs-update-monitor: Correct mode name typo in a notification
  * Revert "gs-update-monitor: Correct mode name typo in a notification"
  * gs-update-monitor: Correct mode name typo in a notification
  * gs-shell: Skip refresh on start when download-updates is set to false
  * gs-update-monitor: Show updated applications on click of the auto-update notification
  * Support better the dark themes
  * gs-plugins-odrs: Load ratings from the cache when refresh is skipped on start
  * gs-application: Search for the installed application in app.launch
  * gs-shell: Close the window on Ctrl+Q key press
  * gs-repos-dialog: Hide empty frame
  * gs-details-page: Fully-sandboxed Flatpak apps have "High" permissions
  * gs-updates-section: Disable update button when all applications are updating
  * gs-details-page: Show also release date
  * fwupd: Do not propagate 'not supported' error on updates check
  * gs-progress-button: Implement unknown progress handling
  * build: Switch from gnome-desktop dependency to gsettings-desktop-schemas
  * packagekit: Package details not found when not having 4 semicolons
  * D-Bus: InstallPackageNames exits immediately
  * gs-update-monitor: Review timing and content of software updates notifications
  * flatpak: Origin UI string doesn't use repo Title
  * gs-details-page: Collapse long descriptions
  * gs-search-page: Execute load when there's an application to be shown
  * gs-updates-section: Auto-hide itself when all rows are removed
  * gs-update-dialog: No icon shadow on app update release notes dialog
  * gs-plugin-packagekit-proxy: Skip the setting when the host is empty
  * Merge branch 'metered-data-warning-fix' into 'master'
  * Misc: Update some project files
  * flatpak: Cover addons on install/uninstall of the application
  * gs-installed-page: Filter out uninstalled local applications
  * Merge branch 'warning-fix' into 'master'
  * main: Add crossfade animation to main GtkStack
  * fwupd: Do not propagate 'not supported' error on updates check
  * flatpak: A .flatpakref file installation fails
  * misc: Conditional mime type handlers
  * Merge branch 'enum-header-fix' into 'master'
  * gs-loading-page.ui: Use full color icon instead of the symbolic icon
  * GsApp: Show packaging format in the origin UI string
  * gs-origin-popover-row: Remove the 'Format' row
  * Merge branch '976-gs-loading-page-ui-use-full-color-icon-instead-of-the-symbolic-icon' into 'master'
  * Minor: Add subprojects/appstream/ into .gitignore
  * flatpak: Remove of a repository doesn't remove it from the GUI
  * gs-updates-page: Keep showing apps which are being installed
  * GsApplication: Crash when run as root
  * flatpak: Not having latest commit is not a problem
  * gs-plugin-loader: Reset online-updates-timestamp only when did the update
  * Merge branch '1159-carousel-button-other-theme' into 'master'
  * Release version 40.rc
  * trivial: Post release version bump
  * packagekit: Set download size to 0 after the package is downloaded
  * GsApp: Show packaging format in the origin UI string ][
  * gs-flatpak: Ensure origin before using it in refine app state
  * gs-flatpak: Use preloaded list of installed references in gs_flatpak_ref_to_app()
  * flatpak: Refresh UI after changes made outside of Software
  * GsApp: State not updated after repository enable/disable
  * odrs: Cannot be disabled by filling empty 'review-server' setting
  * GsApp: Add thread safety around remote icons download
  * GsApp: Fix possible thread race condition around 'launchable' property
  * gs-search-page: Disable timeout for the search job
  * rpm-ostree: Use dedicated dnf context for repository listing
  * GsAppRow: Emit "unrevealed" signal only if mapped
  * GsAppRow: Emit "unrevealed" signal only if mapped
  * Merge branch 'backport-676-updates-crash-gnome-40' into 'gnome-40'
  * gitlab-ci: Print logs of failed tests
  * flatpak: Refine new runtime's state to reflect current values
  * flatpak: Do a full refresh when a Flatpak installation changes
  * gs-description-box: Reset GtkLabel properties before checking line count
  * flatpak: Do a full refresh when a Flatpak installation changes
  * Merge branch 'backport-681-flatpak-refresh-gnome-40' into 'gnome-40'
  * gs-description-box: Reset GtkLabel properties before checking line count
  * Merge branch 'backport-683-description-width-gnome-40' into 'gnome-40'
  * rpm-ostree: Transaction cancellable can be NULL
  * rpm-ostree: Correct detection of a transaction name owner disappear
  * rpm-ostree: Reference per-transaction objects and use them for the whole transaction
  * rpm-ostree: Disconnect from rpm-ostreed when inactive for some time
  * rpm-ostree: Transaction cancellable can be NULL
  * rpm-ostree: Correct detection of a transaction name owner disappear
  * rpm-ostree: Reference per-transaction objects and use them for the whole transaction
  * rpm-ostree: Disconnect from rpm-ostreed when inactive for some time
  * gs-app-addon-row: Disallow uninstall of a compulsory extension
  * rpm-ostree: Hide only Web and Console applications from the search
  * flatpak: Refine new runtime's state to reflect current values
  * gs-shell: Overview page opens empty with "Automatic Updates" off
  * gs-app-addon-row: Disallow uninstall of a compulsory extension
  * rpm-ostree: Hide only Web and Console applications from the search
  * Merge branch 'backport-688-rpm-ostree-addons-gnome-40' into 'gnome-40'
  * Merge branch 'abckport-689-rpm-ostree-search-gnome-40' into 'gnome-40'
  * gs-search-page: Reload the page on the text change when the page is active
  * rpm-ostree: Improve performance of gs_plugin_refine()
  * rpm-ostree: Improve performance of gs_plugin_refine()
  * rpm-ostree: Extract package details from the local .rpm file
  * rpm-ostree: Local package not recognized as installed
  * rpm-ostree: Extract package details from the local .rpm file
  * rpm-ostree: Local package not recognized as installed
  * Merge branch 'backport-699-rpm-ostree-local-installed-gnome-40' into 'gnome-40'
  * Merge branch 'category-app-tiles' into 'master'
  * gs-common: Introduce gs_utils_invoke_reboot_async()
  * gs-common: Improve gs_utils_reboot_notify()
  * gs-app: Introduce pending install and pending remove application states
  * rpm-ostree: Use pending install/remove application states
  * gs-page: Notify about needed restart when the removal needs reboot
  * Merge branch 'fix-nightly-ci' into 'master'
  * PackageKit: Do not use PK_FILTER_ENUM_NOT_SUPPORTED in add_sources()
  * gs-repos-dialog: Disable deduplication when asking for configured sources
  * flatpak: Download appstream data on demand when missing
  * flatpak: Download appstream data on demand when missing
  * Merge branch 'backport-712-flatpak-appstream-refresh-gnome-40' into 'gnome-40'
  * Merge branch '1223-steam-key-color' into 'master'
  * gs-shell: Overview page opens empty with "Automatic Updates" off
  * Merge branch 'backport-691-overview-empty-gnome-40' into 'gnome-40'
  * Merge branch 'backport-715-key-colours-gnome-40' into 'gnome-40'
  * gs-details-page: Refresh only when being selected
  * packagekit: Update addon's state on an application removal
  * packagekit: Update addon's state on an application removal
  * Merge branch 'backport-719-uninstalling-addons-gnome-40' into 'gnome-40'
  * Merge branch 'backport-723-version-history-crash' into 'gnome-40'
  * flatpak: Correct typo in a search string in get_renamed_component()
  * Merge branch 'donation-link' into 'master'
  * flatpak: Correct typo in a search string in get_renamed_component()
  * Merge branch 'backport-728-query-typo-gnome-40' into 'gnome-40'
  * Merge branch 'category-ui' into 'master'
  * flatpak: Improve error reporting when low on disk space
  * flatpak: Improve error reporting when low on disk space
  * Merge branch 'backport-730-flatpak-out-of-disk-gnome-40' into 'gnome-40'
  * gs-details-page: Enhance the alternates deduplication cycle
  * packagekit-refine: Run before the 'appstream' plugin
  * packagekit: Reset addons' state after application install/remove
  * flatpak: Deadlock after changes from the command line
  * flatpak: Deadlock after changes from the command line
  * Merge branch 'backport-735-flatpak-deadlock-gnome-40' into 'gnome-40'
  * gs-details-page: Enhance the alternates deduplication cycle
  * Merge branch 'backport-732-list-deduplication-gnome-40' into 'gnome-40'
  * Merge branch 'ci-pipeline-again' into 'master'
  * Merge branch 'backport-726-pk-interactivity-gnome-40' into 'gnome-40'
  * gs-details-page: Allow writing a review for installed applications only
  * gs-update-monitor: Pending updates not downloaded after 14 days waiting
  * Merge branch 'backport-742-arch-null-gnome-40' into 'gnome-40'
  * gs-app-addon-row: Treat updatable-live state the same as updatable state
  * gs-details-page: Show icons in the Permissions popover only when used
  * gs-plugin-appstream: Correct gs_plugin_refine()
  * gs-remote-icon: Set icon dimensions when already downloaded
  * Merge branch 'wip/mcrha/gs-plugin-appstream-refine' into 'master'
  * Merge branch 'wip/mcrha/gs-plugin-appstream-refine' into 'master'
  * Merge branch 'cherry-pick-1492889e' into 'gnome-40'
  * gs-app-row: Show download size also for the offline updates
  * gs-remote-icon: Set icon dimensions when already downloaded
  * Merge branch 'backport-752-icons-gnome-40' into 'gnome-40'
  * gs-details-page: Hide "Version History" button when there's only one version
  * packagekit: Recognize urgent updates
  * gs-update-monitor: Consider only critical updates as important
  * Merge branch 'snap-const-warnings' into 'master'
  * gs-details-page: Refresh only when being selected
  * gs-details-page: Harmonize used refine flags
  * gs-details-page: Refresh the page content when replacing app with an alternative
  * packagekit: Recognize urgent updates
  * gs-update-monitor: Consider only critical updates as important
  * gs-details-page.ui: Remove the size group for the detail labels
  * Merge branch 'backport-759-dnf-severity-gnome-40' into 'gnome-40'
  * Merge branch 'backport-763-dep11-gnome-40' into 'gnome-40'
  * packagekit: Distinguish between download size and install size
  * flatpak: Reset app state after an update attempt
  * flatpak: Remember applications to update when replacing by a parent application
  * gs-update-monitor: Automatically install application updates
  * gs-plugin-loader: Add option to propagate error to the caller
  * Merge branch 'my_work' into 'master'
  * Merge branch 'pk-ifdef' into 'master'
  * gs-update-monitor: Pending updates not downloaded after 14 days waiting
  * gs-plugin-loader: Add option to propagate error to the caller
  * gs-details-page: Show icons in the Permissions popover only when used
  * Merge branch 'backport-744-747-748-gnome-40' into 'gnome-40'
  * flatpak: Reset app state after an update attempt
  * flatpak: Remember applications to update when replacing by a parent application
  * gs-plugin-repos: Special-case when rpm repo name doesn't match appstream origin
  * gs-appstream: Store appstream origin on an app refine
  * gs-plugin-appstream: Search with appstream origin, if available
  * Misc: Cannot distinguish the same package coming from two repositories
  * Release version 40.2
  * trivial: Post release version bump
  * NEWS: Fix the content to match the output of 'appstreamcli metainfo-to-news'
  * trivial: Update RELEASE.md
  * gs-details-page: Refresh only when being selected
  * trivial: Avoid use of uninitialized variables
  * trivial: Avoid use of uninitialized variables
  * Merge branch 'backport-781-uninit-variables-gnome-40' into 'gnome-40'
  * Merge branch 'refactor-packagekit-plugins' into 'master'
  * Merge branch 'refactor-appstream-plugins' into 'master'
  * gs-plugin-loader: Fix a memory leak in the init() function
  * Reviews: Ratings are rounded to integer stars
  * gs-review-histogram: Use the new GsStarImage instead of the theme icon
  * gs-overview-page: Avoid vertical space fill of the featured carousel
  * gs-update-monitor: Automatically install application updates
  * gs-overview-page: Avoid vertical space fill of the featured carousel
  * Merge branch 'backport-797-carousel-height-gnome-40' into 'gnome-40'
  * Merge branch 'connect-search-entry' into 'master'
  * gs-shell-search-provider: Return all found apps, not only available apps
  * gs-shell-search-provider: Return all found apps, not only available apps
  * Merge branch 'backport-803-shell-search-gnome-40' into 'gnome-40'
  * gs-overview-page: Replace GsHidingBox with GtkFlowBox
  * gs-summary-tile: Enhance display of the tile
  * Merge branch 'progress-button-100' into 'master'
  * gs-star-image: Correct drawing for RTL text direction
  * gs-updates-page: Refresh "Last checked:" information periodically
  * gs-review-histogram: Adapt to the new design
  * gs-shell: First change page, then switch the deck, to avoid unneeded page load
  * gs-star-image: Change drawing for large sizes
  * gs-plugin-loader: Make it easier to claim (not only) job errors
  * gs-update-monitor: Request to receive action error
  * Merge branch '1271-40-2-flatpaks-not-updated-despite-notification' into 'master'
  * Merge branch '1306-age-rating-shorten-string' into 'master'
  * Merge branch '1111-app-context-tiles-hardware' into 'master'
  * gtk-style-hc.css: Inherit common styles from gtk-style.css
  * gs-plugin-loader: Make it easier to claim (not only) job errors
  * gs-update-monitor: Request to receive action error
  * packagekit: Distinguish between download size and install size
  * gs-updates-page: Refresh "Last checked:" information periodically
  * Merge branch 'backport-819-flatpak-notifications-gnome-40' into 'gnome-40'
  * Merge branch 'backport-760-download-installed-size-gnome-40' into 'gnome-40'
  * Merge branch 'backport-815-last-checked-gnome-40' into 'gnome-40'
  * Merge branch '1207-sidebar-categories' into 'master'
  * gs-details-page: Harmonize used refine flags
  * gs-details-page: Refresh the page content when replacing app with an alternative
  * gs-plugin-repos: Special-case when rpm repo name doesn't match appstream origin
  * gs-appstream: Store appstream origin on an app refine
  * gs-plugin-appstream: Search with appstream origin, if available
  * Misc: Cannot distinguish the same package coming from two repositories
  * Merge branch 'gbsneto/trivial-cleanups' into 'master'
  * gs-plugin-loader: Retry uri-to-app with file-to-app for file:// URIs
  * gs-app-row: Allow NULL size groups in gs_app_row_set_size_groups()
  * gs-app-row: Allow NULL size groups in gs_app_row_set_size_groups()
  * Revert "rpm-ostree: Hide only Web and Console applications from the search"
  * flatpak: Implement gs_plugin_add_search_what_provides()
  * gs-shell: Allow two-letters search
  * Merge branch '1287-set-updates-label' into 'main'
  * gs-app: Correct download size for app's runtime
  * Revert "rpm-ostree: Hide only Web and Console applications from the search"
  * flatpak: Implement gs_plugin_add_search_what_provides()
  * gs-app: Correct download size for app's runtime
  * Resolve "gnome-software asked me to download updates, but this should never happen when automatic updates are enabled"
  * Merge branch 'backport-697-search-flatpak-gnome-40' into 'gnome-40'
  * Merge branch 'backport-844-download-size-gnome-40' into 'gnome-40'
  * flatpak: Delay installation changes notification when running update
  * gs-details-page: Refresh the 'Launch' button on app info changes
  * gs-app: Introduce gs_app_get_packaging_format_raw()
  * gs-details-page: Add option for packaging format preference
  * gs-plugin-loader-sync: Avoid code duplication
  * gs-page: Emit resource install done when user declines installation
  * gs-plugin-loader: Convert app_create()/get_system_app() into async methods
  * gs-installed-page: Correct update_group_visibility_cb()
  * gs-installed-page: Add an app, only if it can be shown in the group
  * gs-details-page: Match unknown bundle-kind/scope when checking alternates
  * gs-details-page: Make sure an alternative is always selected
  * snap: Handle also appstream:// URL-s in url-to-app
  * gs-appstream: Expose url-to-app function as a library function
  * flatpak: Implement gs_plugin_url_to_app()
  * gs-app: Notify about all property changes in an idle handler
  * gs-app: Add properties for user and cache data sizes
  * gs-app: Split download/installed size for the app and the dependencies
  * gs-plugin-types: Introduce GS_PLUGIN_REFINE_FLAGS_REQUIRE_SIZE_DATA
  * gs-details-page: Require GS_PLUGIN_REFINE_FLAGS_REQUIRE_SIZE_DATA
  * gs-utils: Introduce gs_utils_get_file_size()
  * snap: Calculate cache and user data sizes for installed applications
  * flatpak: Calculate cache and user data sizes for installed applications
  * Merge branch '1339-header-notifications' into 'main'
  * gs-plugin: Add dedicated vfunc-s to manipulate repositories
  * flatpak: Extract scope ensure code into a separate function
  * plugins: Implement newly added repository manipulation functions
  * gs-plugin-provenance: Change how provenance is set on repository apps
  * gs-app: Use OS name in origin UI for provenance packages only, not for repositories
  * gs-plugin: Introduce gs_plugin_get_action_supported()
  * plugins: Ensure management plugin being set on repositories
  * gs-repos-dialog: Implement design updates
  * gs-desktop-data: Rearrange Music-related categories
  * Merge branch 'drop-popular-tile' into 'main'
  * gs-overview-page: Drop 'Recommended $category Apps' section
  * Merge branch 'wip/jimmac/carousel-padding' into 'main'
  * gs-details-page: Origin/source picker sometimes hidden
  * Merge branch 'fix-links' into 'main'
  * gs-plugin-appstream: Convert component kind to appstream name
  * gs-plugin-fedora-pkgdb-collections: Set upgrade install and download sizes as unknowable
  * gs-upgrade-banner: Improve presentation of OS upgrade banners
  * Merge branch '1357-improve-presentation-of-os-upgrade-banners' into 'main'
  * Merge branch 'other-repos' into 'main'
  * data: Update the upgrade-bg.png
  * gtk-style.css: Tweak upgrade-banner CSS
  * gs-plugin-fedora-pkgdb-collections: Fallback to upgrade-bg.png
  * gs-plugin-fedora-pkgdb-collections: Change background image size
  * gs-plugin-fedora-pkgdb-collections: Remove text shadow from UpgradeBanner-css
  * gs-plugin-fedora-pkgdb-collections: Get upgrade banner background from the server
  * Merge branch '1225-do-not-allow-distro-upgrades-if-release-art-is-missing' into 'main'
  * Merge branch '1376-reviews-heading' into 'main'
  * Merge branch 'drop-folders' into 'main'
  * gs-overview-page: Reword the Fedora 3rd-party info bar text
  * gs-overview-page: Use fedora-third-party cmdline tool to manage 3rd-party infobar
  * gs-overview-page: Stop using "show-nonfree-prompt" GSettings option
  * data: Remove unused "show-nonfree-prompt" GSettings option
  * packagekit: Set repositories scope as system
  * gs-repos-dialog: Use the new fedora-third-party command line tool
  * Misc: Remove unused gs-third-party-repo-row
  * Merge branch '1344-fedora-3rd-party-repos-updates-for-f35' into 'main'
  * Merge branch 'uninitialized' into 'main'
  * Release version 41.beta
  * trivial: Post release version bump
  * Release version 40.4
  * Merge branch '1384-addons' into 'main'
  * Merge branch 'i18n-string-fix' into 'main'
  * gs-details-page: Correct instance change to a different alternative
  * gs-updates-section: Check also dependencies' download size
  * Merge branch 'wip/mcrha/updates-btn-fix' into 'main'
  * Merge branch 'yurchor-main-patch-87675' into 'main'
  * gs-overview-page: Remove unset 'category_of_day' property
  * gs-overview-page: Limit minimum featured apps after filtering
  * gs-details-page: Show version of the installed/offered application
  * Merge branch '1434-context-tiles-non-applications' into 'main'
  * Merge branch '1438-duplicate-safety-line' into 'main'
  * gs-screenshot-carousel: Make prev/next buttons circular
  * gs-details-page: Always show the application source
  * flatpak: Change error mapping for some codes to improve error reporting
  * gs-app-context-bar: Make sure symbolic icons are used here
  * gs-update-dialog: Connect to "back-clicked" signal only for the app details page
  * gs-os-update-page: Remove the 'Back' button
  * gs-update-dialog: Clicking OS Updates generates runtime warning
  * gs-shell: Switch to the overview page only when on the loading page after start
  * gs-appstream: Change component kind only when can decode it from the string
  * gs-plugin-appstream: Change app state to installed only when not being updatable/updatable-live
  * packagekit: Ensure PkClient::interactive flag being set
  * packagekit: Prefer pk_offline_..._with_flags() API
  * gs-description-box: Update button label only when the text changes
  * gs-updates-section: Propagate error for "Update All" update
  * gs-updates-section: Fails to find the GsUpdatesSection on row unrevealed
  * gs-overview-page: Inconsistent font for iconless tiles (categories)
  * gs-repo-row: Do not emit "switch-clicked" when the switch is insensitive
  * gs-page: Use correct action when install/remove repo app
  * flatpak: Save also remote's filter on the flatpak-app
  * flatpak: Store filter and description on a remote app
  * flatpak: Match existing and file remote only if it matches also the filter
  * rpm-ostree: Wait for an ongoing transaction end before running new transaction
  * Merge branch '1422-followup' into 'main'
  * flatpak: Update existing remote from a .flatpakref file
  * gs-repos-dialog: Cannot disable all 3rd-party repositories
  * lib: Extract fedora-third-party code into a single file
  * gs-overview-page: Use GsFedoraThirdParty
  * gs-repos-dialog: Use GsFedoraThirdParty
  * flatpak: Do not claim ownership of a wildcard app
  * gs-appstream: Extend search to provide parent apps for the addon-s
  * gs-safety-context-dialog: Highlight when a runtime is End-Of-Life
  * Merge branch '1462-missing-translation' into 'main'
  * Merge branch 'backport-1007-gettext-domain-gnome-41' into 'gnome-41'
  * gs-update-monitor: Use wall-clock time for one-notification-per-day check
  * gs-update-monitor: Correct last notification timestamp reset
  * gs-plugin-event: Ensure the error message does not contain D-Bus remote error
  * packagekit: Make sure errors are converted to GsPlugin errors
  * gs-update-monitor: Use wall-clock time for one-notification-per-day check
  * gs-update-monitor: Correct last notification timestamp reset
  * gs-plugin-event: Ensure the error message does not contain D-Bus remote error
  * packagekit: Make sure errors are converted to GsPlugin errors
  * Merge branch 'backport-1010-error-messages-gnome-41' into 'gnome-41'
  * Merge branch 'backport-1002-snap-descriptions-gnome-41' into 'gnome-41'
  * Merge branch 'backport-1008-notifications-gnome-41' into 'gnome-41'
  * flatpak: Use remote title as the GsApp name
  * Merge branch '1481-fix-string' into 'main'
  * packagekit: Update GsApp state and kind only when created the app instance
  * gs-plugin-loader: Ensure correct list is used on the job when refining wildcards
  * flatpak: Use remote title as the GsApp name
  * packagekit: Update GsApp state and kind only when created the app instance
  * gs-plugin-loader: Ensure correct list is used on the job when refining wildcards
  * Merge branch 'backport-1016-repo-name-gnome-41' into 'gnome-41'
  * Merge branch 'backport-1021-desktop-repos-gnome-41' into 'gnome-41'
  * gs-repo-row: Use GS_APP_QUIRK_COMPULSORY to recognize required repositories
  * gs-plugin-provenance: Improve search speed in list of repositories
  * settings: Add 'required-repos' key
  * gs-plugin-provenance: Handle also 'required-repos' key
  * Merge branch 'leak-fix' into 'main'
  * Merge branch 'backport-1025-leak-fix-gnome-41' into 'gnome-41'
  * gs-app-row: Hide the update size from the row
  * gs-app-row: Move the "install size" label below the application name
  * gs-common: Remove unused helper structure member
  * gs-common: Destroy message dialog on response
  * gs-details-page: GsInfoBar doesn't paint in the details page
  * gs-category-page: Limit how many recently updated applications are shown
  * flatpak: Update remote appstream data when its filter changed
  * gs-upgrade-banner: Initialize a g_autofree variable
  * gs-upgrade-banner: Initialize a g_autofree variable
  * flatpak: Update remote appstream data when its filter changed
  * gs-plugin-provenance: Set COMPULSORY quirk only on REPOSITORY apps
  * Merge branch 'backport-1036-autofree-init-gnome-41' into 'gnome-41'
  * Merge branch 'backport-1035-flatpak-filtering-gnome-41' into 'gnome-41'
  * gs-repos-dialog: Third-party repos section missing
  * Merge branch 'work-category-button-css' into 'main'
  * gs-odrs-provider: Create a GsApp instance in refresh only when needed
  * tests: Introduce and use gs_test_init()
  * gs-app-list: Add gs_app_list_override_progress()
  * packagekit: Add a 'progress_list' member to the helper
  * packagekit: Report overall progress when downloading package updates
  * packagekit: Check the cancellable on finished download
  * gs-updates-section: Correct callback prototypes
  * gs-installed-page: Change section on application state change
  * Merge branch '1473-codecs-gtk4' into 'main'
  * Merge branch '1473-extras-page-state-gnome-41' into 'gnome-41'
  * gs-updates-section: Correct callback prototypes
  * gs-installed-page: Change section on application state change
  * gs-shell: Remove left-over function prototype declaration
  * gs-overview-page: Refresh the application after third-party repositories enable/disable
  * plugins: Refresh internal caches on repository enable/install
  * gs-repos-dialog: Other repositories section not removed on reload
  * Misc: Fix various warnings reported by static analyzers
  * CI: Double test timeout multiplier
  * gs-utils: Add functions to get/set file metadata ETag attribute
  * gs-plugin: Use ETag in gs_plugin_download_file()
  * gs-app-list: Detect duplicates also by GsApp instance address
  * gs-shell: Remove left-over function prototype declaration
  * gs-overview-page: Refresh the application after third-party repositories enable/disable
  * plugins: Refresh internal caches on repository enable/install
  * gs-update-dialog: Does not cleanup visited apps in the leaflet
  * packagekit: Ensure update is prepared when all packages are downloaded
  * packagekit: Ensure update is prepared when all packages are downloaded
  * Merge branch 'backport-1058-prepared-update-gnome-41' into 'gnome-41'
  * gs-update-dialog: Going back scrolls the list to the top
  * View switcher: Add update counter
  * gs-updates-page: Tweak appearance of the up-to-date box
  * gtk-style.css: Change margin for adaptive-symbolic icon
  * gs-upgrade-banner: Cancel button icon is huge
  * gs-appstream: Limit what update details are used
  * gs-details-page: Reload the page only when the app is idle
  * gs-upgrade-banner: Center download progress bar
  * gs-app-list: Detect duplicates also by GsApp instance address
  * gs-details-page: Reload the page only when the app is idle
  * Merge branch 'backport-1055-search-duplicates-gnome-41' into 'gnome-41'
  * Merge branch 'backport-1068-details-reload-gnome-41' into 'gnome-41'
  * Misc: Use absolute URL in CSS
  * gs-app-context-bar: Do not show '0 bytes' in the app cache/data sizes
  * fedora-pkgdb-collections: Default to upgrade background gradient, instead of image
  * Misc: Use absolute URL in CSS (part 2)
  * gs-upgrade-banner: The 'GNOME OS' has no upgrade version set
  * gs-upgrade-banner: Hide download info label when not set
  * Merge branch '1525-os-upgrade-vertically-center-download-button' into 'main'
  * gs-update-dialog: Avoid g_object_ref() call with a NULL app
  * gs-app-details-page: Add read-only 'title' property
  * gs-os-update-page: Add read-only 'title' property
  * gs-update-dialog: Update window title with the current page title
  * Merge branch '1155-fedora-link' into 'main'
  * gs-details-page: Addons section can show addons for a different app
  * Merge branch '1467-content-rating-crash' into 'main'
  * Merge branch 'backport-1082-content-rating-crash-gnome-41' into 'gnome-41'
  * gs-shell: Show more than one line of an error message
  * gs_utils_get_file_size: Do not follow symlinks
  * Merge branch 'wip/exalm/style-loading' into 'main'
  * Merge branch 'wip/exalm/style-cleanups' into 'main'
  * Merge branch 'wip/exalm/upgrade-gradient' into 'main'
  * gs_utils_get_file_size: Do not follow symlinks
  * Merge branch 'backport-1086-symlink-sizes-gnome-41' into 'gnome-41'
  * gs-updates-page: The spinner is huge
  * gs-details-page: Addons section can show addons for a different app
  * Merge branch 'backport-1081-addons-gnome-41' into 'gnome-41'
  * gs-appstream: Support more markup in the description text
  * GsApp: Store update-details as markup
  * packagekit: Generate pango markup for the app description
  * gs-description-box: Use markup for the description text
  * gs-app-version-history-row: Use markup for the version history description
  * Misc: Port to libsoup3
  * misc: Remove conditional code for glib lower than 2.66.0
  * gs-update-monitor: Recognize security updates
  * gs-update-monitor: Recognize security updates
  * build: Turn 'soup3' option to 'soup2'
  * Merge branch 'backport-1103-update-monitor-security-gnome-41' into 'gnome-41'
  * Merge branch 'backport-1111-install-appstream-libdir-gnome-41' into 'gnome-41'
  * gs-app-context-bar: Wrap tiles' title
  * gs-app-context-bar: Wrap tiles' title
  * Merge branch 'backport-1116-details-width-gnome-41' into 'gnome-41'
  * Merge branch 'snap-description-markdown' into 'main'
  * packagekit: Recognize when the user declined an operation
  * gs-plugin: Add 'ask-untrusted' signal
  * gs-common: Add gs_utils_ask_user_accepts()
  * gs-shell: Add a handler for the GsPluginLoader::ask-untrusted signal
  * packagekit: Ask the user what to do when there's a package signing issue
  * Merge branch 'flatpak-dep-bump' into 'main'
  * Merge branch 'sort-ratings-by-date-desc' into 'main'
  * gs-appstream: Make it possible to run some functions without 'plugin' or 'silo'
  * application: Add '--show-metainfo' command line argument
  * gs-key-colors: Ensure all color clusters are covered
  * dummy: Correct the key-colors test
  * Merge branch 'mwleeds/fix-deprecated-install' into 'main'
  * Merge branch 'soup2' into 'main'
  * Merge branch '1507-flatpakrepo-fixes' into 'main'
  * snap: Fix a build break (unknown variable)
  * Release version 41.2
  * trivial: Post release version bump
  * updates: More informative 'OS Updates' row
  * gs-shell: Vertically center "Automatic Updates Paused" label
  * build: Prepare for AdwCarousel API changes
  * Merge branch 'refactor-threads4' into 'main'
  * Merge branch 'allow-remove-installed' into 'main'
  * Merge branch '1440-wcag-contrast' into 'main'
  * Merge branch '1559-updates-paused-infobar-vertical-centering-is-off' into 'main'
  * gs-screenshot-carousel: Disable scroll by mouse wheel on the AdwCarousel
  * gs-featured-carousel: Disable scroll by mouse wheel on the AdwCarousel
  * gs-repos-dialog: Always set the 'Fedora Third Party Repositories' group description
  * Merge branch 'refactor-threads10' into 'main'
  * gs-shell: Show the window before activating it
  * Release version 42.alpha
  * trivial: Post release version bump
  * RELEASE.md: Add -Dsoup2=true to the "Build the release tarball" meson command
  * Release version 41.3
  * trivial: Post release version bump
  * Merge branch 'fix-appstream-system-wide' into 'main'
  * Merge branch 'external-unique-url' into 'main'
  * gschema: Name example packaging formats in the 'packaging-format-preference' description
  * Merge branch 'dark-category-tiles' into 'main'
  * Merge branch 'media-baseurl' into 'main'
  * gs-application: Allow `--verbose` to be enabled at runtime
  * misc: Drop the first run dialog
  * flatpak: Update when ESCAPE_SANDBOX permission is set
  * gs-shell: Free unused memory on the main window close
  * Misc: Drop src/gs-folders.c
  * build: Depend on GTK 4.6 and add it as a subproject
  * gs-overview-page.h: Remove leftover function declaration
  * show-metainfo: Allow defining also path for the icon to be used
  * show-metainfo: Set the application also to the featured carousel on the Overview page
  * Merge branch 'fix-git-symlink-warning' into 'main'
  * Merge branch 'source-label' into 'main'
  * gs-shell: Fix notification event widget alignment
  * gs-app-row: Add right margin on the warning label box
  * gs-featured-carousel: Use empty content when no apps are set
  * gs-overview-page: Initialize featured carousel with empty content
  * gs-category-page: Initialize featured carousel with empty content
  * gs-category-page: Change number of placeholder cards
  * gs-summary-tile: Remove the 'button' class name on the widget
  * gs-category-page: Remove `activatable` style from placeholder tiles
  * styles: Replace "context-tile-title" style with "heading" style
  * Merge branch 'gitignore-subprojects' into 'main'
  * packagekit: Set higher quality to gathered repository names
  * gs-context-dialog-row: Change wrapping mode on the description label
  * Merge branch 'refactor-threads13' into 'main'
  * Merge branch 'refactor-threads14' into 'main'
  * Merge branch 'wjt/1619-os-banner' into 'main'
  * flatpak: Let reliable crash the Flatpak self test
  * flatpak: Ensure runtime's origin is set in file-to-app plugin action
  * Merge branch '1629-snap-crash-fix' into 'main'
  * Merge branch 'age-rating-rows' into 'main'
  * Merge branch 'event-fix' into 'main'
  * Merge branch 'upgrade-background' into 'main'
  * Merge branch 'skip-missing-cached-icons' into 'main'
  * Merge branch 'drop-popular-kudo' into 'main'
  * Merge branch 'featured-docs' into 'main'
  * Merge branch 'show-metainfo-docs' into 'main'
  * Merge branch 'proprietary-tile-css-fix' into 'main'
  * gs-age-rating-context-dialog: Fix attribute processing
  * gs-fedora-third-party: Let the 'list' call fail only when the call itself failed
  * gs-featured-carousel: Disable scroll by mouse wheel on the HdyCarousel
  * gs-details-page: Pick featured review within the last 6 months
  * gs-app-row: Temporary workaround gtk_widget_measure() error flood
  * PackageKit: Fix a crash on app install
  * PackageKit: Change app_list_get_package_ids() to never NULL-terminate the array
  * gs-context-dialog-row: Correct property name in one constructor
  * gs-context-dialog-row: Add margin to have a uniform row height for 1 and 2 lines of text
  * gs-fedora-third-party: Let the 'list' call fail only when the call itself failed
  * Merge branch 'backport-1209-third-party-crash-gnome-41' into 'gnome-41'
  * Merge branch 'refactor-threads12' into 'main'
  * Merge branch '1634-context-dialog-titles' into 'main'
  * gs-utils: Let gs_utils_get_file_age() return guint64
  * gs-details-page: Hide histogram listbox when nothing shown in it
  * gs-description-box: Fix size allocation for the content
  * context-dialogs: Use smaller gap between app name and the properties
  * gs-details-page: Remember app received from url-to-app
  * gs-screenshot-carousel: Vertically expand the AdwCarousel widget
  * gs-screenshot-image: Allocate enough space for a spinner
  * gs-plugin-loader: Filter out non-desktop apps from get-recent action
  * gs-plugin-loader: Do preliminary filtering when getting recent apps
  * gs-appstream: Set also release date in gs_appstream_add_recent()
  * gs-appstream: Use the passed-in 'age' argument
  * gs-overview-page: Sort recent applications by their release date
  * gs-overview-page: Get recent applications for the past 30 days only
  * gs-feature-tile: Correct narrow mode switch on width change
  * Merge branch 'translation-dialog' into 'main'
  * Merge branch 'wrap' into 'main'
  * gs-app-translation-dialog: Set proper pixel size on the pill image
  * packagekit: Emit 'updates-changed' on refresh and update download
  * gs-appstream: Remove the ID token from the search match value
  * Merge branch 'details-unused' into 'main'
  * Merge branch 'review-row' into 'main'
  * Merge branch 'odrs-provider' into 'main'
  * Merge branch 'go-back' into 'main'
  * Merge branch 'refactor-threads16' into 'main'
  * packagekit: Mute 'Failed to find one package for...' runtime warning
  * gs-details-page: Drop 'Loading...' title from the window header
  * Merge branch 'size-group-cleanup' into 'main'
  * Merge branch 'cancelled-handling' into 'main'
  * packagekit: Auto-prepare update when the file is deleted
  * Merge branch 'refactor-threads18' into 'main'
  * Merge branch '1645-flatpak-interactivity' into 'main'
  * gs-update-monitor: Use 'refresh_cancellable' for updates' download
  * gs-update-monitor: Cancel ongoing jobs when system power is low
  * gs-app-row: Change packing of widgets in the .ui file
  * gs-app-row: Remove the 'description_box'
  * gs-app: Introduce gs_app_get_user_key_colors()
  * gs-feature-tile: Prefer colors provided by the user
  * flatpak: Set runtime origin same as the application's
  * gs-details-page: Escape URIs for markup
  * Merge branch 'icons-docs' into 'main'
  * gs-plugin-loader: Inherit list properties when replacing it
  * gs-plugin-loader: Sort-truncate correct app list in the process thread
  * gs-details-page: Cancel ongoing app details load when switching app
  * gs-details-page: Correct gs_details_page_cancel_cb() prototype
  * gs-details-page: Cancel ongoing app details load when switching app
  * CI: Do not start unneeded services
  * CI: Avoid Flatpak triggers for tests
  * eos-updater: Read OS name from the system
  * eos-updater: Read update version and summary from the D-Bus server
  * Release version 42.0
  * trivial: Post release version bump
  * Release version 41.5
  * Merge branch 'wip/mcrha/flatpak-runtime-origin' into 'main'
  * Merge branch 'wip/mak/swcatalog' into 'main'
  * Merge branch 'AsciiWolf-main-patch-58483' into 'main'
  * Merge branch 'odrs-allocs' into 'main'
  * Merge branch 'if-modified-since' into 'main'
  * Merge branch '1693-update-monitor-cancellables' into 'main'
  * gs-updates-page: Immediately show 'Loading Updates' information on Refresh
  * Merge branch 'ioprio' into 'main'
  * Flatpak manifest: Specify 'main' branch for flatpak.git
  * gs-plugin-appstream: Fix a memory leak in failure branch
  * gs-os-update-page: Add a Back button to the page title
  * gs-update-dialog: Read 'title' property only when it exists
  * gs-update-dialog: Special-case when showing Installed updates
  * Merge branch 'overlapping-labels' into 'main'
  * gs-fedora-third-party: Rename 'exit_status' variable to 'wait_status'
  * gs-fedora-third-party: Check exit status when calling fedora-third-party
  * gs-plugin-provenance: Handle repositories specifically
  * gs-plugin-appstream: Debug-print which directories are loaded
  * flatpak: Invalidate local caches immediately before calling reload
  * flatpak: Cleanup broken_remotes hash when flatpak installation changed
  * flatpak: Restructure how filesystem permissions are calculated
  * gs-app: Introduce GS_APP_PERMISSIONS_FILESYSTEM_OTHER
  * flatpak: Set GS_APP_PERMISSIONS_FILESYSTEM_OTHER
  * gs-app-details-page: Indicate when the GS_APP_PERMISSIONS_FILESYSTEM_OTHER is set
  * gs-app-context-bar: Indicate when the GS_APP_PERMISSIONS_FILESYSTEM_OTHER is set
  * gs-safety-context-dialog: Indicate when the GS_APP_PERMISSIONS_FILESYSTEM_OTHER is set
  * flatpak: Reword "failed to get permissions" error
  * flatpak: Invalidate caches when app data rescan fails
  * flatpak: Always drop internal caches for both installation instances
  * flatpak: Only mark caches as obsolete on source install
  * flatpak: Properly react to cancellation of the rescan of appstream store
  * flatpak: Rescan all app data when getting app categories
  * appstream: Lookup app icons from .desktop files, if none found
  * gs-app-row: Make show-rating a GObject property
  * gs-app-row: Make show-update a GObject property
  * gs-app-row: Make colorful a GObject property
  * gs-app-row: Notify about GObject property changes by pspec
  * gs-app-row: Check for value change in setter functions
  * gs-app-row: Flag GObject properties as explicit notify
  * gs-app-row: Add an option to hide "installed" label on the row
  * gs-update-list: The list box has missing CSS class
  * gs-update-list: Hide "Installed" label on the app rows
  * Resolve "Wrong direction of arrows in RTL languages"
  * flatpak: Restructure how filesystem permissions are calculated
  * gs-app: Introduce GS_APP_PERMISSIONS_FILESYSTEM_OTHER
  * flatpak: Set GS_APP_PERMISSIONS_FILESYSTEM_OTHER
  * gs-app-details-page: Indicate when the GS_APP_PERMISSIONS_FILESYSTEM_OTHER is set
  * gs-app-context-bar: Indicate when the GS_APP_PERMISSIONS_FILESYSTEM_OTHER is set
  * gs-safety-context-dialog: Indicate when the GS_APP_PERMISSIONS_FILESYSTEM_OTHER is set
  * Merge branch '1721-addons-crash-fix' into 'main'
  * Merge branch 'swipe-back' into 'main'
  * gs-updates-page: Hide "Operating System Updates Unavailable" by default
  * Merge branch 'musl-42-fix' into 'main'
  * Merge branch 'musl-42-fix' into 'main'
  * Merge branch 'cherry-pick-34e6a2fd' into 'gnome-42'
  * gs-updates-page: Hide "Operating System Updates Unavailable" by default
  * Merge branch 'backport-1334-os-updates-gnome-42' into 'gnome-42'
  * Merge branch '1749-installed-context' into 'main'
  * Merge branch 'refactor-threads21' into 'main'
  * Merge branch 'backport-1344-langpacks-locale-fix-gnome-42' into 'gnome-42'
  * Merge branch 'issue-template' into 'main'
  * Merge branch 'issue-template-default' into 'main'
  * Merge branch 'leak-fix' into 'main'
  * packagekit: Check for non-NULL addons returned by gs_app_dup_addons()
  * api-doc: Update documentation to not mention 'steam' plugin
  * Merge branch 'backport-1350-leak-fix-gnome-42' into 'gnome-42'
  * Merge branch 'css-spinner-animation' into 'main'
  * gs-context-dialog-row: Allow setting markup for the lozenge text
  * gs-common: Add gs_utils_format_size()
  * gs-app-context-bar: Draw lozenge size unit with smaller font
  * gs-storage-context-dialog: Format size value and size unit differently
  * plugins: Print version information of the dependencies
  * gs-debug: Print gnome-software and OS version information on verbose log start
  * Introduce GsLayoutManager
  * gs-summary-tile: Replace GsSummaryTileLayout with GsLayoutManager
  * gs-feature-tile: Replace GsFeatureTileLayout with GsLayoutManager
  * Introduce GsLozengeLayout
  * Introduce GsLozenge
  * gs-app-translation-dialog: Use GsLozenge
  * gs-hardware-support-context-dialog: Use GsLozenge
  * gs-context-dialog-row: Use GsLozenge
  * gs-storage-context-dialog: Use GsLozenge
  * gs-license-tile: Use GsLozenge
  * gs-safety-context-dialog: Use GsLozenge
  * gs-age-rating-context-dialog: Use GsLozenge
  * gs-app-context-bar: Use GsLozenge
  * build: Inline GsLozengeLayout into gs-lozenge.c
  * plugins: Print version information of the dependencies
  * gs-debug: Print gnome-software and OS version information on verbose log start
  * Merge branch 'backport-1352-versions-in-log-gnome-42' into 'gnome-42'
  * gs-app-row: Apply workaround for gtk4 bug only for 4.6.3 and older versions
  * gs-app-row: Apply workaround for gtk4 bug only for 4.6.3 and older versions
  * Merge branch 'backport-1363-gtk-workaround-gnome-42' into 'gnome-42'
  * Merge branch 'fix-review-removal' into 'main'
  * Merge branch 'backport-1333-packagekit-installed-gnome-42' into 'gnome-42'
  * Merge branch '1772-updates-i18n' into 'main'
  * gs-app-row: Use a lighter red for a warning text in the dark theme
  * Merge branch 'backport-1365-fix-review-removal-button-gnome-42' into 'gnome-42'
  * gs-app-row: Use a lighter red for a warning text in the dark theme
  * Merge branch 'backport-1335-error-colour-gnome-42' into 'gnome-42'
  * rpm-ostree: Improve wait for transaction end
  * Merge branch 'refactor-threads23' into 'main'
  * Merge branch 'wip/hughsie/X-UsbReceiver' into 'main'
  * metainfo: Correct release type
  * Merge branch 'plugin-job-dead-code' into 'main'
  * Merge branch 'backport-1379-xml-fixes-gnome-42' into 'gnome-42'
  * gs-app-query: Add 'deployment-featured' property
  * gs-appstream: Add gs_appstream_add_deployment_featured()
  * gs-plugin-appstream: Implement search for deployment-featured apps
  * flatpak: Implement search for deployment-featured apps
  * gs-cmd: Add "deployment-featured" command line option
  * gs-overview-page: Add a deployment-featured section
  * gs-application: Remove possibly obsolete notification on start
  * gs-application: Add functions to auto-withdraw notifications
  * gs-update-monitor: Use GsApplication notification API
  * gs-dbus-helper: Use GsApplication notification API
  * gs-common: Auto-withdraw 'install' notification after 24 hours
  * gs-app-query: Add 'developers' property
  * gs-appstream: Add a helper function to search for developer apps
  * gs-plugin-appstream: Implement search for developer apps
  * flatpak: Implement search for developer apps
  * gs-details-page: Add "Other Apps by $author" section
  * gs-details-page: Better limit shown developer apps
  * gs-details-page: Consider app IDs with and without ".desktop" the same
  * gs-shell: Implement 'Back' function for the 'Details' page
  * Merge branch '1780-all-context' into 'main'
  * gs-application: Change when withdraw possibly obsolete notifications
  * Merge branch '1762-packagekit-threading-more' into 'main'
  * gs-app: Make sure dependencies size counts each app only once
  * gs-plugin-loader: Unused variables in plugin_setup_cb() without sysprof
  * gs-app: Fix developer comment for gs_app_get_unique_id()
  * gs-screenshot-image: Add a "clicked" signal
  * gs-screenshot-carousel: Scroll to image on click of it
  * Merge branch 'prevent-compulsory-uninstall' into 'main'
  * Merge branch 'backport-1397-firmware-captions-gnome-42' into 'gnome-42'
  * build: Bump meson dependency version
  * gs-app-list: Remove unneeded code in gs_app_list_add_safe()
  * gs-app-list: Let the gs_app_list_remove() return whether it deleted anything
  * gs-plugin-loader: Improve handling of pending install queue
  * gs-page: Propagate job error into the UI for an app update
  * gs-star-widget: Round fraction to one digit, the same as the GsReviewHistogram does
  * gs-review-histogram: Use rating percentage from the app
  * Merge branch 'fix-tests-without-valgrind' into 'main'
  * gs-star-widget: Round fraction to one digit, the same as the GsReviewHistogram does
  * gs-review-histogram: Use rating percentage from the app
  * Merge branch 'backport-1406-reviews-mismatch-gnome-42' into 'gnome-42'
  * gs-page: Propagate job error into the UI for an app update
  * Merge branch 'backport-1402-firmware-updates-gnome-42' into 'gnome-42'
  * flatpak: Mute "libflatpak failed to return application size" warning
  * flatpak: Correct typo of runtime refine in refine_app()
  * flatpak: Use cached runtime only if it had been refined
  * flatpak: Improve error message when cannot install app from a filtered remote
  * gs-app-list: Randomize non-empty lists only
  * gs-appstream: Add runtime checks for arguments in public API
  * flatpak: Hold the writer lock when invalidating XbSilo
  * flatpak: Make sure the XbSilo is non-NULL when passing it to other functions
  * gs-appstream: Add runtime checks for arguments in public API
  * flatpak: Hold the writer lock when invalidating XbSilo
  * flatpak: Make sure the XbSilo is non-NULL when passing it to other functions
  * flatpak: Mute "libflatpak failed to return application size" warning
  * flatpak: Correct typo of runtime refine in refine_app()
  * flatpak: Use cached runtime only if it had been refined
  * Merge branch 'backport-1392-flatpak-crash-gnome-42' into 'gnome-42'
  * gs-plugin: Add helper function gs_plugin_app_launch_filtered()
  * packagekit: Pick RPM .desktop file when launching an app
  * rpm-ostree: Pick RPM .desktop file when launching an app
  * misc: Rename GsAppPermissions into GsAppPermissionsFlags
  * lib: Add GsAppPermissions object
  * flatpak: Switch to use GsAppPermissions object
  * gs-app-details-page: Extract permission row addition into a function
  * app: Turn update-permissions flags into a GsAppPermissions object
  * app: Turn 'permissions' flags into a GsAppPermissions object
  * epiphany-plugin: Share single GsAppPermissions object between all GsApp instances
  * gs-plugin: Add virtual functions for repository management
  * lib: Add GsPluginJobManageRepository
  * gs-plugin-helpers: Add helper for manage repository job
  * gs-repos-dialog: Use GsPluginJobManageRepository instead of plugin actions
  * gs-repo-row: Change how checks whether plugin supports repository operation
  * gs-plugin: Remove unused gs_plugin_get_action_supported()
  * gs-plugin-loader: Replace GS_PLUGIN_ACTION_INSTALL_REPO job with manage repository job
  * gs-page: Replace GS_PLUGIN_ACTION_INSTALL_REPO job with manage repository job
  * flatpak: Replace GS_PLUGIN_ACTION_INSTALL_REPO job with manage repository job in tests
  * flatpak: Implement repository install as an async operation
  * plugin: Remove definition of gs_plugin_install_repo() function
  * gs-page: Replace GS_PLUGIN_ACTION_REMOVE_REPO job with manage repository job
  * flatpak: Replace GS_PLUGIN_ACTION_REMOVE_REPO job with manage repository job in tests
  * flatpak: Implement repository remove as an async operation
  * plugin: Remove definition of gs_plugin_remove_repo() function
  * flatpak: Replace GS_PLUGIN_ACTION_ENABLE_REPO job with manage repository job in tests
  * flatpak: Implement repository enable as an async operation
  * fwupd: Implement enable/disable repository asynchronous operations
  * packagekit: Let it possible to store helper on the GsPackagekitTask
  * packagekit: Implement repository enable as an async operation
  * rpm-ostree: Split refresh_metadata_thread_cb() into two functions
  * rpm-ostree: Implement repository enable as an async operation
  * plugin: Remove definition of gs_plugin_enable_repo() function
  * flatpak: Replace GS_PLUGIN_ACTION_DISABLE_REPO job with manage repository job in tests
  * flatpak: Implement repository disable as an async operation
  * packagekit: Implement repository disable as an async operation
  * rpm-ostree: Implement repository disable as an async operation
  * plugin: Remove definition of gs_plugin_disable_repo() function
  * lib: Skip repository related actions in gs_plugin_func() test
  * misc: Correct -Wformat compiler warnings on 32bit architectures
  * plugin-loader: Actively track count of running jobs
  * plugin-loader: Remove obsolete gs_plugin_loader_hint_job_finished()
  * plugin-loader: Schedule 'updates-changed' signal when received with no job running
  * plugin-loader: Change how updates-checked is scheduled for emission
  * plugin-loader: Add gs_plugin_loader_emit_updates_changed()
  * gs-app: Add gs_app_is_downloaded()
  * updates-section: Use gs_app_is_downloaded()
  * update-monitor: Use gs_app_is_downloaded()
  * update-monitor: Force reload of the Updates page before showing notification
  * update-monitor: Change when notifications are shown
  * Merge branch 'refactor-threads24' into 'main'
  * Merge branch 'refactor-threads25' into 'main'
  * plugin-loader: Fix a compiler warning from run_job_cb() when compiling without sysprof
  * gs-app: Hold a property lock when reading values in gs_app_to_string_append()
  * Merge branch 'refactor-threads26' into 'main'
  * gs-app-details-page: Set update details markup as markup, not as plain text
  * gs-app-row: Use markup or text for description label according to the content
  * gs-common: Add a finish() function for gs_utils_invoke_reboot_async()
  * gs-application: Use new gs_utils_invoke_reboot_finish()
  * gs-updates-page: Use gs_utils_invoke_reboot_async() to request reboot
  * gs-updates-section: Use gs_utils_invoke_reboot_async() to request reboot
  * gs-common: Use GTask internally in gs_utils_invoke_reboot_async()
  * gs-common: Prefix error in gs_utils_invoke_reboot_async()
  * gs-common: Try different methods when invoking reboot
  * gs-common: Replace g_bus_get_sync() with its async variants
  * gs-app-details-page: Set update details markup as markup, not as plain text
  * gs-app-row: Use markup or text for description label according to the content
  * Merge branch 'backport-1428-app-details-markup-gnome-42' into 'gnome-42'
  * Merge branch 'install-queue-upstreaming' into 'main'
  * gs-category: Add 'value' argument to the gs_category_increment_size()
  * gs-plugin-appstream: Ignore refine for apps with no ID
  * packagekit: Set cached app state, if unknown, when getting updates
  * gs-app: Print also app name when state change is invalid
  * Merge branch 'action-row-disable-markup' into 'main'
  * Merge branch 'spinner-fading' into 'main'
  * Merge branch '1460-update-details-title' into 'main'
  * Merge branch '1809-more-curated-apps' into 'main'
  * gs-app: Add an argument to gs_app_dup_origin_ui()
  * gs-appstream: Fix runtime check for non-NULL plugin for --show-metainfo
  * gs-app: Verify an icon was loaded in calculate_key_colors()
  * gs-app: Add GS_APP_QUIRK_DEVELOPMENT_SOURCE quirk
  * flatpak: Use GS_APP_QUIRK_DEVELOPMENT_SOURCE
  * snap: Use GS_APP_QUIRK_DEVELOPMENT_SOURCE
  * data: Add new icons for the origin popover changes
  * gs-origin-popover-row: Change the way the information is shown
  * flatpak: Set app packaging information for origin popover rows
  * packagekit: Set app packaging information for origin popover rows
  * rpm-ostree: Set app packaging information for origin popover rows
  * gs-details-page: Move the Sources menu button away from the header bar
  * data: Remove test-pass-symbolic icon
  * gs-shell: Wait for plugin loader to setup, before showing the window
  * gs-application: Setup the shell only after the plugin loader is setup
  * Merge branch 'wip/setup-shell-only-after-plugin-loader-is-setup' into 'main'
  * Merge branch 'wip/gs-plugin-appstream-ignore-refine-with-no-id' into 'main'
  * Merge branch 'wip/show-metainfo-fixes' into 'main'
  * trivial: Pre-release version bump
  * Release version 42.4
  * Merge branch 'installed-icon' into 'main'
  * gs-overview-page: Correct packing of the third-party info bar
  * Merge branch '1838-external-software-banner-papercuts' into 'main'
  * Release version 43.beta
  * trivial: Post release version bump
  * data: Add 'package-x-generic-symbolic' and 'snap-symbolic' icons
  * gs-origin-popover-row: Default to "package-x-generic-symbolic" icon
  * gs-details-page: Default to "package-x-generic-symbolic" origin icon
  * packagekit: Do not set an origin icon
  * rpm-ostree: Do not set an origin icon
  * snap: Use a "snap-symbolic" icon as an origin icon
  * data: Change Software's summary in the metainfo.xml
  * Merge branch '1841-better-appdata-summary' into 'main'
  * packagekit: Allow install of apps in the "queued for install" state
  * gs-plugin-loader: Add not removed from the install-queue file
  * gs-details-page: Hide selected check in origin popover when there's only one origin
  * gs-details-page: Make the origin popover compact
  * gs-loading-page: Change packing of the progress bar
  * gs-origin-popover-row: Show the pills on a separate line
  * Merge branch '1852-source-popover-is-very-wide' into 'main'
  * Merge branch '1855-loading-screen-papercuts' into 'main'
  * gs-details-page: Re-position the buttons and the source chooser in the narrow mode
  * gs-details-page: Make the origin button the same size as the other action buttons
  * gs-details-page: Limit max-width-chars for the origin name label
  * Merge branch '1853-source-popover-special-case-single-source-case' into 'main'
  * Merge branch '1851-source-chooser-breaks-layout-on-mobile' into 'main'
  * Merge branch 'wip/sophie-h/no-project-group-fallback' into 'main'
  * gs-appstream: Skip screenshots it cannot read
  * gs-appstream: Read also 'video' screenshots
  * gs-screenshot-image: Show also 'video' screenshots
  * Merge branch '1843-gs-screenshot-support-videos-as-screenshot' into 'main'
  * Merge branch 'wip/install-queue' into 'main'
  * gs-details-page: Load icons for --show-metainfo app
  * gs-details-page: Hide the origin button when operation is in progress
  * gs-shell: Add 'allocation-width' property
  * gs-details-page: Change app header orientation in more narrowed width
  * gs-details-page: Disable activatable in origin popover when only one row is present
  * gs-origin-popover-row: Re-style source pills
  * Merge branch 'meson' into 'main'
  * data: Split local-file.desktop on MimeTypes based on built plugins
  * Merge branch 'review-histogram-width' into 'main'
  * gs-origin-popover-row: Define minimum width
  * rpm-ostree: Allow install of apps in the "queued for install" state
  * Merge branch 'snapd-glib-libsoup3' into 'main'
  * Merge branch 'gbsneto/parallel-refine' into 'main'
  * build: Drop libsoup API version check for flatpak library
  * Merge branch '1877-gnome-software-fails-to-build-with-flatpak-1-14-built-without-libsoup' into 'main'
  * gs-details-page: Improve packing of the action buttons
  * gs-app-row: Unmapped row does not hide
  * gs-app-row: Avoid piling GtkRevealer-s in the row
  * gs-app-row: Hide the row when the unreveal is finished
  * gs-app-row: Add comment for gs_app_row_unreveal()
  * gs-updates-section: Use gtk_widget_get_ancestor()
  * gs-installed-page: Unify unreveal of an app row
  * gs-updates-section: Flip function call order in _unreveal_row()
  * Revert "Merge branch 'gbsneto/parallel-refine' into 'main'"
  * gs-update-dialog: Change label when no update is installed
  * Merge branch '1574-updates-dialog-change-label-when-no-update-is-installed' into 'main'
  * gs-details-page: Hide the origin box when the app origin is not known
  * job-refresh-metadata: Ignore plugin errors
  * flatpak: Ignore errors when refreshing meta data
  * flatpak: Ignore errors when getting updates
  * fwupd: Ignore errors when getting updates
  * packagekit: Ignore errors when getting updates
  * rpm-ostree: Ignore errors when getting updates
  * snap: Ignore errors when getting updates
  * Merge branch 'gbsneto/more-cancellables-checks' into 'main'
  * gs-search-page: Ignore finished non-current searches
  * gs-category-page: Ignore content load when the page is not active
  * gs-category-page: Check whether app list was returned, before using it
  * gs-category-page: Ignore result of cancelled operation
  * gs-category-page: Refresh content from scratch only when the content is invalid
  * flatpak: Some keys in .flatpakref file are optional
  * gs-common: Call sync() before invoking Reboot
  * gs-common: Prefer desktop environment specific Reboot service
  * flatpak: Increase cache age request in gs_flatpak_rescan_app_data()
  * gs-shell: Show all "not-supported" errors of an app launch
  * Merge branch '1860-app-page-header-switch-to-mobile-layout-at-narrower-width' into 'main'
  * gs-app: Avoid runtime warning when converting GsApp into string
  * gs-app: Use 'Local file' origin string also when local-file is set
  * gs-plugin-loaded: Add to an install queue only non-local apps
  * snap: Check the alternative app list uses non-NULL app id
  * gs-origin-popover-row: Use local file as source if set
  * packagekit: Mark local file as installed only if the version is lower than the installed
  * Merge branch '1876-gnome-software-missing-an-install-upgrade-button-when-opening-an-rpm-file' into 'main'
  * Merge branch '1878-failure-to-get-updates-in-one-plugin-skips-other-plugins' into 'main'
  * Merge branch '1874-restart-update-no-longer-asks-for-confirmation' into 'main'
  * Release version 43.rc
  * trivial: Post release version bump
  * flatpak: Avoid deadlock under gs_flatpak_refine_wildcard()
  * misc: Hide some errors in non-debug builds
  * gs-details-page: Filter out alternatives without origin
  * gs-details-page: Include local file as an alternative when not installed
  * gs-utils: Online update should not reset update-notification-timestamp
  * gs-removal-dialog: Correct property name in the .ui file
  * gs-dbus-helper: Use non-NULL values for GNotification actions
  * Release version 43.0
  * trivial: Post release version bump
  * trivial: Update release instructions
  * Merge branch 'wip/release.md-update' into 'main'
  * Merge branch '1748-software-search-forever-loading-if-app-installing-or-uninstalling-in-parallel' into 'main'
  * Merge branch '1895-can-t-install-a-local-rpm-package-anymore-install-button-missing' into 'main'
  * Merge branch 'wip/gs-dbus-helper-use-non-NULL-values-for-actions' into 'main'
  * Merge branch 'jakedane-main-patch-14306' into 'main'
  * Merge branch '1898-distro-upgrade-is-broken' into 'main'
  * Merge branch 'gbsneto/external-appstream-fixes' into 'main'
  * Merge branch 'pk-fix' into 'main'
  * gs-removal-dialog: Update look of the dialog
  * rpm-ostree: Mark apps as downloaded
  * gs-details-page: Style 'Uninstall' button differently when it's alone
  * Merge branch 'gbsneto/refine-install-queue' into 'main'
  * gs-summary-tile: Add larger gap around the "installed" icon
  * metainfo: Correct release information to pass appstreamcli validation
  * fwupd: Update the self test
  * Merge branch 'gbsneto/filter-blocklisted-apps' into 'main'
  * gs-details-page: Allow specify packaging format with origin name
  * gs-details-page: Keep chosen updatable app
  * gs-application: Make most of the GAction-s activatable only after GsShell is setup
  * webapps: Change origin and packaging information
  * webapps: Compute metainfo app ID in a dedicated function
  * webapps: Search for apps by app id
  * gs-details-page: Hide review histogram part when it's empty
  * fwupd: Show hidden updates and provide a problem information for them
  * gs-app-row: Show update problems and disallow update when available
  * gs-app: Use real app/plugin priority in gs_app_compare_priority()
  * flatpak: Set the plugin better than rpm-ostree
  * gs-install-appstream: Remove old files from legacy path
  * gs-external-appstream: Remove old files from legacy path
  * rpm-ostree: Show Changelog entries for updated packages
  * gs-install-appstream: Ensure the installed file has correct permissions and owner
  * gs-shell: Consider errors from non-interactive actions as handled
  * gs-shell: Enhance how notifies about failed actions on terminal
  * gs-shell: Extract setting of GsShell::events_info_uri into a function
  * gs-common: Add gs_utils_show_error_dialog_simple()
  * gs-shell: Show detailed error message in a dialog
  * gs-details-page: Keep chosen updatable app
  * gs-appstream: Mute "ignoring unknown or empty provided item type" runtime warning
  * gs-plugin: First reset app state before setting it available/unavailable
  * gs-plugin: Verify app belongs to the repo before changing app state
  * gs_app_notify_unavailable: Claim "Third-Party" in UI only for non-official repos
  * misc: Hide refine "cancelled" runtime warnings
  * rpm-ostree: Add prefix into WhatProvides tag only if no prefix is set already
  * gs-vendor: Ignore ENOENT for /etc/PackageKit/Vendor.conf file
  * gs-dbus-helper: Make sure non-NULL values are used for GVariant
  * rpm-ostree: Add prefix into WhatProvides tag only if no prefix is set already
  * gs-vendor: Ignore ENOENT for /etc/PackageKit/Vendor.conf file
  * gs-dbus-helper: Make sure non-NULL values are used for GVariant
  * Merge branch 'backport-1532-misc-fixes-gnome-43' into 'gnome-43'
  * gs-updates-page: Shrink the up-to-date image slightly in the narrow mode
  * gui: Make it possible to shrink window content width a bit more
  * gs-app-list: Remove unneeded `continue` in gs_app_list_filter_duplicates()
  * gs-app-list: Minor save of one indentation level by two `if`-s merge
  * odrs: Use memory copy in g_memory_input_stream_new_from_data() with libsoup3
  * odrs: Use memory copy in g_memory_input_stream_new_from_data() with libsoup3
  * Merge branch 'backport-1537-fix-odrs-gnome-43' into 'gnome-43'
  * contrib: Disable PolicyKit support in the Flatpak manifest
  * gs-screenshot-carousel: First ref_sink() img widget before discarding it
  * gs-plugin-loader: Slightly reorganize code in gs_plugin_loader_process_thread_cb()
  * gs-plugin-loader: Do not remove app from install queue when in offline
  * gs-page: May cancel its own remove action in some cases
  * gs-page: Always use non-NULL cancellable in gs_page_remove_app()
  * gs-screenshot-carousel: First ref_sink() img widget before discarding it
  * Merge branch 'backport-1540-screenshot-leak-gnome-43' into 'gnome-43'
  * gs-plugin: First reset app state before setting it available/unavailable
  * gs-plugin: Verify app belongs to the repo before changing app state
  * rpm-ostree: Check for GDBus errors before giving up on error convert
  * rpm-ostree: Sync org.projectatomic.rpmostree1.xml with the upstream version
  * Merge branch 'backport-1529-third-party-repos-gnome-43' into 'gnome-43'
  * rpm-ostree: Use 'ListRepos' D-Bus method to get list of repositories
  * rpm-ostree: Use 'WhatProvides' D-Bus method to get list of packages with certain capability
  * rpm-ostree: Use 'GetPackages' D-Bus method to get list of packages
  * rpm-ostree: Remove unused function and libdnf usage
  * build: Drop dependency on libdnf
  * style-hc.css: Use 1px border for pills
  * gs-plugin: Add more debug output to check_directory_for_desktop_file()
  * gs-app-context-bar: Limit tile description to three lines of text
  * rpm-ostree: Install pending updates when automatic updates are on
  * rpm-ostree: Use flags in make_rpmostree_options_variant()
  * gs-plugin-loader: Replace use of g_source_set_name_by_id()
  * gs-plugin-loader: Replace use of g_source_set_name_by_id()
  * Merge branch 'backport-1550-source-crash-gnome-43' into 'gnome-43'
  * gs-app-reviews-dialog: Avoid listbox rows removal when possible
  * gs-review-row: Expose refresh() function into the public API
  * gs-app-reviews-dialog: Refresh only the row after vote on the review
  * Merge branch '1776-reviews-voting-yes-no-scrolls-user-back-to-top-of-review-list' into 'main'
  * rpm-ostree: Provide detailed download progress
  * Merge branch '1965-add-rebase-notice-in-rebase-progress' into 'main'
  * Merge branch 'review-dialog' into 'main'
  * Release version 43.2
  * trivial: Post release version bump
  * gschema: Add 'flatpak-purge-timestamp' key
  * flatpak: Add GsFlatpak function to purge unused refs
  * flatpak: Periodically check for unused refs and uninstall them
  * gs-details-page: Correct horizontal align for the app name and actions boxes
  * gs-remote-icon: Reload icon every 30 days
  * gs-remote-icon: Reload icon every 30 days
  * gs-plugin: Claim which plugin invoked 'reload' in the debug log
  * gs-appstream: Check the cancellable in gs_appstream_do_search()
  * gs-plugin: Claim which plugin invoked 'reload' in the debug log
  * gs-appstream: Check the cancellable in gs_appstream_do_search()
  * Merge branch 'backport-1584-search-cancellation-gnome-43' into 'gnome-43'
  * flatpak: Derive scope from GsFlatpak only if not temporary
  * flatpak: Reset runtime's scope when installing .flatpak bundle
  * Merge branch 'fix-mnemonic-write-review-project-website' into 'main'
  * Merge branch '2028-2038-minor-os-updates-labels' into 'main'
  * Merge branch 'widget-set-visible' into 'main'
  * Merge branch 'add-mnemonics-view-switchers' into 'main'
  * Merge branch 'fix-updates-mnemonics' into 'main'
  * Merge branch 'main' into 'main'
  * gs-markdown: Change how bullet is parsed
  * gs-markdown: Generalize detection of header marks
  * gs-markdown: Add detection of header 3 to 6
  * gs-markdown: Add empty lines before and after header lines in Pango output
  * gs-markdown: Strip leading new lines in the output
  * Merge branch '2054-enhance-coverage-of-update-description-markup-from-dnf-packagekit' into 'main'
  * gs-appstream: Remove unused argument of gs_appstream_format_description()
  * gs-appstream: Read <issues> into the release description
  * gschema: Add 'show-only-free-apps' setting
  * gs-prefs-dialog: Add 'show-only-free-apps' setting
  * misc: Rename 'Update Preferences' into 'Preferences'
  * gs-plugin-types: Add GS_PLUGIN_LIST_APPS_FILTER_FREELY_LICENSED
  * gs-shell: Add gs_shell_get_list_apps_flags()
  * gs-page: Add gs_page_get_list_apps_flags()
  * misc: Filter apps according to "show-only-free-apps" setting
  * gs-cmd: Add option to filter for freely licensed apps only
  * gs-plugin-job-list-apps: Filter only for freely licensed apps when set to
  * gs-prefs-dialog: Add mnemonics to the properties
  * gs-app-query: Sanitize passed-in 'keywords' before using them
  * gs-app-addon-row: Replace 'checkbox' with an 'Install' button
  * gs-app-addon-row: Replace 'selected' property with a signal
  * gs-details-page: Make addons installable only if the app itself is installed
  * gs-app-addon-row: Do not show 'Installed' label
  * gs-page: Use app's cancellable when none passed to gs_page_install_app/update_app()
  * Merge branch 'gbsneto/prettier-icon-loading' into 'main'
  * trivial: Pre-release version bump
  * Release version 43.4
  * Merge branch 'icon-sizes' into 'main'
  * gs-details-page: Remove label_addons_uninstalled_app
  * fwupd: Avoid crash due to NULL dereference when applying update
  * Merge branch 'wip/wjt/the-year-is-2023' into 'main'
  * gs-description-box: Turn properties into GObject properties
  * gs-description-box: Add 'always-expanded' property
  * gs-app-version-history-row: Use GsDescriptionBox for the version description
  * gs-app-version-history-dialog: Always show complete description
  * gs-details-page: Set the GsAppVersionHistoryRow to not be always expanded
  * Merge branch 'no-screenshots-status-page-small-fix' into 'main'
  * gs-os-update-page: Use AdwPreferencesGroup-s for the sections
  * gs-os-update-page: Use the whole window height
  * dpkg: Extract also license information from the .deb files
  * gs-app: Rename GS_APP_QUIRK_REMOVABLE_HARDWARE to GS_APP_QUIRK_UNUSABLE_DURING_UPDATE
  * fwupd: Check FWUPD_DEVICE_FLAG_USABLE_DURING_UPDATE flag
  * gs-update-monitor: No notification of prepared updates
  * gs-app-list: Publicize gs_app_list_remove_all()
  * gs-app: Add gs_app_peek_cancellable()
  * fwupd: Reuse existing sources in gs_plugin_add_sources()
  * packagekit: Reuse existing sources in gs_plugin_add_sources()
  * rpm-ostree: Reuse existing sources in gs_plugin_add_sources()
  * gs-repos-dialog: Use repo's cancellable when changing repo state
  * Merge branch '2073-translation-comments' into 'main'
  * Merge branch 'apps-icon-preference' into 'main'
  * Merge branch '2084-flatpak-ci-fix' into 'main'
  * gs-plugin-job-list-apps: Log about plugin errors only
  * gs-plugin-job-list-categories: Log about plugin errors only
  * gs-plugin-job-refine: Log about plugin errors only
  * gs-plugin-loader: Log about plugin errors only
  * Merge branch '2078-eos-updater-wrong-state' into 'main'
  * gs-main: Check for appinfo validity
  * flatpak: Fix a race on app state changes
  * Merge branch 'leak-fixes' into 'main'
  * gs-updates-section: Show "Cancel" button when all apps are updating
  * gs-page: Own job instance in helper
  * Release version 44.rc
  * trivial: Post release version bump
  * gs-plugin-loader: Do not mask 'get-updates-historical' errors
  * gschema: Add "packagekit-historical-updates-timestamp" key
  * packagekit: Propagate offline errors to the caller only once
  * packagekit: Prefix offline update failure with a translatable string
  * gs-update-monitor: Propagate 'get-updates-historical' job errors to the caller
  * gs-overview-page: Use default title for deployment featured apps
  * Merge branch 'release-instructions' into 'main'
  * Merge branch 'issue-template' into 'main'
  * repos-plugin: Run after appstream plugin
  * packagekit: Check operation's GCancellable on error states
  * gs-description-box: Set minimum hidden lines
  * gs-page: Copy 'helper' structure in update_app_needs_user_action_cb()
  * gs-page: Correct prototype of the update_app_needs_user_action_cb()
  * gs-details-page: Sort origins by packaging format preference
  * gs-appstream: Always use first release description
  * gs-page: Show only valid screenshots in needs-user-action callback
  * gs-page: Safely update enabled state of an 'Install' button in needs-user-action dialog
  * gs-update-monitor: Check timestamp before state in check_updates()
  * gs-update-monitor: Skip update when GameMode is active
  * gs-page: Add gs_page_is_active_and_focused() helper function
  * gs-updates-section: Show a notification when software updates are downloaded
  * gs-updates-page: Show a notification when software upgrades are downloaded
  * gs-shell: Make it possible to add widgets into sub-page end header bar
  * gs-extras-page: Offer 'Install All' button
  * gs-details-page: Expose Contact appstream URI
  * gs-plugin-loader: Handle NULL unique id in pending queue
  * gs-update-monitor: Consider AS_URGENCY_KIND_CRITICAL and any future higher values
  * gs-updates-page: Refine updates with UPDATE_SEVERITY as well
  * gs-plugin-generic-updates: Use different "System Updates" icon when it contains critical update
  * gs-os-update-page: Show an icon indicating the package update is a critical update
  * gs-app-row: Indicate critical update with an icon
  * Remove unused gs-app-tile.ui
  * gs-category-page: Correct keyboard navigation and look of app tiles
  * gs-details-page: Correct keyboard navigation and look of app tiles
  * gs-overview-page: Correct keyboard navigation and look of app tiles
  * gs-details-page: Cannot write review when app is updatable
  * Merge branch '2126-flatpak-info-messages' into 'main'
  * gs-review-dialog: Convert from GtkDialog to AdwWindow
  * gs-review-dialog: Add an overlay with an error label
  * gs-details-page: Claim error on review submit also in the GUI
  * gs-review-dialog: Extract validity check into a helper function
  * gs-review-dialog: Validate data before Send and show any error in the GUI
  * fwupd: Recover previous app's state after an update download is finished
  * gs-app-row: Let the warning label limit its size with long text
  * gs-app-row: Show "GnomeSoftware::problems" also in the Installed page
  * gs-app-row: Show information when app or its runtime is EOL
  * gs-details-page: Show app's "GnomeSoftware::problems" as an infobar
  * gs-details-page: Show information when app or its runtime is EOL
  * gs-repo-row: Fix a crash on repo removal
  * I#2085 - gs-plugin-loaded: Notify about changes in GSettings::allow-updates
  * gs-shell: Bind update page's visible with its stack page's visible
  * fedora-pkgdb-collections: Do not use CPE_NAME to find OS info
  * fedora-pkgdb-collections: Do not depend on "os-release" plugin
  * Merge branch 'wip/gs-repo-row-crash-on-repo-removal' into 'main'
  * Merge branch 'wip/fedora-pkgdb-collections-no-cpe' into 'main'
  * Release version 44.1
  * trivial: Post release version bump
  * trivial: Post release version bump
  * Merge branch '666-offline-updates-are-failing-with-no-error-message' into 'main'
  * Merge branch '572-advertise-if-an-installed-flatpak-app-has-reached-end-of-life' into 'main'
  * Merge branch 'wip/deployment-featured-default-title' into 'main'
  * Merge branch '551-should-show-a-notification-when-system-updates-are-downloaded' into 'main'
  * Merge branch '545-expose-contact-appstream-uri' into 'main'
  * Merge branch '482-don-t-update-download-updates-when-games-are-running' into 'main'
  * gs-updates-page: Rename `cancellable_upgrade_download` to `cancellable_upgrade`
  * gs-updates-page: Unset `cancellable_upgrade` on upgrade download finish
  * gs-updates-page: Use `cancellable_upgrade` also for the upgrade-trigger action
  * gs-app: Allow state change from 'updatable' to 'pending-install'
  * gs-upgrade-banner: Show a 'Cancel' button when triggering system upgrade
  * packagekit: Change app state when triggering an upgrade
  * rpm-ostree: Change app state when triggering an upgrade
  * Merge branch '383-os-upgrades-delay-without-feedback-after-pressing-update-and-restart' into 'main'
  * gs-utils: Localize error messages and claim reason of failed file/directory deletion
  * gs-details-page: Offer delete of uninstalled Flatpak app's user data
  * Merge branch '257-uninstall-confirmation-ask-whether-to-clear-app-storage-for-flatpaks' into 'main'
  * Merge branch '251-include-an-install-all-button-for-requested-codecs' into 'main'
  * Merge branch '134-indicate-when-os-updates-includes-security-fixes' into 'main'
  * Misc: Fix two memory leaks reported by valgrind
  * gs-update-monitor: Asks for cached updates every hour
  * gs-update-monitor: Asks for cached updates every hour
  * Merge branch 'backport-1687-automatic-updates-gnome-44' into 'gnome-44'
  * gs-update-monitor: Change the last check timestamp only if updates could be received
  * gs-update-monitor: Change the last check timestamp only if updates could be received
  * Merge branch 'backport-1604-check-updates-timestamp-gnome-44' into 'gnome-44'
  * gs-repo-row: Flip order of "repo kind" and "installed apps/addons" text
  * gs-repo-row: Flag when related apps for the repo are ready
  * gs-repos-section: Proxy to GsRepoRow when repo's related apps are ready
  * gs-repos-dialog: Split sources retrieval and their related apps retrieval
  * packagekit: Add sources' related apps as part of a refine job
  * Merge branch 'backport-1690-run-in-thread-pool-gnome-44' into 'gnome-44'
  * gs-app: Add thread safety around accessing GsApp::icons member
  * misc: Use thread safe functions to access GsApp::icons member
  * flatpak: Change how app addons are pruned
  * flatpak: Slightly speed up addons pruning
  * gs-details-page: Possible to show duplicate Source-s
  * gs-details-page: May not always allow to set a local file as the Source
  * gs-details-page: Possible to show duplicate Source-s
  * gs-details-page: May not always allow to set a local file as the Source
  * Merge branch 'backport-1698-duplicated-source-gnome-44' into 'gnome-44'
  * gs-details-page: Leftover signal handlers
  * Merge branch 'flatpak-permissions-crash' into 'main'
  * flatpak: Change how app addons are pruned
  * flatpak: Slightly speed up addons pruning
  * Merge branch 'backport-1701-flatpak-crash-gnome-44' into 'gnome-44'
  * Merge branch 'backport-1696-flatpak-addons-gnome-44' into 'gnome-44'
  * Merge branch 'refactor-threads30' into 'main'
  * rpm-ostree: Download updates within update_apps() operation
  * rpm-ostree: Optimize update_apps() a bit
  * rpm-ostree: Re-trigger update during update_apps()
  * rpm-ostree: Show updates download progress
  * rpm-ostree: Download updates within update_apps() operation
  * rpm-ostree: Optimize update_apps() a bit
  * rpm-ostree: Re-trigger update during update_apps()
  * rpm-ostree: Show updates download progress
  * Resolve "Constant CPU usage while idle (GTK spinners or other progress indicators?)"
  * Resolve "Constant CPU usage while idle (GTK spinners or other progress indicators?)"
  * rpm-ostree: Remove unused variable
  * Merge branch 'backport-1689-rpm-ostree-downloads-gnome-44' into 'gnome-44'
  * Merge branch 'backport-1695-spinner-gnome-44' into 'gnome-44'
  * Merge branch '2157-register-custom-types' into 'main'
  * Merge branch 'icon-locking-fix' into 'main'
  * rpm-ostree: Remove unused variable
  * gs-details-page: Hide app context bar and license tile for non-apps
  * gs-common: Extract get_app_data_dir() as a helper function
  * gs-common: Extract remove_app_data_dir() as a helper function
  * gs-page: Propagate error within app removal
  * gs-page: Ask to remove app data on uninstall, if known
  * gs-common: Immediately delete app data dir, not through the Trash
  * gs-overview-page: Show at least 6 apps in the curated apps section
  * gs-category-page: Change how many apps can be shown in the top carousel
  * gs-category-page: Show 'New & Updated' with 12 apps and more than 50 recognized
  * gs-category-page: Show at least 3 apps in the sections
  * gs-category-page: Flip margin definitions between sections
  * gs-category-page: Hide "Other Software" heading when no other section is shown
  * gs-appstream: Skip "merge" components when getting/counting categories
  * gs-plugin-job-list-categories: Reset category sizes to 0 before running the job
  * gs-overview-page: Show apps from all (top) categories when there are less than 100 of them
  * style.css: Add 'orange' lozenge color
  * gs-context-dialog-row: Add GS_CONTEXT_DIALOG_ROW_IMPORTANCE_INFORMATION
  * gs-hardware-support-context-dialog: Use also GS_CONTEXT_DIALOG_ROW_IMPORTANCE_INFORMATION
  * gs-age-rating-context-dialog: Use also GS_CONTEXT_DIALOG_ROW_IMPORTANCE_INFORMATION
  * gs-safety-context-dialog: Use also GS_CONTEXT_DIALOG_ROW_IMPORTANCE_INFORMATION
  * gs-app-context-bar: Add SAFETY_PROBABLY_SAFE value
  * app-safety: Classify network access as 'probably safe'
  * app-safety: Classify distro-provided apps as 'privileged'
  * app-safety: Tweak safety values for some of the permissions
  * app-safety: Make proprietary apps one level worse (unsafe) than free apps
  * app-safety: Use "Reviewed by OS distributor" only as a fallback
  * gs-safety-context-dialog: "Provided by a third party" text not shown
  * gs-app-context-bar: Rephrase "Can access arbitrary files"
  * flatpak: Extract runtime kind check into a function
  * flatpak: Fallback to read ref info from <bundle> element when refining a wildcard
  * gs-utils: Introduce gs_utils_gstring_replace()
  * Replace as_gstring_replace() with gs_utils_gstring_replace()
  * gs-appstream: Replace deprecated AS_SEARCH_TOKEN_MATCH_MIMETYPE with AS_SEARCH_TOKEN_MATCH_MEDIATYPE
  * gs-plugin-appstream: Replace deprecated AS_FORMAT_STYLE_COLLECTION with AS_FORMAT_STYLE_CATALOG
  * gs-plugin-appstream: Replace depreacted as_metadata_components_to_collection() with as_metadata_components_to_catalog()
  * gs-utils: Check how many arguments as_gstring_replace() has
  * flatpak: Extract runtime kind check into a function
  * flatpak: Fallback to read ref info from <bundle> element when refining a wildcard
  * Merge branch 'backport-1715-crash-wildcards-gnome-44' into 'gnome-44'
  * packagekit: Report PkClientError errors in the GUI during package update
  * fedora-pkgdb-collections: Fix init() debug message
  * dpkg: Fix init() debug message
  * dummy: Fix init() debug message
  * rpm-ostree: Mark repositories as 'system' scope
  * fedora-third-party: Use plugin loader to determine which plugin handles `dnf` repositories
  * gs-details-page: Refresh "other developer apps" on instance change
  * gs-details-page: Filter "other developer apps" by ID only
  * Merge branch 'translatable-string-fix' into 'main'
  * Misc: Markup-escape text passed to adw_status_page_set_description()
  * gs-flatpak-transaction: Recover app state on failure
  * gs-plugin-flatpak: Force app state refresh at the end of update-apps job
  * flatpak: Make it possible to force-update app state
  * gs-flatpak-transaction: Recover app state on failure
  * gs-plugin-flatpak: Force app state refresh at the end of update-apps job
  * flatpak: Make it possible to force-update app state
  * Merge branch 'backport-1729-flatpak-state-refresh-gnome-44' into 'gnome-44'
  * Merge branch 'default-branch-docs' into 'main'
  * CI: Disable gtk+ tests
  * CI: Add '--break-system-packages' to pip3 command in Debian Dockerfile
  * build: Bump minimum gtk4 version to the stable version
  * misc: Remove obsolete GTK_CHECK_VERSION() usages
  * Release version 44.3
  * Release version 45.alpha
  * trivial: Post release version bump
  * gs-plugin-generic-updates: Inherit highest update urgency from app list for 'System Updates' app
  * gs-app-row: Use different icon and place for the "Critical update" icon
  * gs-os-update-page: Move the "critical update" icon closer to the app name
  * Merge branch 'metered-typos' into 'main'
  * Merge branch 'main' into 'main'
  * packagekit: Prepare for update should skip to be obsoleted and removed packages
  * Merge branch '2227-carousel-animation' into 'main'
  * Merge branch 'update-circle-apps' into 'main'
  * gs-app: Add function to check whether update details had been set
  * gs-plugin-generic-updates: Merge system updates also when asking for update severity
  * packagekit: Use update-severity refine flag similar to update-details flag
  * gs-app-details-page: Load update details on demand
  * gs-update-dialog: Stop requesting update-details for the apps
  * gs-update-monitor: Stop requesting update-details for the apps
  * gs-updates-page: Stop requesting update-details for the apps
  * gs-plugin-job-refine: Failed job never removed from the job manager
  * Merge branch 'baltix-main-patch-54884' into 'main'
  * gs-appstream: Skip apps with release date too far in the future
  * gs-metered-data-dialog: Shorten text in the dialog
  * gs-update-monitor: Correct notification withdraw for historical updates
  * gs-updates-section: Short-circuit the cycle when needed information is discovered
  * gs-updates-section: Require reboot for offline firmware and offline sections
  * gs-app-details-page: Apply 'icon-dropshadow' lower in the stack
  * gs-app-details-page: Clear refine cancellable only when not cancelled
  * gs-app-details-page: Show a spinner when loading update details
  * gs-license-tile: Distinguish between proprietary, special and unknown licenses
  * packagekit: Replace 'unknown' SPDX license with the actual one
  * gs-app: Treat empty license the same as NULL license
  * gs-app-context-bar: Special-case 'Unknown license' case
  * gs-safety-context-dialog: Special-case 'Unknown License' case
  * gs-details-page: Open license URL on "Learn More" click when available
  * gs-plugin-job: Remember cancellable for the job and add function to cancel it
  * gs-job-manager: Add async function to shutdown (and cancel ongoing jobs)
  * gs-plugin-loader: Remember job's cancellable
  * gs-application: Cancel ongoing jobs before quit of the application
  * packagekit: Call "search_files" in a batch within "refine" if possible
  * packagekit: Skip "search_files" during "refine" for apps in "resolve_list"
  * gs-details-page: Refresh screenshots on internal app change
  * gs-app: Add a utility function to determine whether the app is app or generic software
  * gs-details-page: Differentiate between 'app' and 'software' in user-visible strings
  * gs-license-tile: Differentiate between 'app' and 'software' in user-visible strings
  * gs-safety-context-dialog: Differentiate between 'app' and 'software' in user-visible strings
  * gs-details-page: Use a different URL for unknown license on 'Learn More'
  * Resolve "Gnome Software can't find somes packages when searching for parts of their names"
  * Merge branch '2269-screenshot-download-blocking-issue' into 'main'
  * odrs: Some app's reviews counted twice
  * packagekit: Correct comparison in debug message for batch search-by-file
  * gs-app-context-bar: Recognize and claim "special license" state
  * gs-safety-context-dialog: Recognize and claim "special license" state
  * packagekit: Ignore errors from `pk_offline_get_prepared_ids`
  * Release version 45.rc
  * trivial: Post release version bump
  * trivial: Update RELEASE.md 'meson' command arguments
  * gs-download-utils: Cover case where `local_error` is set, but message status is 200
  * gs-download-utils: Fix issues introduced in !1781
  * Merge branch 'ci-werror' into 'main'
  * gs-main: Remove call to g_set_prgname()
  * Merge branch '2325-reboot-refs' into 'main'
  * Merge branch '2315-kdeglobals' into 'main'
  * gs-appstream: Recognize Flathub's developer verified apps
  * Release version 45.0
  * trivial: Post release version bump
  * Merge branch 'loading-page-spinner-missing' into 'main'
  * Merge branch 'details-page-cancellation' into 'main'
  * data: Bundle content-loading-symbolic icon
  * flatpak: Set X11 permission when "fallback-x11" is used without "wayland"
  * style.css: Do not hardcode `eol_red` color
  * packagekit: Show detailed error message when package install fails on GPG error
  * gs-update-monitor: Fix security timestamp check
  * gs-update-monitor: Claim in the debug message why getting all updates
  * gs-details-page: Change how apps with verified developer identity are shown
  * Merge branch 'profiler-private' into 'main'
  * Merge branch 'fix-remove-button-has-frame' into 'main'
  * Merge branch 'add-interaction-option-text' into 'main'
  * Merge branch '2329-pipewire-permissions' into 'main'
  * Merge branch 'category-page-fixes' into 'main'
  * Merge branch 'gs-loading-page-header-capitalization' into 'main'
  * gs-prefs-dialog: Update look of the Preferences dialog
  * Merge branch '2351-updates-preferences-are-unclear' into 'main'
  * flatpak: Support device=input permission
  * gschema: Add option to show only apps from developers with verified identity
  * gs-app-query: Add "developer-verified-type" property and enum
  * gs-shell: Add helper function to get "show-only-verified-apps" setting
  * gs-plugin-job-list-apps: Honor GsAppQuery::developer-verified-type property
  * gs-shell-search-provider: Honor "show-only-verified-apps" setting
  * gs-prefs-dialog: Add "show-only-verified-apps" option
  * gs-page: Add wrapper function around gs_shell_get_query_developer_verified_type()
  * gs-...-page: Set GsAppQuery::developer-verified-type property
  * gs-application: Set GsAppQuery::developer-verified-type property
  * gs-details-page: Change how apps with verified developer identity are shown
  * gs-details-page: Show a tooltip above "Verified" place
  * Merge branch '2097-no-hint-in-the-ui-that-ctrl-u-uninstalls-an-app' into 'main'
  * gs-os-update-page: Workaround extra separator line in the list boxes
  * Merge branch 'tweak-updates-info-popover' into 'main'
  * Merge branch 'wip/gnome-45-mr1797' into 'gnome-45'
  * Merge branch '2133-system-updates-dialog-the-last-row-has-an-extra-line-at-the-bottom' into 'main'
  * gs-os-update-page: Workaround extra separator line in the list boxes
  * Merge branch 'cherry-pick-662e1158' into 'gnome-45'
  * Release version 45.1
  * trivial: Post release version bump
  * Merge branch 'change-invalidate-os-update' into 'main'
  * Merge branch 'loading-app-details-status-page' into 'main'
  * flatpak: Do not remove flatpak/tests/app-update/repo content
  * eos-updater: Deadlock on cancel of wait for state change
  * Merge branch 'review-dialog' into 'main'
  * Merge branch 'main' into 'main'
  * CI: Create Docker image with local subprojects .wrap files
  * fwupd: Conditionally replace deprecated symbols in 1.9.4
  * gs-app: Replace deprecated gdk_pixbuf_get_from_surface()
  * misc: Replace deprecated symbols in gtk 4.12.0
  * Merge branch 'version-bump' into 'main'
  * packagekit: Recognize markdown links
  * Merge branch 'updates-info-popover-icon' into 'main'
  * CI: Switch to Fedora 39 in fedora.Dockerfile
  * CI: Switch to new images
  * Merge branch 'wip/ci-f39' into 'main'
  * Merge branch 'wip/mak/appstream1.0' into 'main'
  * Merge branch 'wip/flatpak-test-dir-removal' into 'main'
  * Merge branch 'kramo-main-patch-55935' into 'main'
  * gs-appstream: Remove use of AS_PROVIDED_KIND_PYTHON_2
  * gs-appstream: Rewrite refine-related functions to speed them up
  * gs-plugin-appstream: Cache part of XbSilo content to avoid repeated queries
  * flatpak: Cache part of XbSilo content to avoid repeated queries
  * rpm-ostree: Change how NEVRA is constructed for update packages
  * rpm-ostree: Recognize and set app update urgency
  * rpm-ostree: Unregister client only when idle
  * Release version 45.2
  * trivial: Post release version bump
  * Merge branch 'critical-update-tooltip' into 'main'
  * Merge branch 'wip/docker-image-subprojects-from-pwd' into 'main'
  * Merge branch 'wip/rpm-ostree_Unregister_client_only_when_idle' into 'main'
  * Merge branch 'wip/gs-update-monitor-Fix-security-timestamp-check' into 'main'
  * Merge branch 'wip/2211-support_verified_flatpak_apps' into 'main'
  * Merge branch '1342-slow-to-load-category-page-content' into 'main'
  * Merge branch '44-broken-processing-of-markdown-links' into 'main'
  * gs-overview-page: Cannot show apps in all apps section
  * Merge branch 'wip/gs-overview-page-Cannot-show-apps-in-all-apps-section' into 'main'
  * fwupd: Correct install_device_request_cb() disconnect
  * Merge branch 'wip/fwupd-correct-install_device_request_cb-disconnect' into 'main'
  * gs-appstream: Lower app name/summary quality for repos
  * packagekit: Set highest quality for repo name/summary
  * Merge branch '2303-incorrect-lozenge-colors' into 'main'
  * Merge branch '2009-search-should-be-more-fuzzy-when-the-search-text-entered-contains-whitespace' into 'main'
  * Merge branch '2355-implement-flatpak-device-input-permission' into 'main'
  * Merge branch '2374-enabling-disabling-software-sources-cause-their-full-repo-names-to-disappear' into 'main'
  * Merge branch '2377-software-stuck-in-update-installation-cancelling-the-installation-freezes-the-entire-app' into 'main'
  * Merge branch '2389-display-fixed-vulnerability-details-secadvisories-on-the-update-page' into 'main'
  * gs-appstream: Lower app name/summary quality for repos
  * packagekit: Set highest quality for repo name/summary
  * Merge branch 'wip/backport-mr1822' into 'gnome-45'
  * gs-overview-page: Cannot show apps in all apps section
  * gs-update-monitor: Fix security timestamp check
  * gs-update-monitor: Claim in the debug message why getting all updates
  * Merge branch 'wip/backport-mr1836' into 'gnome-45'
  * Merge branch 'wip/backport-mr1805' into 'gnome-45'
  * rpm-ostree: Unregister client only when idle
  * packagekit: Recognize markdown links
  * Merge branch 'wip/backport-mr1832' into 'gnome-45'
  * Merge branch 'wip/backport-mr1828' into 'gnome-45'
  * eos-updater: Deadlock on cancel of wait for state change
  * Merge branch 'wip/backport-mr1823' into 'gnome-45'
  * Merge branch 'wip/backport-mr1748' into 'gnome-45'
  * gs-update-monitor: Pick latest install_date for install-timestamp
  * Merge branch 'wip/gs-update-monitor-Pick-latest-install_date-for-install-timestamp' into 'main'
  * gs-update-monitor: Pick latest install_date for install-timestamp
  * Merge branch 'wip/backport-mr1848' into 'gnome-45'
  * flatpak: Let user choose which installation is used for local file install
  * gs-safety-context-dialog: Add a row for package name (or app ID)
  * flatpak: Expose app ID in "GnomeSoftware::packagename-value"
  * packagekit: Expose package name in "GnomeSoftware::packagename-value"
  * rpm-ostree: Expose package name in "GnomeSoftware::packagename-value"
  * Merge branch '2404-support-user-installation-of-local-flatpak-files' into 'main'
  * Merge branch '644-expose-package-names-discreetly-in-the-ui' into 'main'
  * Merge branch 'fix-ellipses' into 'main'
  * gs-appstream: Increase limit to category apps lookup
  * gs-overview-page: Add debug prints about discovered categories
  * gs-overview-page: Verify category sizes
  * Merge branch 'main' into 'main'
  * Merge branch 'wip/backport1857-gnome-45' into 'gnome-45'
  * Merge branch 'fix-appdata' into 'main'
  * Merge branch 'ellipsis-status-pages' into 'main'
  * Merge branch 'wip/gs-overview-page-Verify-category-sizes' into 'main'
  * Revert "Merge branch 'wip/gs-overview-page-Verify-category-sizes' into 'main'"
  * Merge branch 'only-show-verified-developers-option-fix' into 'main'
  * Release version 46.alpha
  * trivial: Post release version bump
  * Release version 45.3
  * Merge branch 'wip/hughsie/new-fwupd' into 'main'
  * Merge branch 'port-to-new-widgets' into 'main'
  * gs-appstream: Read developer name also from 'developer' element
  * Merge branch '2412-deprecated-developer_name-element' into 'main'
  * gs-appstream: Increase limit to category apps lookup
  * gs-overview-page: Add debug prints about discovered categories
  * gs-overview-page: Verify category sizes
  * Merge branch 'wip/mak/fix-dep11-mime' into 'main'
  * gs-plugin-appstream: Race on appstream silo changes
  * Merge branch '1517-gs-plugin-appstream-race-on-appstream-silo-changes' into 'main'
  * cleanup: Address some warnings reported by clang
  * Merge branch 'wip/cleanup-clang-warnings' into 'main'
  * trivial: Update RELEASE.md
  * gs-appstream: Add gs_appstream_load_desktop_files()
  * gs-plugin-appstream: Use gs_appstream_load_desktop_files()
  * gs-flatpak: Use gs_appstream_load_desktop_files()
  * gs-plugin-appstream: Move gathering of system appstream dirs into a common place
  * gs-plugin-appstream: Use a GPtrArray for desktop files dirs
  * gs-appstream: Add gs_appstream_add_current_locales()
  * gs-plugin-appstream: Use gs_appstream_add_current_locales()
  * gs-flatpak: Use gs_appstream_add_current_locales()
  * gs-flatpak: Set GUID on the XbBuilder
  * gs-details-page: Use gs_appstream_add_current_locales()
  * gs-appstream: Add gs_appstream_add_data_merge_fixup()
  * gs-plugin-appstream: Use gs_appstream_add_data_merge_fixup()
  * gs-flatpak: Use gs_appstream_add_data_merge_fixup()
  * Merge branch '1649-support-appstream-merging' into 'main'
  * Merge branch 'fix-2410' into 'main'
  * gs-appstream: Replace removed symbol from appstream 1.0
  * Merge branch 'wip/missed-appstream1.0-change-in-m1309' into 'main'
  * Merge branch 'adwstatuspage-gs-details-page' into 'main'
  * Merge branch 'wip/gs-overview-page-Verify-category-sizes2' into 'main'
  * flatpak: Recognize `--socket=pulseaudio` for permissions
  * Merge branch '2394-safety-warning-for-pulseaudio' into 'main'
  * fwupd: Change how historical updates are received
  * Merge branch '1163-critical-warning-for-not-handling-error-failed-for-action-get-updates-historical' into 'main'
  * gs-app: Add 'downloading' state
  * gs-updates-section: Download apps for update when they require reboot
  * Merge branch 'wip/gs-app-add-downloading-state' into 'main'
  * gs-shell: Make 'More Information' a 'Details' button in error toast
  * gs-shell: Update error texts to fit AdwToast
  * gs-common: Update look of the gs_utils_show_error_dialog_simple()
  * gs-shell: Create AdwToast-s on demand
  * Merge branch 'wip/cdavis/port-to-toast' into 'main'
  * Merge branch 'minor-fix' into 'main'
  * gs-worker-thread: Implement work queue to run them sequentially
  * gs-app-context-bar: Fix lifetime of reviewed_by variable
  * Merge branch 'wip/gs-app-context-bar-reviewed_by-lifetime' into 'main'
  * Merge branch 'opensuse-distro-upgrade' into 'main'
  * Merge branch 'updates-paused-dialog' into 'main'
  * Merge branch 'bash_auto_completion' into 'main'
  * Merge branch 'wip/worker-thread-queue' into 'main'
  * gs-overview-page: Do not disable focus for box_all_apps
  * gs-category-page: Do not disable focus on flow boxes
  * Merge branch '2433-cannot-navigate-categories-with-keyboard' into 'main'
  * Merge branch 'ui-changes' into 'main'
  * Release version 46.beta
  * trivial: Post release version bump
  * Merge branch 'community-built' into 'main'
  * gs-review-dialog: Write a note to report an issue when there's a problem with the app
  * Merge branch '2423-add-a-disclaimer-when-making-a-review-to-contact-the-developer-if-it-s-an-issue' into 'main'
  * Merge branch 'main' into 'main'
  * gs-plugin-job: Identify job by the type name in debug print when action is unknown
  * gs-screenshot-image: Center internal picture widgets
  * Merge branch 'wip/hughsie/fwupd-no-fwupd_device_get_description' into 'main'
  * gs-plugin: Create GAppInfo from a file name, not key file
  * packagekit: Listen for "PkControl::installed-changed" signal
  * Merge branch '2450-extensions-app-fails-to-run-from-a-terminal-using-exec-from-the-desktop-file' into 'main'
  * gs-appstream: Fix possible NULL GError dereference under gs_appstream_gather_merge_data()
  * Merge branch 'wip/crash_under_gs_appstream_gather_merge_data' into 'main'
  * gs-updates-page: Mark string for translation
  * Merge branch 'wip/gs-updates-page-mark-string-for-translation' into 'main'
  * Merge branch 'wip/gs-plugin-job-debug-print' into 'main'
  * Merge branch '2448-screenshots-created-by-libappstream-are-blurry' into 'main'
  * Merge branch '1787-a-newly-installed-application-is-not-shown-in-the-list-of-installed-applications-when' into 'main'
  * gs-plugin: Add gs_plugin_list_cached()
  * gs-plugin-loader: Notify plugins when other plugins invoked 'reload'
  * gs-plugin-appstream: Reset state and invalidate silo when any plugin emits 'reload'
  * packagekit: Unset cached apps' state before invoking reload
  * Merge branch '2451-uninstalling-a-rpm-package-does-not-correctly-change-its-state-still-shown-as-installed' into 'main'
  * gs-appstream: Remove consecutive spaces in app description
  * Merge branch 'fix-incorrect-metainfo-release-date' into 'main'
  * Merge branch '2454-extra-spacing-in-description-of-app' into 'main'
  * Merge branch 'version_history_dialog_grab_focus' into 'main'
  * flatpak: Set precise app kind from the appstream data
  * Merge branch 'wip/sophie-h/developer-id' into 'main'
  * Merge branch 'add_service_type_to_system_updates' into 'main'
  * Merge branch 'wip/hughsie/no-reboot-failed-firmware' into 'main'
  * Release version 46.rc
  * trivial: Post release version bump
  * gs-details-page: Remove window title when scrolled at the very top
  * Merge branch 'review_dialog_callback_refcount_issue' into 'main'
  * fedora-pkgdb-collections: Fix which upgrade the app state is refined from
  * fedora-pkgdb-collections: Preset correct upgrade state
  * fedora-pkgdb-collections: Ignore EOL upgrades
  * gs-updates-paused-banner: Correct ref/unref imbalance of 'banner' property
  * Merge branch 'wip/sophie-h/update-circle-apps' into 'main'
  * Merge branch 'packagekit_runtime_version_check' into 'main'
  * packagekit: Do not call "updates-changed" when checking for updates (often)
  * Merge branch 'fix_2437' into 'main'
  * packagekit: Skip blocked packages from updates
  * Merge branch 'wip/wjt/2140-add-rebase-and-uninstall' into 'main'
  * flatpak: Fix a crash during app installation
  * data: Bundle application-x-executable icon
  * gs-app: Verify existence of every icon size before using it
  * gui: Fallback to "application-x-executable" icon instead of "system-component-application"
  * packagekit: Set update app state based on update kind
  * Merge branch 'backport-1926-fix-translation-warnings-gnome-46' into 'gnome-46'
  * Merge branch 'backport-1924-hardware-support-fix-gnome-46' into 'gnome-46'
  * gs-plugin-appstream: Add missing silo read locker
  * flatpak: Lookup for an alternate app skipping the alternate_of app
  * gs-details-page: Do not add app_local_file when the same alternative exists
  * Merge branch 'backport-1931-silo-read-locker-gnome-46' into 'gnome-46'
  * Merge branch 'backport-1919-flatpak-file-source-gnome-46' into 'gnome-46'
  * Merge branch 'backport-1938-origin-popover-gnome-46' into 'gnome-46'
  * gs-app-details-page: Do not pass NULL into g_markup_escape_text()
  * Merge branch 'backport-1945-escape-null-gnome-46' into 'gnome-46'
  * fedora-pkgdb-collections: Incorrect state set on the upgrade app
  * Merge branch 'backport-1949-fedora-pkgdb-gnome-46' into 'gnome-46'
  * Merge branch 'backport-1961-extra-quote-gnome-46' into 'gnome-46'
  * Merge branch 'backport-1960-review-esc-gnome-46' into 'gnome-46'
  * Merge branch '2516-fix-mogwai-autoupdate-46' into 'gnome-46'
  * rpm-ostree: Always initialize mutexes in the instance init() function
  * rpm-ostree: Do not wait on process end when reading changelogs
  * rpm-ostree: Cut too long history log
  * Merge branch 'backport-1947-rpm-ostree-changelogs-gnome-46' into 'gnome-46'
  * Release version 46.1

  [ Dylan McCall ]
  * gs-metered: Use explicit casts in block_scheduler_schedule_cb
  * gs-metered: Count all references to task in block_scheduler_schedule_cb

  [ Guntupalli Karunakar ]
  * Update Hindi translation

  [ Fabio Tomat ]
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation

  [ Automeris naranja ]
  * gs-screenshot-carousel: Rename "No Screenshot" to "No Screenshots"
  * prefs-dialog: Remove periods from rows descriptions
  * general: Add ellipsis to the Uninstall buttons
  * gs-details-page: Add keyboard shortcut for uninstalling an app
  * gs-loading-page: Use header capitalization for the "Downloading software catalog" title
  * gs-updates-page: Drop period from single sentence phrases
  * gs-prefs-dialog: Make updates_info_popover to look like CCListRowInfoButton from GNOME Settings
  * gs-pref-dialog: Allow the contents of updates_info_popover to be read by the screen reader
  * gs-details-page: Improve "Loading app details" status page design
  * gs-prefs-dialog: Use correct info-symbolic for updates_info_button
  * gs-app-row: Use header capitalization in the "Critical update" tooltip
  * gs-details-page: Use AdwStatusPage to display errors/messages
  * general: Remove ellipsis from some status page titles
  * gs-loading-page: Use header capitalization in the "Starting up" title
  * gs-prefs-dialog: Fix "Only Show Verified Developers" option title
  * shell: Tweak "Back" buttons
  * gs-details-page: Remove unnecessary quote symbol
  * gs-review-dialog: Allow closing the window with ESC

  [ Athmane MOKRAOUI ]
  * Update Kabyle translation
  * Update Kabyle translation
  * Update Kabyle translation

  [ Artur S0 ]
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation

  [ Cassidy James Blaede ]
  * origin-popover: remove small-caps, style with CSS

  [ Nathan Follens ]
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation

  [ Philip Withnall ]
  * rpm-ostree: Fix a potential leak of a GError
  * fwupd: Use g_steal_pointer() to make ownership transfer more obvious
  * rpm-ostree: Fix a potential leak of a GError
  * fwupd: Use g_steal_pointer() to make ownership transfer more obvious
  * lib: Add a quirk for parental filtering and filter results with it
  * gs-content-rating: Update categories for ESRA rating system
  * gs-content-rating: Tweak prepositions in translatable strings
  * gs-content-rating: Remove references to ‘game’ in translatable strings
  * gs-content-rating: Expand a contraction in a translatable string
  * gs-content-rating: Correctly parse locale names
  * gs-details-page: Drop workarounds for locales with codesets
  * lib: Add PARENTAL_NOT_LAUNCHABLE quirk to prevent launching apps
  * po: Add Bengali translation
  * po: Add Vietnamese translation
  * po: Add Hindi translation
  * po: Add partial Marathi translation
  * flatpak: Fix several double-uses of GErrors
  * flatpak: Handle failure of a libflatpak function updating permissions
  * flatpak: Fix several more double-uses of GErrors
  * external-appstream: Use ‘error_local’ rather than ‘local_error’
  * flatpak: Use ‘error_local’ rather than ‘local_error’
  * src: Use ‘error_local’ rather than ‘local_error’
  * build: Allow hardcoded-popular plugin to be disabled
  * gs-details-page: Stop details grid vertically expanding
  * gs-details-page: Increase default width of developer name
  * gs-upgrade-banner: Change button/label text for reboot upgrades
  * gs-updates-page: Fix capitalisation of a dialogue title string
  * gs-updates-page: Add mnemonics to a button label
  * gs-app: Fix app state transition check for UPDATABLE → INSTALLING
  * gs-plugin-types: Fix a copy/paste error in a documentation comment
  * gs-upgrade-banner: Handle AS_APP_STATE_QUEUED_FOR_INSTALL
  * gs-upgrade-banner: Make state failure warnings more informative
  * eos-updater: Add D-Bus interface description for eos-updater service
  * eos-updater: Implement a plugin to integrate with the eos-updater daemon
  * eos-updater: Add mock eos-updater implementation
  * eos-updater: Add manual updater tests
  * gs-upgrade-banner: Hide the banner if the GsApp state is unknown
  * src: Add some debugging of GCancellable handling for upgrades
  * gs-upgrade-banner: Fix signal enums to match signal names
  * gs-appstream: Add missing consts
  * gs-app: Drop usage of G_PARAM_PRIVATE on a property
  * build: Remove redundant `install` arguments from configure_file() calls
  * gs-app-row: Remove app ratings from the installed and updates pages
  * gs-installed-page: Hide folders from app rows
  * gs-loading-page: Update software cache on first run
  * lib: Add metered data scheduling to the core
  * flatpak: Add support for download scheduling
  * fwupd: Add support for download scheduling
  * packagekit: Add support for download scheduling
  * gs-update-monitor: Unconditionally refresh when using Mogwai
  * flatpak: Fix a minor leak
  * shell-extensions: Fix a warning on a NULL UUID
  * data: Fix `@libexecdir@` substitution in external-appstream polkit file
  * lib: Fix minor indentation problem
  * build: Add a glib-2.0 dependency in a few places
  * build: Bump GLib version requirement to 2.55
  * details: Hide add/remove shortcut buttons for parentally filtered apps
  * malcontent: Add new plugin for restricting access to apps
  * core: Unconditionally set content rating data
  * build: Disable malcontent plugin by default
  * shell: Ignore G_IO_ERROR_CANCELLED errors
  * appstream: Correctly distinguish empty content ratings from missing ones
  * build: Enable malcontent plugin by default
  * malcontent: Correctly distinguish empty content ratings from missing ones
  * details: Hide add/remove shortcut buttons for parentally filtered apps
  * shell: Ignore G_IO_ERROR_CANCELLED errors
  * gs-updates-section: Avoid crash when switching modes
  * gs-plugin: Improve documentation of gs_plugin_get_locale()
  * gs-appstream: Fix comparison of languages from locales
  * gs-appstream: Fix handling of language kudo for non-trivial locales
  * gs-plugin-loader: Stop special-casing UTF-8 codeset in locales
  * gs-plugin-loader: Fix parsing the language from the locale
  * build: Bump Meson dependency to 0.47.0
  * build: Add test suites to test() calls
  * ci: Rework the CI to support multiple Docker images
  * ci: Disable the PackageKit tests
  * ci: Disable the fwupd tests
  * ci: Run a custom D-Bus daemon for the tests in the CI
  * ci: Build libmalcontent dependency on Fedora CI
  * gs-content-rating: Factor rating system names out into an array
  * gs-content-rating: Rework how content rating descriptions are stored
  * gs-content-rating: Add missing description for no tobacco references
  * gs-content-rating: Expose list of all OARS categories
  * gs-details-page: Rework age ratings handling to avoid hard-coded list
  * gs-details-page: Fix a minor leak in a comparison function
  * flatpak: Ensure use of the installed_refs cache is thread-safe
  * gs-common: Require a CSS class name for custom CSS
  * gs-common: Stop storing GtkCssProvider redundantly
  * gs-details-page: Fix a minor leak in a comparison function
  * flatpak: Ensure use of the installed_refs cache is thread-safe
  * odrs: Mark new reviews as AS_REVIEW_FLAG_SELF
  * gs-review-dialog: Fix suggested-action highlighting of Post button
  * gs-popular-tile: Simplify some star ratings handling code
  * gs-details-page: Reset star rating when loading an unrated app
  * build: Add a default_featured_apps option
  * gs-page: Style the ‘Remove’ button on the uninstall confirmation dialogue
  * gs-repos-dialog: Style the repo removal confirmation button
  * odrs: Fix confusing variable name
  * odrs: Add and expand a few debug messages
  * odrs: Fix case in an error message
  * gs-utils: Fix NULL handling in string sorting function
  * gs-app: Use switch instead of chained ifs for handling quirks
  * gs-app: Add a new hide-everywhere quirk
  * core: Use GS_APP_QUIRK_HIDE_EVERYWHERE instead of Blacklisted category
  * flatpak: Handle OSTree GPG signature errors
  * gs-plugin-loader: Ignore G_IO_ERROR_CANCELLED handling plugin errors
  * gs-plugin-loader: Notify of network changes when availability changes
  * gs-plugin-loader: Listen for network-metered changes and signal them
  * gs-shell: Add an info bar about automatic updates
  * gs-app-row: Remove ‘show-folders’ functionality
  * key-colors: Make a colour conversion plugin method inline
  * key-colors: Pre-query pixbuf width and height
  * gs-category-page: Block signal emission while reloading
  * gs-plugin-loader: Iterate over hash tables directly
  * gs-plugin-loader: Rework some hash table code to use fewer calls
  * flatpak: Drop a debug message
  * flatpak: Drop some dead progress handling code
  * core: Only define refine(), not refine_app(), where possible
  * dummy: Only define refine(), not refine_app()
  * fedora: Only define refine(), not refine_app()
  * flatpak: Only define refine(), not refine_app()
  * malcontent: Only define refine(), not refine_app()
  * odrs: Only define refine(), not refine_app()
  * modalias: Only define refine(), not refine_app()
  * packagekit: Only define refine(), not refine_app()
  * repos: Only define refine(), not refine_app()
  * snap: Only define refine(), not refine_app()
  * lib: Tweak refine() documentation to no longer recommend refine_app()
  * lib: Drop the refine_app() vfunc in favour of refine()
  * ui: Fix various calls to gs_utils_sort_key(NULL)
  * gs-app-list: Simplify an enum declaration
  * flatpak: Improve progress reporting for transactions
  * flatpak: Add debug information about transaction operations
  * gs-app: Add GS_APP_PROGRESS_UNKNOWN and clarify unknown behaviour
  * lib: Formalise use of GS_APP_PROGRESS_UNKNOWN
  * flatpak: Use new unknown progress reporting API
  * gs-details-page: Show a pulsing progress bar if progress is unknown
  * gs-loading-page: Port to the new unknown progress support
  * gs-progress-button: Add stub support for unknown progress values
  * gs-upgrade-banner: Add support for a pulsing progress bar
  * gs-plugin-loader: Avoid calls to refine_wildcard()
  * gs-plugin-loader: Only do an early refine if sorting results
  * core: Add an override for icon lookup paths for tests
  * tests: Remove an unused environment variable
  * tests: Avoid using a hard-coded directory for temporary test data
  * tests: Enable G_TEST_OPTION_ISOLATE_DIRS for all tests
  * tests: Fix racy assertion in flatpak test
  * key-colors: Make a colour conversion plugin method inline
  * key-colors: Pre-query pixbuf width and height
  * gs-plugin-loader: Iterate over hash tables directly
  * gs-plugin-loader: Rework some hash table code to use fewer calls
  * flatpak: Drop a debug message
  * ui: Fix various calls to gs_utils_sort_key(NULL)
  * malcontent: Move filter-reload code out into a helper function
  * malcontent: Reload the app filter when it changes
  * flatpak: Operate on a copy of the FlatpakInstallation
  * flatpak: Operate on a copy of the FlatpakInstallation
  * appstream: Monitor appstream and appdata directories rather than files
  * appstream: Use XB_BUILDER_COMPILE_FLAG_NO_NODE_CACHE everywhere
  * gs-feature-tile: Only change CSS on GTK widget if metadata has changed
  * gs-common: Don’t leak GtkCssProvider for custom CSS
  * flatpak: Set no-interaction option on transaction where possible
  * packagekit: Avoid 600000 allocations when comparing package IDs
  * gs-star-widget: Add GObject properties
  * gs-star-widget: Only refresh if the widget is realised
  * gs-star-widget: Simplify interactively setting the rating
  * gs-star-widget: Split out rating refresh from other refresh
  * gs-app-row: Drop GSettings object
  * odrs: Reduce size of critical sections
  * odrs: Use a single GArray for loaded ratings data
  * odrs: Use a JsonObjectIter to save memory
  * odrs: Use immutable JSON parsers
  * gs-app-row: Add some properties so they can be set at construction time
  * gs-app-row: Coalesce refresh operations where possible
  * gs-app: Slightly improve annotations for GsApp:pixbuf
  * data: Reduce dead area in featured app background images
  * build: Ensure featured apps XML is installed in the configured datadir
  * appstream: Support loading appstream files from custom install prefix
  * fedora-pkgdb-collections: Memory map JSON files for parsing
  * odrs: Use memory mapped I/O when loading individual app rating JSON
  * gs-plugin-loader: Don’t refresh on a job if there’s no sorting
  * gs-installed-page: Set app row properties at construction time
  * gs-content-rating: Drop function if appstream-glib is new enough
  * gs-content-rating: Drop all content rating code if as-glib is new enough
  * tests: Drop a content rating test due to it being in appstream-glib
  * gs-plugin-job: Clarify plugin job debug output
  * gs-plugin-loader: Add sysprof support for profiling jobs
  * build: Bump sysprof dependency and allow building as a subproject
  * build: Add subproject support for malcontent
  * ci: Update run-docker.sh to support podman as well as Docker
  * ci: Use malcontent subproject in the CI
  * ci: Add wrap file for libglib-testing
  * ci: Enable sysprof in some CI builds
  * ci: Relax the requirement about running run-tests.sh as root
  * ci: Cache subproject files in the CI images
  * ci: Don’t run subprojects’ tests when running tests in CI
  * gs-plugin-loader: Rework plugin setup logging
  * gs-plugin-loader: Factor out a variable assignment
  * gs-plugin-loader: Set GTask names
  * gs-shell: Change mode in an idle callback after loading is complete
  * odrs: Document how to develop and test the odrs-web server
  * gs-plugin-loader: Tidy up anything_ran handling
  * Merge branch 'JMS55/gnome-software-simulation_game_category'
  * Merge branch '83-weird-gray-box-behind-every-screenshot' into 'master'
  * Merge branch '1069-regression-packagekit-package-details-not-found-when-not-having-4-semicolons' into 'master'
  * Merge branch '115-gs-screenshot-image-use-larger-icon-for-error-messages' into 'master'
  * Merge branch '140-gs-details-page-hide-launch-button-if-the-application-cannot-be-launched' into 'master'
  * Merge branch 'appdata-gitlab' into 'master'
  * flatpak: Skip updates which fail
  * Merge branch 'wip/mcrha/add-gitignore'
  * appstream: Fix critical warning when appstream contains invalid bundle
  * ui: Rename ‘Remove’ to ‘Uninstall’
  * Merge branch 'appstream-invalid-bundle' into 'master'
  * docs: Update high-level overview in the README
  * doc: Create use cases document for gnome-software
  * Merge branch '144-handle-release-dates-in-the-future-better' into 'master'
  * Merge branch 'wip/kalev/flatpak-eol-runtime-cleanup' into 'master'
  * Merge branch 'master' into 'master'
  * gs-details-page: Don’t list all OARS sections if app has ‘none’ rating
  * gs-details-page: Coalesce certain age ratings groups to clarify popover
  * gs-details-page: Decide which content rating IDs to show based on age
  * gs-appstream: Support new libxmlb query binding API in 0.3.0
  * docs: Update DOAP file with additional maintainers
  * docs: Document co-maintainership model
  * Merge branch 'ignore-flatpak-update-failures' into 'master'
  * docs: Drop unused MAINTAINERS file
  * Merge branch 'maintainers' into 'master'
  * Merge branch '146-gnome-software-needs-to-be-restarted-to-enable-new-plugins-message-could-be-better' into 'master'
  * Merge branch '1008-age-ratings-none' into 'master'
  * Merge branch '154-gs-details-page-lack-of-information-when-flatpak-app-data-is-being-loaded' into 'master'
  * gs-update-dialog: Fix a typo in version comparison
  * docs: Add contact information to README
  * Merge branch 'readme' into 'master'
  * Merge branch '935-version-comparison' into 'master'
  * Merge branch '27-codec-install-oddities-in-unable-to-find-message' into 'master'
  * Merge branch '46-when-offline-software-thinks-app-is-installed-when-it-isn-t' into 'master'
  * ui: Add borders and padding to installed and search lists
  * gs-details-page: Don’t show the origin box if not on the details page
  * data: Drop outdated shell extensions repo key
  * packagekit: Ignore error about repo enabled already when enabling repo
  * gs-application: Fix NULL GVariant handling
  * Merge branch 'master' into 'master'
  * Merge branch '91-clicking-screenshots-doesn-t-switch-between-them' into 'master'
  * Merge branch '674-repo-enable' into 'master'
  * Merge branch 'document-use-cases' into 'master'
  * Merge branch 'wip/wjt/format-use-cases' into 'master'
  * Merge branch 'wip/mcrha/fix-mode-name-typo' into 'master'
  * Merge branch '515-gs-update-monitor-show-updated-applications-on-click-of-the-auto-update-notification' into 'master'
  * gs-app-row: Fix arrow direction for versions in RTL locales
  * gs-plugin-loader: Don’t modify a const GError
  * plugins: Fix a few const-correctness compiler warnings
  * Remove unused variables
  * Merge branch '182-gs-shell-skip-refresh-on-start-when-download-updates-is-set-to-false' into 'master'
  * Merge branch '1100-version-rtl' into 'master'
  * rpm-ostree: Use GMainContext directly rather than GMainLoop
  * rpm-ostree: Don’t hang if the daemon crashes
  * gs-utils: Wrap GMainContextPusher if not available
  * gs-plugin-loader: Run each job thread with a new GMainContext
  * rpm-ostree: Use the thread-default main context when blocking
  * gs-screenshot-image: Don’t warn if download failed due to being offline
  * Merge branch 'clang-fixes' into 'master'
  * Merge branch 'app-fix-type-validation' into 'master'
  * Merge branch '850-gs-shell-close-the-window-on-ctrl-q-key-press' into 'master'
  * Merge branch 'flatpak-support-eolr' into 'master'
  * Merge branch '801-gs-repos-dialog-hide-empty-frame' into 'master'
  * Merge branch '1074-gs-details-page-fully-sandboxed-flatpak-apps-have-high-permissions' into 'master'
  * Merge branch '1103-gs-application-search-for-the-installed-application-in-app-launch' into 'master'
  * Merge branch 'ignore-features' into 'master'
  * Merge branch '594-update-all-button-should-be-insensitive-when-installing-flatpak-updates' into 'master'
  * Merge branch '585-gs-details-page-show-also-release-date' into 'master'
  * tests: Allow progress to be unknown or 100% after flatpak installation
  * Merge branch '1107-flatpak-test-failure' into 'master'
  * Merge branch 'wip/superm1/fwupd-error-handling' into 'master'
  * gs-plugin-loader: Clear pending action on app once task is done
  * flatpak: Improve performance of progress reporting
  * Merge branch 'snap-alternates' into 'master'
  * Merge branch 'flatpak-progress-performance' into 'master'
  * Merge branch 'xmlb-query-bindings' into 'master'
  * Merge branch '1091-rpm-ostree-contexts' into 'master'
  * gs-first-run-dialog: Change ‘Let’s Go Shopping’ to ‘Browse Software’
  * style: Drop text colour for ‘Installed’ label in app row
  * gs-app-row: Fix vertical alignment of ‘Installed’ label and icon
  * Merge branch 'new-icon' into 'master'
  * Merge branch '1105-gs-details-page-rating-histogram-hidden-when-being-offline' into 'master'
  * Merge branch '945-build-switch-from-gnome-desktop-dependency-to-gsettings-desktop-schemas' into 'master'
  * appdata: Update appdata for recent changes
  * Merge branch '945-appdata-update' into 'master'
  * Merge branch 'snap-confinement-in-refine' into 'master'
  * Merge branch '80-support-better-the-dark-themes' into 'master'
  * Merge branch 'wip/mcrha/unknown-progress-handling' into 'master'
  * core: Fix use of new libxmlb API
  * Merge branch '37-installpackagenames-exits-immediately' into 'master'
  * Merge branch 'wip/hughsie/g_main_context_ref_thread_default' into 'master'
  * lib: Cache GsOsRelease
  * Merge branch '1116-os-release-caching' into 'master'
  * ci: Speed up cache-subprojects.sh
  * Merge branch '1082-flatpak-origin-ui-string-doesn-t-use-repo-title' into 'master'
  * Merge branch '947-review-timing-and-content-of-software-updates-notifications' into 'master'
  * ci: Don’t run libxmlb subproject tests in CI
  * Merge branch 'hdycolumn' into 'master'
  * gs-category-page: Fix view scrolling if clicking tiles near the top
  * Merge branch '1040-category-scrolling' into 'master'
  * Merge branch '11-collapse-long-descriptions' into 'master'
  * subprojects: Limit clone depth to 1 in wrap files
  * Merge branch '117-launching-search-from-the-shell-omits-the-search-string-in-software' into 'master'
  * Merge branch '1064-gs-search-page-execute-load-when-there-s-an-application-to-be-shown' into 'master'
  * gs-metered-data-dialog: Improve justification of the message text
  * Merge branch '1080-metered-dialog-justification' into 'master'
  * gs-debug: Ignore glib-networking debug messages
  * flatpak: Block on download scheduler for updates
  * gs-metered: Fix ‘Since’ tags on documentation comments
  * gs-metered: Remove Mogwai schedule entries when downloads are complete
  * shell: Ignore failure to hold the scheduler daemon
  * flatpak: Shift Mogwai waits above where transactions are built
  * Merge branch 'wrap-warning-label' into 'master'
  * Merge branch '1012-no-icon-shadow-on-app-update-release-notes-dialog' into 'master'
  * plugins: Remove some shadowing variables
  * flatpak: Ignore FLATPAK_ERROR_ALREADY_INSTALLED when installing apps
  * Merge branch 'wip/mcrha/project-files' into 'master'
  * Merge branch 'update-doap-userid' into 'master'
  * Merge branch '998-flatpak-cover-addons-on-install-uninstall-of-the-application' into 'master'
  * Merge branch 'flatpak-repo-warnings' into 'master'
  * flatpak: Drop a duplicate gi18n header
  * Merge branch '985-gs-installed-page-filter-out-uninstalled-local-applications' into 'master'
  * lib: Move GsAppListFilterFlags definition to public header
  * build: Add a libgnomesoftware_dep internal dependency
  * build: Simplify the dummy plugin dependency list
  * build: Use libgnomesoftware_dep rather than link_with: libgnomesoftware
  * build: Ensure deps list in src/meson.build is sorted alphabetically
  * lib: Convert some enums from #defines to enum types
  * lib: Add a GS_PLUGIN_REFINE_FLAGS_MASK member
  * flatpak: Use the correct mask enum member rather than GUINT64
  * lib: Generate gs-enums.h to add GTypes for public enums
  * lib: Use enum and flag types for GObject properties rather than guint64
  * lib: Use correct glib-mkenums trigraphs to hide LAST enum members
  * Merge branch 'wip/jimmac/banner-gradient-fix' into 'master'
  * docs: Port RELEASE document to Markdown
  * docs: Add some more prose to RELEASE.md
  * docs: Document release schedule
  * docs: Mention canonical release instructions
  * docs: Check repository status before releasing
  * docs: Don’t use `git commit -a` to release
  * docs: Use git-evtag rather than git-tag for releases
  * docs: Use ninja rather than ninja-build
  * docs: Tag releases after building them
  * docs: Push release tags atomically
  * docs: Remove specific username from SSH commands
  * gs-feature-tile: Support RTL CSS for banners
  * build: Bump plugin API version for recent libgnomesoftware API changes
  * docs: Add more detail about appdata entries in RELEASE.md
  * docs: Add some detail about use of git-evtag in RELEASE.md
  * Merge branch 'maintenance-docs' into 'master'
  * Merge branch '1111-app-details-addons' into 'master'
  * gs-flatpak: Port to libxmlb 0.3.0 query context API
  * flatpak: Ensure ref details are set when refining renamed apps
  * Merge branch '964-add-crossfade-animation-to-main-gtkstack' into 'master'
  * Release version 40.alpha
  * docs: Use variables in the RELEASE instructions
  * docs: Add instructions for updating GitLab’s milestones and releases
  * trivial: Post release version bump
  * Merge branch '960-flatpak-a-flatpakref-file-installation-fails' into 'master'
  * build: Fix installation directory for mkenums-generated header
  * build: Move desktop category data into libgnomesoftware
  * gs-desktop-data: Expose the number of elements in the array publicly
  * lib: Add a GsCategoryManager
  * plugins: Drop category enumeration from the desktop-categories plugin
  * gs-cmd: Use GsCategoryManager to find categories for get-category-apps
  * gs-overview-page: Use GsCategoryManager to get featured subcategories
  * core: Drop add_category_apps() implementation from desktop-categories
  * core: Drop desktop-categories plugin
  * lib: Add menu path resolving code directly to GsApp
  * core: Drop desktop-menu-path plugin
  * lib: Drop GS_PLUGIN_REFINE_FLAGS_REQUIRE_MENU_PATH
  * gs-category: Rename icon to icon-name
  * gs-category: Add read-only properties
  * gs-category: Fix header includes
  * gs-category: Add gs_category_new_for_desktop_data()
  * gs-category: Handle size of ‘all’ subcategory specially
  * gs-category: Add desktop groups for ‘all’ subcategory automatically
  * gs-category: Remove unused public setter functions
  * gs-category: Reduce string copies by pointing to static desktop data
  * gs-category: Lazily create desktop groups array
  * gs-category: Lazily create child categories array
  * gs-app-row: Add cast to property enum type for switch
  * gs-plugin-loader: Remove class vfuncs for signals
  * gs-plugin-loader: Make final rather than derivable
  * Merge branch 'category-manager' into 'master'
  * Merge branch 'addons-tweak-spacing' into 'master'
  * Merge branch '1081-gsapp-show-packaging-format-in-origin-ui-string' into 'master'
  * build: Disable building libmalcontent-ui in subprojects
  * ci: Add dependencies for appstream subproject to CI Dockerfiles
  * ci: Use CI images which contain cached appstream subproject
  * Merge branch 'wip/mak/libas' into 'master'
  * Merge branch 'mwleeds/minor-offline-fixes' into 'master'
  * gs-plugin-loader: Ensure the plugin_loader variable is used
  * odrs: Avoid the need to declare the g_array_binary_search() fallback
  * build: Disable docs when building appstream as a subproject
  * Merge branch '1087-default-handlers-for-apt-and-snap' into 'master'
  * gs-rounded-bin: Add a new widget for rounding the corners of things
  * gs-featured-carousel: Add new carousel widget for featured apps
  * gs-overview-page: Use the new GsFeaturedCarousel widget
  * plugins: Move key-colors plugin into GsApp code
  * lib: Drop GS_PLUGIN_REFINE_FLAGS_REQUIRE_KEY_COLORS refine flag
  * lib: Fix a minor typo in a doc string in GsApp
  * Merge branch '1139-version-history-fixes' into 'master'
  * plugins: Move key-colors-metadata plugin into GsApp code
  * data: Update featured apps to use new schema
  * gs-appstream: Select featured apps using new custom values
  * gs-feature-tile: Remove unused GtkBox from the UI
  * gs-feature-tile: Restyle to match new designs
  * gs-appstream: Load 256px icon for use by featured apps when in hi-DPI
  * gs-app: Rename gs_app_set_pixbuf() to gs_app_add_pixbuf()
  * dummy: Fix a memory leak of some pixbufs
  * gs-app: Provide pixbufs at any requested size
  * gs-common: Drop unused utility function
  * dummy: Require icons in the self tests when testing key colours
  * build: Recompile the GSettings schemas when they change
  * build: Clean up installation path for schema XML
  * build: Bump plugin API version for recent GsApp API changes
  * Merge branch 'mwleeds/honor-g-messages-debug' into 'master'
  * gs-application: Clean up class_init function
  * gs-debug: Split out environment variables from GsDebug state
  * gs-application: Add a debug property
  * gs-debug: Allow setting verbose mode at runtime
  * gs-cmd: Stop setting G_MESSAGES_DEBUG
  * gs-plugin-icons: Drop mention of the epiphany plugin
  * lib: Use GsDebug in tests to avoid calling setenv() at runtime
  * gs-debug: Fix output of warnings/errors to stderr
  * Merge branch '1132-fix-duplicate-addons' into 'master'
  * Merge branch '1141-flatpak-remove-of-a-repository-doesn-t-remove-it-from-the-gui' into 'master'
  * Merge branch '1142-gsapplication-crash-when-run-as-root' into 'master'
  * gs-app: Fix a typo and add annotations to a gtk-doc comment
  * gs-app: Support override key-color values in appstream data
  * lib: Split key colour generation out into a separate file
  * tools: Add a profiling tool for key color generation
  * Merge branch 'wip/aday/utilities-folder' into 'master'
  * Merge branch 'version-include-commit' into 'master'
  * subprojects: Hard-code appstream subproject at 0.14.1
  * Merge branch 'update-libhandy-req' into 'master'
  * odrs: Refactor fallback distro name code
  * Add translation contexts to various short translatable strings
  * lib: Rework key color extraction code
  * lib: Use GArray for key colors rather than GPtrArray
  * gs-feature-tile: Choose the best key colour as the background colour
  * gs-feature-tile: Recalculate background colour when style changes
  * gs-key-colors: Use nearest rather than bilinear scaling for pixbufs
  * Merge branch '1158-string-contexts' into 'master'
  * Merge branch 'wip/mcrha/update-notifications' into 'master'
  * style: Hide border on carousel buttons for non-Adwaita themes
  * gs-app: Use the libappstream function to check proprietary licenses
  * gs-appstream: Add support for `date` attribute in release nodes
  * Merge branch '1161-license-cleanup' into 'master'
  * Merge branch '1145-appstream-release-date' into 'master'
  * gs-app: Return NULL from get_icons() if no icons are set
  * gs-app: Print icon width in debug information
  * gs-app: Sort icon array by size
  * gs-app: Split out functionality to remove all icons
  * gs-utils: Clarify some negative flag conditions
  * gs-utils: Drop support for reading cache from /usr/share/gnome-software
  * gs-utils: Make creating cache directory optional
  * lib: Add GsRemoteIcon as a GIcon implementation for remote icons
  * gs-plugin-icons: Stop adding custom theme paths for stock icons
  * lib: Port GsApp to use GIcons rather than GdkPixbufs for icons
  * lib: Drop gs_app_load_pixbuf() and use GIcons instead
  * gs-overview-page: Tweak empty page handling
  * gs-overview-page: Hide apps with low-res icons from featured carousel
  * gs-flatpak: Export both sizes of icons from flatpak bundles
  * tests: Test key colours using a different test app
  * appstream: Fix some icon leaks in gs-appstream.c
  * gs-details-page: Allow fallback sizes for icon
  * Merge branch '1147-icons-refactoring' into 'master'
  * odrs: Add missing libm dependency
  * lib: Build libgnomesoftware as a shared library as well as static
  * contrib: Factor out common dir path in gnome-software.spec.in
  * lib: Drop outdated and unused pkgconfig file template
  * build: Move plugins to a subdirectory of the private libdir
  * contrib: Update plugin API version to match meson.build
  * Merge branch 'shared-library' into 'master'
  * snap: Fix use of outdated GsApp pixbuf API
  * snap: Fix number of arguments to g_loadable_icon_load() in tests
  * snap: Delete no-longer-valid AsIcon construction
  * snap: Drop use of gs_app_has_pixbufs()
  * snap: Mark all screenshots as of extra type
  * Merge branch '1170-snap-fixes' into 'master'
  * contrib: Improve formatting of build commands for example plugin
  * contrib: Add missing header to example plugin
  * contrib: Improve code style in example plugin
  * docs: Minor formatting fixes in plugin documentation
  * docs: Update description of icon loading in the plugin documentation
  * Merge branch '1168-example-plugin-cleanup' into 'master'
  * gs-app: Add additional icon debug information
  * gs-appstream: Fix handling of icons where appdata doesn’t specify width
  * gs-icon: Work around invalid icon names from some appstream files
  * gs-installed-page: Add installed page sections to mirror all sort keys
  * gs-installed-page: Add headers for all GsInstalledPageSections
  * gs-installed-page: Hide the removable apps header if shown first
  * gs-installed-page: Don’t show a separator at the top of the list
  * gs-shell-search-provider: Fix crash in variant handling for icons
  * Merge branch '1179-search-crash' into 'master'
  * flatpak: Allow cancelling querying update permissions
  * Merge branch 'warn-discarded-qualifiers' into 'master'
  * Merge branch '1081-gsapp-show-packaging-format-in-the-origin-ui-string' into 'master'
  * Merge branch 'wip/hughsie/fwupd-deprecated-api' into 'master'
  * Merge branch 'wip/hughsie/libxmlb-tokenization' into 'master'
  * Merge branch '1150-gs-updates-page-keep-showing-apps-which-are-being-installed' into 'master'
  * Merge branch '630-flatpak-updates-are-stuck-in-installing-state-when-flatpak-update-was-already-done-outside' into 'master'
  * flatpak: Ensure silo is valid when calling add_category_apps()
  * Merge branch '1129-flatpak-silo-invalidation' into 'master'
  * Merge branch '1143-odrs-cannot-be-disabled-by-filling-empty-review-server-setting' into 'master'
  * Merge branch '961-gsapp-state-not-updated-after-repository-enable-disable' into 'master'
  * gs-page: Correctly set interactive status for app installation
  * Merge branch 'flatpak-refresh-cancellation' into 'master'
  * Merge branch '1196-race-condition-under-gs_plugin_icons_load_cached' into 'master'
  * rpm-ostree: Fix some const-correctness warnings
  * Merge branch '1128-possible-thread-race-condition' into 'master'
  * Merge branch '1175-installed-page-headers' into 'master'
  * Merge branch 'carousel-fixes' into 'master'
  * gs-appstream: Warn if a font element is empty in some appstream
  * Merge branch '1185-search-sometimes-fails-to-search' into 'master'
  * gs-details-page: Deduplicate the origin list
  * Merge branch '1194-broken-repository-can-hide-other-repositories' into 'master'
  * Merge branch '1192-duplicate-origin-rows' into 'master'
  * Merge branch 'empty-font-warning-fix' into 'master'
  * Merge branch '1187' into 'master'
  * Merge branch 'wip/hughsie/fwupd-cats-translations' into 'master'
  * gs-overview-page: Make the class final
  * src: Implement GtkScrollable on several GsPages
  * src: Remove scroll_up argument from gs_page_switch_to()
  * gs-extras-page: Use a more specific GsShell call to change mode
  * gs-shell: Refactor mode change code to be event-based
  * gs-shell: Simplify some callbacks by using a GtkBuilder binding
  * gs-shell: Simplify internal state change loop protection
  * gs-shell: Simplify some page-handling logic
  * gs-shell: Drop internal mode state in favour of the GtkStack state
  * gs-shell: Use a final class instead of a derivable class
  * gs-shell: Simplify gs_shell_new()
  * gs-shell: Drop gs_shell_is_active()
  * src: Use widget’s parent window rather than gs_shell_get_window()
  * src: Remove an unused widget from gnome-software.ui
  * gs-updates-page: Fix margins and spacing across page
  * gs-page: Add GsPage:title property
  * gs-shell: Bind GsPage:title to application_details_header:label
  * gs-shell: Move various shell widget visibility changes out of pages
  * gs-page: Expose update/installed counter as GsPage:counter
  * gs-updates-page: Simplify constructor slightly
  * gs-details-page: Move origin box widgets out of shell
  * gs-page: Don’t expose GsShell’s GtkBuilder to pages
  * gs-shell: Port to use GTK templates
  * gs-page: Simplify some constructors
  * gs-shell: Remove pages hash table
  * gs-shell: Move GsPage pointers into an array
  * gs-shell: Set up signal bindings in the UI file where possible
  * Add editorconfig file
  * Merge branch 'sidebar-part1' into 'master'
  * Merge branch '1195-crash-on-updates-page-load' into 'master'
  * Merge branch 'wip/mcrha/ci-error-logs' into 'master'
  * Merge branch '1197-flatpak-test-suit-failing-unexpectedly' into 'master'
  * gs-shell: Remove unused variable
  * gs-sidebar: Add new sidebar widget
  * gs-shell: Rework shell UI, header bars and panes
  * gs-shell: Rename header to main_header
  * gs-shell: Drop buttonbox and page buttons
  * gs-shell: Show the search button on the installed apps page too
  * gs-shell: Drop ‘previous’ button
  * gs-shell: Rearrange headerbars
  * gs-shell: Drop unused widget
  * gs-shell: Add adaptive support to the headerbar
  * gs-shell: Add separator between main content and sidebar
  * gs-shell: Connect category switching to the sidebar
  * gs-shell: Tidy up visibility of back button
  * shell: Bind updates counter to needs-attention property of sidebar row
  * gs-shell: Drop Unity workarounds
  * style: Drop unused needs-attention class
  * Merge branch '1138-reboot-is-needed-to-find-flathub-apps-after-installing-flathub-flatpakrepo' into 'master'
  * Merge branch '1199-ui-stutters-during-app-installation-keypress-events' into 'master'
  * Merge branch 'bilelmoussaoui/no-frame' into 'master'
  * Merge branch '554-keeps-rpm-ostreed-alive-forever' into 'master'
  * Merge branch 'win/mcrha/cherry-pick-i554' into 'gnome-40'
  * gs-shell: Hide the back button by default
  * Merge branch 'sidebar' into 'master'
  * Merge branch '574-installed-add-ons-for-system-apps-are-removable-on-fedora-silverblue' into 'master'
  * Merge branch '613-search-in-software-dialog-in-nautilus-does-not-find-any-applications-on-fedora-silverblue' into 'master'
  * Merge branch 'wip/mcrha/empty-overview-page' into 'master'
  * Merge branch 'cherry-pick-0e1695ce' into 'gnome-40'
  * Merge branch 'wip/mcrha/rpm-ostree-refine-perf' into 'master'
  * Merge branch '1185-search-sometimes-fails-to-search' into 'master'
  * Merge branch 'wip/mcrha/cherry-pick-rpm-ostree-refine-performance' into 'gnome-40'
  * Merge branch '991-rpm-ostree-local-package-not-recognized-as-installed' into 'master'
  * gs-application: Update copyright in about dialogue
  * gs-application: Update authors list
  * build: Add -Dprofile option to allow changing application ID
  * ci: Add an on-demand flatpak bundle build
  * Merge branch '1206-devel-builds' into 'master'
  * Merge branch '1213-about-copyright' into 'master'
  * Merge branch 'flatpak-devel-desktop-file' into 'master'
  * Merge branch 'view-switcher-bar' into 'master'
  * gs-app-tile: Drop gs_app_tile_new() as it’s an abstract class
  * gs-app-tile: Add a GsAppTile:app property
  * gs-app-tile: Simplify constructors of derived classes
  * Merge branch 'rounded-corners' into 'master'
  * gs-summary-tile: Modernise GObject property usage
  * gs-summary-tile: Drop support for custom CSS
  * gs-app-tile: Add a CSS name to the widget
  * gs-summary-tile: Add a CSS name to the widget
  * gs-app-tile: Simplify notify handling
  * gs-app-tile: Don’t unnecessary destroy and recreate idle handler
  * gs-summary-tile: Minor code formatting tweaks
  * gs-summary-tile: Add rounded corners
  * gs-category-page: Use GsSummaryTile instead of GsPopularTile
  * gs-overview-page: Use GsSummaryTile instead of GsPopularTile
  * gs-popular-tile: Remove GsPopularTile as it’s now unused
  * ci: Make deploy job depend on nightly flatpak build
  * gs-app-list: Pass the correct user_data to sort callbacks
  * gs-app-list: Mark the helper struct as const
  * gs-app-list: Fix a typo in a documentation comment
  * gs-plugin-job: Fix the type of return values in several preconditions
  * gs-app-list: Fix return type of GsAppListSortFunc
  * gs-plugin-job: Combine set_sort_func() and set_sort_func_data()
  * gs-plugin-job: Combine get_sort_func() and get_sort_func_data()
  * Merge branch '987-removing-layered-local-package-on-silverblue-does-not-notify-the-user-that-it-was-actually' into 'master'
  * Merge branch 'geodro-master-patch-57844' into 'master'
  * Merge branch '1217-flatpak-download-appstream-data-on-demand-when-missing' into 'master'
  * Merge branch 'sorting-cleanups' into 'master'
  * data: Add a custom featured colour for Steam
  * gs-appstream: Simplify icon extraction from apps
  * data: Add a custom featured colour for Steam
  * gs-appstream: Simplify icon extraction from apps
  * gs-category-page: Remove UI for sorting
  * Merge branch '1125-gs-details-page-refresh-only-when-being-selected' into 'gnome-40'
  * Merge branch 'json-flatpak-manifest' into 'master'
  * Merge branch '289-uninstalling-an-app-with-installed-add-ons-doesn-t-update-the-add-ons-gui' into 'master'
  * gs-app: Drop requirement for set_version_history() to be non-NULL
  * gs-app: Clarify documentation/annotations for version history
  * gs-app: Squash empty arrays to NULL in gs_app_set_version_history()
  * gs-app: Fix generic setters to handle NULL arrays
  * gs-details-page: Explicitly handle empty version history array
  * gs-app: Change gs_app_get_version_history() to return a ref
  * Merge branch '1227-version-history-crash' into 'master'
  * gs-app: Drop requirement for set_version_history() to be non-NULL
  * gs-app: Clarify documentation/annotations for version history
  * gs-app: Squash empty arrays to NULL in gs_app_set_version_history()
  * gs-app: Fix generic setters to handle NULL arrays
  * gs-details-page: Explicitly handle empty version history array
  * gs-app: Change gs_app_get_version_history() to return a ref
  * data: Fix donation link in appdata file
  * Release version 40.1
  * trivial: Post release version bump
  * data: Fix donation link in appdata file
  * Merge branch 'polkit' into 'master'
  * gs-category-page: Remove UI for filtering
  * gs-category-page: Remove two redundant GtkBoxes from the UI
  * gs-category-page: Change featured heading label text and simplify
  * gs-category-page: Convert the featured apps grid to a GtkFlowBox
  * gs-category-page: Show all featured apps in the flow box
  * gs-category-page: Simplify some category code
  * gs-category-page: Simplify some more category code
  * gs-category-page: Add a heading for the ‘other apps’ section
  * gs-category-page: Decouple from GsShell
  * gs-category-page: Move a pointless helper function into its caller
  * gs-category-page: Factor out category loading code
  * gs-category-page: Drop a redundant remove_all() call
  * gs-category-page: Use g_set_object()
  * gs-category-page: Reorder some code in set_category() to be neater
  * gs-category-page: Combine all category loading code into load_category()
  * gs-category-page: Add GsCategoryPage:category property
  * gs-category-page: Don’t connect signals to placeholder tiles
  * gs-category-page: Simplify tile placeholder code
  * gs-category-page: Refactor queries to simplify code
  * gs-category-page: Rework margins in category page UI
  * gs-category-page: Add a ‘recently updated apps’ section
  * gs-category-page: Add a top carousel
  * Merge branch '1241-crash-under-get_renamed_component' into 'master'
  * Merge branch '217-improve-error-reporting-from-flatpak-when-low-on-disk-space' into 'master'
  * Merge branch '1247-flatpak-deadlock-after-changes-from-the-command-line' into 'master'
  * Merge branch '1192-duplicate-source-origin-in-details-page-for-chromium-ungoogledchromium' into 'master'
  * packagekit: Set interactive status on PkClient wherever it’s used
  * packagekit: Set interactive status on PkClient wherever it’s used
  * ci: Make the deploy CI job manual as well as the flatpak bundle job
  * Merge branch '582-packagekit-interactive' into 'master'
  * Merge branch '865-disallow-submitting-a-review-for-an-app-you-haven-t-installed' into 'master'
  * os-release: Handle NULL OS name or version
  * Merge branch '1254-arch-null' into 'master'
  * os-release: Handle NULL OS name or version
  * Merge branch 'wjt/flatpak-ostree-main-branch' into 'master'
  * Merge branch '1256-remote-flatpak-icons-do-not-seem-to-be-fetched-anymore' into 'master'
  * Merge branch '1251-sources-for-an-app-randomly-appeared-in-header-on-updates-tab' into 'master'
  * Merge branch '1164-packagekit-recognize-urgent-updates' into 'master'
  * Merge branch 'dep11-load-crash' into 'master'
  * Merge branch 'wip/mcrha/packagekit-download-size' into 'master'
  * Merge branch '867-show-download-size-in-updates' into 'master'
  * Merge branch 'screenshots-carousel' into 'master'
  * packagekit: Change #if to #ifdef to avoid a -Wundef warning
  * Merge branch '1253-software-is-not-preparing-any-updates' into 'master'
  * Merge branch '1235-installgstreamerresources-returns-wrong-result' into 'master'
  * Merge branch '1236-permissions-popover-has-weird-margins' into 'master'
  * Merge branch 'wip/mcrha/backport-to-gnome-40' into 'gnome-40'
  * Merge branch 'wip/mcrha/news-diff' into 'master'
  * Merge branch 'wip/mcrha/release.md' into 'master'
  * Merge branch '1251-sources-for-an-app-randomly-appeared-in-header-on-updates-tab-gnome-40' into 'gnome-40'
  * Merge branch '1160-don-t-show-version-history-dialog-when-it-has-one-entry' into 'master'
  * Merge branch 'wip/mcrha/uninit-vars' into 'master'
  * Merge branch 'loading-page' into 'master'
  * gs-odrs-provider: Split out from ODRS plugin
  * gs-odrs-provider: Use the locale from setlocale() rather than the plugin
  * gs-odrs-provider: Use a caller-provided SoupSession
  * gs-odrs-provider: Use GNetworkMonitor directly
  * gs-odrs-provider: Drop various now-unused GsPlugin arguments
  * gs-plugin-loader: Add a getter for the internal session
  * gs-details-page: Use GsOdrsProvider directly
  * gs-moderate-page: Use GsOdrsProvider directly
  * gs-review-row: Use a new enum for review actions
  * gs-plugin: Drop review actions from GsPlugin and GsPluginLoader
  * gs-plugin-loader: Move the GsOdrsProvider to the plugin loader
  * gs-plugin-loader: Move ODRS refine functionality into the plugin loader
  * gs-plugin-loader: Move ODRS refresh functionality into the plugin loader
  * odrs: Drop the ODRS plugin
  * gs-odrs-provider: Drop an unnecessary cast
  * gs-plugin-loader: Avoid querying OS info if ODRS is disabled
  * gs-details-page: Add brackets to clarify operator precedence
  * Merge branch 'odrs-provider' into 'master'
  * gs-appstream: Drop unused GsPlugin arguments from gs-appstream.c
  * gs-appstream: Use setlocale() to get locale
  * gs-plugin: Drop custom locale handling
  * build: Expose libgnomesoftware dependencies internally
  * build: Move gs-appstream.c to libgnomesoftware
  * build: Drop GTK dependency from plugins
  * build: Drop GOA dependency from plugins
  * external-appstream: Move implementation into gs-external-appstream-utils
  * external-appstream: Move plugin into GsPluginLoader
  * packagekit: Merge packagekit-refine plugin into packagekit
  * packagekit: Merge packagekit-history plugin into packagekit
  * packagekit: Merge packagekit-local plugin into packagekit
  * packagekit: Merge packagekit-offline plugin into packagekit
  * packagekit: Merge packagekit-url-to-app plugin into packagekit
  * packagekit: Merge packagekit-proxy plugin into packagekit
  * packagekit: Merge packagekit-upgrade plugin into packagekit
  * dummy: Specify UTF-8 encoding in test locale
  * Merge branch 'scrollable' into 'master'
  * Merge branch 'shell-refactor' into 'master'
  * Merge branch 'updates-status' into 'master'
  * Merge branch 'installed-style' into 'master'
  * Merge branch 'wip/mcrha/plugin-loaded-init-memleak' into 'master'
  * Merge branch 'adaptive-search-bar' into 'master'
  * Merge branch 'search-style' into 'master'
  * Merge branch 'updates-loading-style' into 'master'
  * Merge branch 'page-header-widget' into 'master'
  * Merge branch '1205-reviews-ratings-are-rounded-to-integer-stars' into 'master'
  * Merge branch '1281-gs-overview-page-avoid-vertical-space-fill-of-the-featured-carousel' into 'master'
  * Merge branch 'wip/mcrha/backport-update-monitor-changes-to-gnome-40' into 'gnome-40'
  * Merge branch '995-search-results-in-gnome-shell-overview-do-not-include-fedora-third-party-repositories' into 'master'
  * Merge branch 'source-label-i18n' into 'master'
  * Merge branch '1284-gs-summary-tile-define-minimum-width-for-better-display' into 'master'
  * Merge branch 'i18n' into 'master'
  * Merge branch 'gbsneto/remove-goa' into 'master'
  * gs-shell: Update the sidebar icons to match the design
  * Merge branch 'wip/mcrha/review-histogram-ui-change' into 'master'
  * Merge branch '1288-moderate-page-is-being-loaded-when-not-needed' into 'master'
  * gs-updates-page: Ensure label is set in ACTION_GET_UPDATES state
  * gs-app: Drop redundant PROP_0 enum member
  * gs-app: Define a typedef for properties
  * gs-app: Drop PROP_LAST
  * gs-app: Clean up dispose() method by using g_clear_object()
  * gs-app: Add G_PARAM_STATIC_STRINGS to all properties
  * gs-app: Add a GsApp:content-rating property
  * gs-app: Add a GsApp:license property
  * gs-app: Add GsApp:size-download and :size-installed properties
  * gs-app: Add a GsApp:permissions property
  * Merge branch '1299-star-image-top-point-is-shorter-than-others' into 'master'
  * gs-app-context-bar: Add a new context tile bar widget and use it
  * gs-details-page: Drop the download/installed size details
  * gs-details-page: Drop the app permissions details
  * gs-details-page: Drop the app content rating details
  * gs-details-page: Drop the app licensing details
  * gs-details-page: Drop the app category details
  * gs-details-page: Drop kudo row for sandboxing
  * gs-app-context-bar: Use short forms of content ratings where possible
  * Merge branch '1111-app-context-tiles' into 'master'
  * gs-app-context-bar: Shorten an age rating string
  * gs-app: Add a GsApp:relations property
  * gs-appstream: Implement requires/recommends
  * gs-app-context-bar: Implement the hardware support context tile
  * appdata: Expose that gnome-software works on touch and pointer devices
  * appdata: Document gnome-software as adaptive
  * Merge branch 'icon-theme-resource-path' into 'master'
  * Merge branch 'wip/mcrha/css-inherit' into 'master'
  * Merge branch '1298-last-checked-timestamp-is-not-updated-when-you-leave-the-window-open' into 'master'
  * gs-desktop-data: Condense category list
  * gs-overview-page: Assert that hard-coded categories are found
  * Merge branch 'wip/mcrha/m762-to-gnome-40' into 'gnome-40'
  * Merge branch 'wip/mcrha/m733-to-gnome-40' into 'gnome-40'
  * Merge branch '1308-gnome-software-cannot-install-epiphany-tech-preview-flatpakref' into 'master'
  * Merge branch 'wip/mcrha/app-row-runtime-warning' into 'master'
  * packagekit: Change #if to #ifdef to avoid a -Wundef warning
  * Merge branch 'mwleeds/minor-release-docs-changes' into 'master'
  * docs: Use HEAD instead of master in various git URIs
  * ci: Rename default branch to ‘main’
  * Merge branch 'rename-master' into 'master'
  * Merge branch '1320-two-letter-search-doesn-t-have-any-effect' into 'main'
  * Merge branch '1210-implement-gs_plugin_add_search_what_provides-in-flatpak' into 'main'
  * Merge branch 'wip/mcrha/download-size-fix' into 'main'
  * Merge branch '1301-gnome-software-asked-me-to-download-updates-but-this-should-never-happen-when-automatic' into 'main'
  * Merge branch '1310-updates-page-blanks-while-updating-flatpaks' into 'main'
  * Merge branch 'typo-fix' into 'main'
  * Merge branch '1218-gs-repos-dialog-disable-deduplication-when-asking-for-configured-sources' into 'main'
  * Merge branch 'single-panel' into 'main'
  * packagekit: Fix tests when G_TEST_OPTION_ISOLATE_DIRS is enabled
  * appdata: Add stable/development tagging to all previous releases
  * Release version 41.alpha
  * trivial: Post release version bump
  * Merge branch 'app-name-title' into 'main'
  * Merge branch 'flowbox-navigation' into 'main'
  * Merge branch 'button-size-group' into 'main'
  * Merge branch 'typo' into 'main'
  * Merge branch 'origin-label-width' into 'main'
  * Merge branch '1265-launch-button-takes-a-while-to-appear-after-installing-an-app' into 'main'
  * Merge branch 'section-style' into 'main'
  * Merge branch 'empty-search' into 'main'
  * Merge branch 'updates-spinner-label' into 'main'
  * Merge branch 'prefs-dialog' into 'main'
  * Merge branch 'progress-button-underline' into 'main'
  * Merge branch 'updates' into 'main'
  * Merge branch '1005-add-option-for-packaging-format-preference' into 'main'
  * gs-update-monitor: Rename an internal variable
  * Merge branch 'component-icons' into 'main'
  * Merge branch 'resizable-screenshot' into 'main'
  * gs-shell: Move the notifications overlay to below the header bar
  * gs-update-monitor: Disable updates if in power saver mode
  * Merge branch '1334-power-profiles' into 'main'
  * Merge branch 'wjt/flatpak-manifest-main' into 'main'
  * Merge branch '1307-installed-page-empty-sections-not-hidden' into 'main'
  * Merge branch '1268-appstream-urls-not-properly-supported' into 'main'
  * Merge branch '1337-deadlock-on-switch-to-the-details-page' into 'main'
  * Merge branch 'non-translatable' into 'main'
  * Merge branch '1296-calculate-app-space-usage-for-download-context-tile' into 'main'
  * gs-app: Add property for gs_app_get_origin_ui()
  * gs-common: Add fallback copy of g_clear_signal_handler()
  * data: Add icons for content rating attributes
  * gs-context-dialog-row: Add new context dialog row widget
  * data: Add test-pass icon
  * gs-safety-context-dialog: Add safety context dialogue
  * gs-hardware-support-context-dialog: Add hardware support context dialogue
  * gs-age-rating-context-dialog: Add age rating context dialogue
  * gs-app-context-bar: Hook up the context dialogues to the tiles
  * gs-app-context-bar: Fix indentation in UI file
  * gs-app-context-bar: Factor out hardware support code
  * gs-app-context-bar: Factor out age rating code
  * Merge branch '1111-app-context-tile-dialogues' into 'main'
  * Merge branch 'switcher-icons' into 'main'
  * gs-*-context-dialog: Use sentence case for dialogue titles
  * Merge branch '1345-title-case' into 'main'
  * icons: Add some more icons needed by the updated details page
  * gs-app: Reduce allocations for storing URLs
  * gs-app: Add property for URLs
  * gs-details-page: Move link buttons into listbox
  * gs-details-page: Hide layout boxes if their contents are hidden
  * gs-details-page: Add community-built tile
  * gs-details-page: Drop kudos grid
  * gs-details-page: Drop the updated label
  * gs-details-page: Drop the channel label
  * gs-details-page: Drop the origin label
  * gs-details-page: Remove an unused CSS class
  * gs-details-page: Move application summary
  * gs-details-page: Move application developer name
  * gs-details-page: Drop the unused details grid
  * gs-details-page: Use standard GTK header CSS classes
  * gs-screenshot-carousel: Remove unnecessary includes
  * gs-history-dialog: Remove this widget
  * Merge branch '1111-community-built' into 'main'
  * gs-popular-tile: Drop remaining unused UI file
  * Merge branch 'wip/mcrha/sources-combo-hid' into 'main'
  * Merge branch 'summary-tiles' into 'main'
  * gs-details-page: Refactor icon fallback code
  * gs-details-page: Rearrange the header to match the new designs
  * gs-details-page: Switch to using a 128px icon (if available)
  * gs-details-page: Reindent UI file
  * Merge branch '1350-details-header' into 'main'
  * Merge branch '1355-drop-recommended-category-apps-sections-from-overview-page' into 'main'
  * gs-category-tile: Use dispose() for cleanup rather than destroy()
  * gs-category-tile: Add GObject properties
  * gs-category-tile: Add documentation comments
  * gs-category-tile: Add internal ownership comments
  * gs-category-tile: Rename an internal variable
  * gs-category-tile: Add category-specific CSS classes
  * gs-category-tile: Restyle to match new designs
  * gs-desktop-data: Use full-colour icons for categories
  * gs-overview-page: Move the categories to under the carousel
  * data: Use new high-resolution category icons
  * gs-overview-page: Always have ≥2 columns of category tiles
  * Merge branch '1111-category-tiles' into 'main'
  * Merge branch 'search-button' into 'main'
  * gs-details-page: Fix links not being updated
  * Merge branch 'category-tile-style' into 'main'
  * Merge branch 'fixed-size-bin' into 'main'
  * Merge branch 'details-page-margin' into 'main'
  * gs-context-dialog-row: Allow textual lozenge content
  * Merge branch '1166-repository-dialog-design-updates' into 'main'
  * Merge branch 'update-dialog' into 'main'
  * Merge branch 'details-page' into 'main'
  * Merge branch 'wip/mcrha/as-component-kind' into 'main'
  * Merge branch 'category-tiles' into 'main'
  * Merge branch 'explore-fixes' into 'main'
  * gs-app-context-bar: Add description to the storage tile
  * Merge branch '1352-storage-tile-description' into 'main'
  * Merge branch '1336-change-how-categories-are-merged' into 'main'
  * gs-overview-page: Rename some section headings
  * Merge branch '1379-string-changes' into 'main'
  * Merge branch 'icon-scale' into 'main'
  * gs-details-page: Drop extra padding below addons section
  * gs-safety-context-dialog: Clarify some strings
  * gs-details-page: Remove unused ID
  * gs-details-page: Ensure the reviews box is hidden if empty
  * gs-details-page: Hide reviews clamp if reviews box is hidden
  * gs-folders: Drop unused code
  * Merge branch 'wip/aday/connections' into 'main'
  * gs-app-row: Use list-button style for buttons
  * gs-app-row: Fix capitalisation of a button label
  * Merge branch '1390-button-style' into 'main'
  * gs-context-dialog-row: Allow row components to be added to size groups
  * gs-storage-context-dialog: Add a new dialog for storage information
  * gs-app-context-bar: Connect the storage context dialogue
  * Merge branch '1353-storage-dialogue' into 'main'
  * Merge branch '1368-addons-padding' into 'main'
  * Merge branch '1373-wording-changes' into 'main'
  * gs-overview-page: Ensure content is top-aligned if there’s space
  * Merge branch '1346-explore-alignment' into 'main'
  * Merge branch 'repos-libhandy-check' into 'main'
  * Merge branch '1276-software-became-unresponsive-while-updating-flatpaks' into 'main'
  * gs-updates-section: Drop suggested-action from cancel button
  * gs-app: Add a has-translations property
  * gs-appstream: Set has-translations on apps which have translation data
  * gs-appstream: Fix querying for language support
  * gs-app-translation-dialog: Add a new dialog to highlight app translation
  * gs-details-page: Add an infobar to highlight missing translations
  * gs-details-page: Ensure large context tile lozenges are square
  * gtk-style: Add some comments to clarify size calculations
  * gs-*-context-dialog: Remove redundant heading class
  * Merge branch '1354-translation-infobar' into 'main'
  * gs-details-page: Relabel ‘Launch’ as ‘Open’
  * gs-details-page: Use an icon on the uninstall button
  * gs-details-page: Combine progress bar with cancel button
  * gs-details-page: Simplify handling of progress boxes
  * gs-details-page: Remove uninstallation spinner
  * gs-details-page: Rework sizing of install/cancel buttons
  * gs-details-page: Move update button before uninstall button
  * gs-details-page: Move various signal connections to XML
  * gs-details-page: Fix precondition failure return value
  * gs-details-page: Refresh all buttons when showing the Launch button
  * gs-details-page: Highlight the first visible button in the header
  * gs-details-page: Show ‘Uninstalling’ progress text while uninstalling
  * gs-details-page: Add list-button style to Cancel button
  * Merge branch '1351-install-buttons' into 'main'
  * Merge branch 'wjt/proprietary-tile-tweaks' into 'main'
  * gs-updates-page: Use a larger image on the ‘up to date’ page
  * Merge branch '1388-up-to-date' into 'main'
  * Merge branch 'read-text' into 'main'
  * Merge branch 'details-mobile' into 'main'
  * Merge branch 'first-run' into 'main'
  * gs-age-rating-context-dialog: Clarify an invariant
  * gs-hardware-support-context-dialog: Fix some uninitialised variables
  * build: Enable -Wmaybe-uninitialized by default
  * gs-license-tile: Change a keyboard underline shortcut
  * gs-details-page: Change a link shortcut
  * gs-details-page: Remove duplicate property declaration
  * gs-details-page: Allow links stack to be non-homogeneous
  * gs-details-page: Ellipsize developer name
  * gs-overview-page: Change number of tiles from 9 to 12
  * gs-appstream: Treat all territorial variants of English the same
  * gs-category-page: Sort recently updated apps by release date
  * gs-upgrade-banner: Only show border on bottom half of banner
  * Merge branch '1406-en-gb-translations' into 'main'
  * Merge branch '1400-category-page-sort-by-release-date' into 'main'
  * gs-app-context-bar: Remove a redundant fallback case
  * gs-app-context-bar: Tweak fallback description
  * Merge branch '1329-hardware-context-tile' into 'main'
  * Merge branch '1407-upgrade-banner-border' into 'main'
  * gs-*-context-dialog: Add ‘Learn more’ links
  * Merge branch '1330-update-link' into 'main'
  * Merge branch 'wjt/proprietary-tile-wording-tweak' into 'main'
  * Merge branch '1389-overview-n-tiles' into 'main'
  * Merge branch 'wjt/carousel-no-truncate' into 'main'
  * Merge branch '1403-ellipsize-developer-name' into 'main'
  * Merge branch '1402-details-margin' into 'main'
  * gs-shell: Fix keyboard shortcut for back button
  * Merge branch 'keyboard-shortcuts' into 'main'
  * gs-app-context-bar: Present network access as neutral instead of warning
  * gs-details-page: Use ‘software’ rather than ‘app’ in strings
  * gs-app-context-bar: Hide tiles which are not relevant to a component
  * gs-picture: Fix a typo in a comment
  * gs-picture: Fix get_preferred_width() vfunc
  * gs-screenshot-carousel: Drop special case for font screenshots
  * gs-appstream: Handle self-closing elements in descriptions better
  * appdata: Update screenshots of gnome-software
  * data: Drop an unused helper script
  * gs-category-page: Use ‘software’ rather than ‘app’ in strings
  * gtk-style-hc: Improve HighContrast border styling
  * gs-license-tile: Use ‘software’ rather than ‘app’ in strings
  * gs-app-context-bar: Use ‘software’ rather than ‘app’ in strings
  * gtk-style-hc: Drop outdated TODO comment
  * gs-storage-context-dialog: Drop metadata hyperlink
  * Merge branch '1383-details-page-non-apps' into 'main'
  * gs-storage-context-dialog: Add link to control center
  * Merge branch '1394-storage-button' into 'main'
  * gs-overview-page: Support a second category flowbox for addons
  * gs-desktop-data: Split addons out into separate categories
  * gs-category-tile: Support a smaller, quieter iconless mode
  * Merge branch 'network-permissions' into 'main'
  * Merge branch '1323-appdata-update' into 'main'
  * Merge branch '1303-high-contrast-styling' into 'main'
  * Merge branch 'i18n-strings-fix' into 'main'
  * Merge branch 'dedup' into 'main'
  * Merge branch 'updates-header-end' into 'main'
  * Merge branch 'metered-infobar' into 'main'
  * Merge branch '1398-gs-details-page-corrent-instance-change-to-a-different-alternative' into 'main'
  * Merge branch 'updates-header' into 'main'
  * Merge branch '1188-only-2-items-in-carousel' into 'main'
  * Merge branch '1439-gs-details-page-show-version-of-the-installed-offered-application' into 'main'
  * gs-app-context-bar: Don’t duplicate a line in the safety context tile
  * gs-app-context-bar: Fix re-showing tiles after viewing a non-desktop app
  * Release version 41.rc
  * trivial: Post release version bump
  * Merge branch 'circle-apps' into 'main'
  * Merge branch 'wip/mcrha/packagekit-ensure-interactive-flag' into 'main'
  * Merge branch 'wip/mcrha/gs-updates-section-row-unreveal' into 'main'
  * Merge branch 'wip/mcrha/pk-offline-with-flags' into 'main'
  * Add a comment with a reference to a gtk+ merge request
  * Merge branch 'main' into 'main'
  * gs-plugin-os-release: Use the OS ID rather than NAME in the app ID
  * gs-app-context-bar: Improve handling of non-sandboxed applications
  * Merge branch '1420-app-page-show-more-button-label-glitches-while-resizing' into 'main'
  * Merge branch '1450-rpm-app-context' into 'main'
  * appstream: Ensure XbSilo monitors are attached to right context
  * Merge branch '1422-install-uninstall' into 'main'
  * Merge branch 'wip/mcrha/repo-disable' into 'main'
  * Merge branch 'drop-featured' into 'main'
  * Merge branch '508-os-app-id' into 'main'
  * Merge branch 'sophie/add-share-preview' into 'main'
  * Merge branch '1414-software-recommends-a-reboot-even-if-fwupd-fails' into 'main'
  * Merge branch '1424-updates-page-clicking-os-updates-generates-runtime-warning' into 'main'
  * Merge branch '1413-missing-source-label-after-41-redesign' into 'main'
  * Merge branch 'wip/mcrha/appstream-misc' into 'main'
  * Merge branch '1395-mode-change-from-command-line-does-not-always-stick' into 'main'
  * Merge branch '1425-bad-error-message-when-installing-broken-flatpakref-file' into 'main'
  * Merge branch 'wip/mcrha/force-symbolic-icons' into 'main'
  * Merge branch 'icon-shadow' into 'main'
  * Merge branch '1375-screenshots-next-prev-buttons-aren-t-circular' into 'main'
  * appstream: Ensure XbBuilders are constructed in the right context
  * Merge branch '1405-rpm-ostree-don-t-show-transaction-in-progress-error' into 'main'
  * Merge branch '1453-flathub-repo-misleadingly-considered-present-on-fedora-35-with-filtered-flathub' into 'main'
  * Merge branch 'add-commits' into 'main'
  * Merge branch 'wip/mcrha/3rd-party-repo-disable' into 'main'
  * Merge branch 'snap-safety' into 'main'
  * Merge branch 'snap-app-urls' into 'main'
  * Merge branch 'wip/mcrha/fedora-third-party-followup-half' into 'main'
  * Merge branch 'snap-empty-url' into 'main'
  * Merge branch '1454-allow-searching-for-extensions' into 'main'
  * Merge branch 'up-to-date' into 'main'
  * Merge branch 'info-window' into 'main'
  * Merge branch 'wip/hughsie/fwupd-cats' into 'main'
  * Merge branch '1423-gs-overview-page-inconsistent-font-for-iconless-tiles-categories' into 'main'
  * Merge branch '1335-highlight-when-a-runtime-is-out-of-date' into 'main'
  * gs-updates-section: Remove incorrect gettext domain from UI file
  * Merge branch 'snap-markdown' into 'main'
  * gs-updates-section: Remove incorrect gettext domain from UI file
  * Merge branch 'wip/mcrha/update-notifications' into 'main'
  * Merge branch '1470-never-show-quark-ids-in-user-visible-error-messages' into 'main'
  * Merge branch 'feature-metronome-textpieces' into 'main'
  * Merge branch 'loading-header-draggable' into 'gnome-41'
  * gs-repos-dialog: Fix a typo in a translatable string
  * Merge branch 'wip/mcrha/flatpak-title-as-name' into 'main'
  * Merge branch '1485-gs-repos-dialog-can-show-also-desktop-applications' into 'main'
  * ci: Drop libappstream-glib from CI images
  * ci: Update Debian CI to Bookworm
  * ci: Update Fedora CI to 34
  * build: Switch to main branch of libxmlb
  * tests: Ensure GTK resources are registered for icon test
  * meson: Bump Meson dependency
  * ci: Add CI dependencies for building with GTK4
  * ci: Add subproject dependencies
  * ci: Switch to the new CI images
  * data: Drop unused background image
  * Mark various list box rows as not focusable
  * gs-app-context-bar: Fix description labels being bold
  * Set GtkViewport:scroll-to-focus consistently
  * Merge branch 'gbsneto/gtk4' into 'main'
  * gs-appstream: Fix a leak when iterating over XML nodes
  * gs-appstream: Tidy up another iteration over nodes
  * Merge branch '1479-repositories-settings-optional-repos-can-t-be-disabled' into 'main'
  * Merge branch 'gbsneto/minor-stuff' into 'main'
  * gs-appstream: Fix a leak when iterating over XML nodes
  * gs-appstream: Tidy up another iteration over nodes
  * Merge branch 'listbox-top' into 'main'
  * Merge branch 'simplify' into 'main'
  * Merge branch 'gbsneto/show-license-tile' into 'main'
  * Merge branch 'wip/mcrha/tweaks-gtk4' into 'main'
  * Merge branch '1065-gs-details-page-gsinfobar-doesn-t-pains-in-the-details-page' into 'gnome-41'
  * Merge branch 'wip/mcrha/uninitialized-variable' into 'main'
  * Merge branch 'wip/mcrha/flatpak-appstream-update' into 'main'
  * style: Fix background of ‘Work’ category button
  * Merge branch '1365-move-application-size-in-installed-app-rows' into 'main'
  * Merge branch '1488-almost-all-installed-apps-are-now-displayed-as-system-ones-since-build-41-0-4-in-f35' into 'main'
  * Merge branch 'wip/mcrha/gs-repos-dialog-gtk4-3rdparty-section-missing' into 'main'
  * Merge branch 'wip/mcrha/plugin-loader-self-test' into 'main'
  * gs-extras-page: Ignore separators when iterating over app rows
  * gs-extras-page: Break out of loop after removing a row
  * gs-extras-page: Ensure page state always changes after loading results
  * gs-extras-page: Ensure page state always changes after loading results
  * gs-plugin: Bind initialize/destroy to the GsPlugin lifetime
  * gs-plugin-appstream: Port to the new GsPlugin lifecycle
  * gs-plugin-generic-updates: Port to the new GsPlugin lifecycle
  * gs-plugin-hardcoded-blocklist: Port to the new GsPlugin lifecycle
  * gs-plugin-flatpak: Port to the new GsPlugin lifecycle
  * gs-plugin-os-release: Port to the new GsPlugin lifecycle
  * gs-plugin-rpm-ostree: Port to the new GsPlugin lifecycle
  * gs-plugin-provenance: Port to the new GsPlugin lifecycle
  * gs-plugin-hardcoded-popular: Port to the new GsPlugin lifecycle
  * gs-plugin-icons: Port to the new GsPlugin lifecycle
  * gs-plugin-provenance-license: Port to the new GsPlugin lifecycle
  * gs-plugin-rewrite-resource: Port to the new GsPlugin lifecycle
  * gs-plugin-dpkg: Port to the new GsPlugin lifecycle
  * gs-plugin-dummy: Port to the new GsPlugin lifecycle
  * gs-plugin-fedora-langpacks: Port to the new GsPlugin lifecycle
  * gs-plugin-fedora-pkgdb-collections: Port to the new GsPlugin lifecycle
  * gs-plugin-malcontent: Port to the new GsPlugin lifecycle
  * gs-plugin-modalias: Port to the new GsPlugin lifecycle
  * gs-plugin-repos: Port to the new GsPlugin lifecycle
  * gs-plugin-systemd-updates: Port to the new GsPlugin lifecycle
  * gs-plugin-packagekit-refine-repos: Port to the new GsPlugin lifecycle
  * gs-plugin-packagekit-refresh: Port to the new GsPlugin lifecycle
  * gs-plugin-packagekit: Port to the new GsPlugin lifecycle
  * gs-plugin-fwupd: Port to the new GsPlugin lifecycle
  * gs-plugin-eos-updater: Port to the new GsPlugin lifecycle
  * gs-plugin-snap: Port to the new GsPlugin lifecycle
  * gs-plugin: Drop gs_plugin_alloc_data()
  * gs-plugin-dummy: Move setup out into a setup vfunc
  * Merge branch 'refactor-threads' into 'main'
  * Merge branch 'wip/mcrha/gs-updates-section-update-cancel-crash' into 'main'
  * Merge branch 'carousel-arrows' into 'main'
  * Merge branch '1492-gnome-software-does-not-refresh-after-installation-from-rpm' into 'main'
  * Merge branch 'wip/mcrha/gnome-41-gs-updates-section-update-cancel-crash' into 'gnome-41'
  * Merge branch 'wip/mcrha/gnome-41-1492-gnome-software-does-not-refresh-after-installation-from-rpm' into 'gnome-41'
  * Merge branch 'app-details-page' into 'main'
  * Merge branch '1486-gs-repos-dialog-call-refresh-on-repository-setup-change' into 'main'
  * Merge branch 'wip/mcrha/repos-dialog-other-repos-reload' into 'main'
  * Merge branch 'wip/mcrha/static-analyzers-fixes' into 'main'
  * Merge branch 'wip/mcrha/odrs-download-etag' into 'main'
  * Merge branch 'wip/mcrha/m1024-to-gnome-41' into 'gnome-41'
  * Merge branch '1496-os-updates-viewing-more-packages-goes-back-through-all-of-visited' into 'main'
  * Merge branch '1114-packagekit-prepared-update-not-found-var-lib-packagekit-prepared-update' into 'main'
  * Merge branch '1497-os-updates-going-back-scrolls-the-list-to-the-top' into 'main'
  * Merge branch '1500-view-switcher-add-update-counter' into 'main'
  * Merge branch 'wip/mcrha/image-runtime-warning' into 'main'
  * Merge branch '1471-getting-duplicate-search-results-for-debs' into 'main'
  * Merge branch '1510-after-installing-flatpak-launching-it-from-inside-gnome-software-opens-it-with-generic' into 'main'
  * Release version 41.1
  * trivial: Post release version bump
  * Merge branch '1504-drop-older-versions-from-update-details-dialog' into 'main'
  * fedora: Update link documenting third party repos
  * Merge branch '1435-storage-tile-better-label-for-the-case-that-there-s-no-data-or-cache' into 'main'
  * Merge branch 'wip/mcrha/css-absolute-url' into 'main'
  * Merge branch '1418-drop-os-upgrade-banner-in-favour-of-a-plain-background-colour' into 'main'
  * Merge branch 'wip/mcrha/css-absolute-url2' into 'main'
  * Merge branch 'wip/mcrha/gs-update-dialog-ui-title' into 'main'
  * gs-app: Return a reference from gs_app_dup_content_rating()
  * gs-app: Return a reference from gs_app_dup_content_rating()
  * Merge branch '1528-stuck-at-loading-application-details' into 'main'
  * Merge branch 'wip/mcrha/too-short-error-message' into 'main'
  * Merge branch '1526-some-plugins-for-obs-studio-mysteriously-dissapear' into 'main'
  * Merge branch '1515-updates-spinner-is-huge' into 'main'
  * Merge branch '155-allow-some-markup-in-release-notes-in-appdata' into 'main'
  * Merge branch 'wip/mcrha/soup3' into 'main'
  * Merge branch 'screenshot-carousel-borders' into 'main'
  * Merge branch 'info-window-scrollbar' into 'main'
  * Merge branch 'details-page-wrap' into 'main'
  * Merge branch 'snap-self' into 'main'
  * Merge branch 'wip/mcrha/gs-update-monitor-recognize-security-updates' into 'main'
  * Merge branch 'snap-plugin-cache-key' into 'main'
  * Merge branch 'snap-plugin-cache-key-41' into 'gnome-41'
  * Merge branch 'appstream-libxmlb' into 'main'
  * Merge branch 'rpath-install-appstream' into 'main'
  * Merge branch '1546-app-page-doesn-t-shrink-to-fit-the-window-size' into 'main'
  * flatpak: Bump dependency to 1.9.1 and drop old conditional code
  * fwupd: Bump dependency to 1.5.6 and drop old conditional code
  * Merge branch 'wip/mcrha/soup3-2nd' into 'main'
  * Merge branch '1520-os-updates-off-center-progress-bar' into 'main'
  * Merge branch '603-gnome-software-reports-unknown-error-when-there-is-a-signing-issue' into 'main'
  * Merge branch '1266-indeterminate-progress-bar-for-os-updates' into 'main'
  * Merge branch '1476-add-a-way-for-app-developers-to-test-their-metainfo-appdata-files' into 'main'
  * Merge branch '1290-dummy-plugin-s-key-colors-test-unreliable' into 'main'
  * Merge branch 'appdata-hardware-support' into 'main'
  * Merge branch 'history-label-fix' into 'main'
  * Merge branch 'metered-dialog' into 'main'
  * gs-common: Use origin UI in a prompt message to the user
  * flatpak: Validate flatpak remote name correctly
  * flatpak: Fix titles for added remotes
  * flatpak: Support additional properties when creating remotes
  * flatpak: Update all properties when modifying existing remote
  * flatpak: Load the comment from a FlatpakRemote
  * snap: Fix crash if finding alternates returns an error
  * flatpak: Rename an internal variable
  * rpm-ostree: Simplify clearing a handle
  * systemd-updates: Remove unnecessary blank line
  * gs-app: Store a weak pointer to the GsPlugin rather than the plugin name
  * gs-repo-row: Drop unneeded GsPluginLoader property
  * gs-plugin-loader: Remove a filter pass to copy plugin priorities to apps
  * build: Bump plugin API version for recent and upcoming API changes
  * Merge branch 'refactor-threads2' into 'main'
  * fwupd: Adjust a message checked in a test
  * gs-plugin: Make GsPlugin an abstract type
  * gs-plugin: Add a shutdown vfunc
  * gs-plugin: Add a setup vfunc
  * flatpak: Split shutdown code out into new plugin shutdown vfunc
  * lib: Add a worker thread implementation
  * lib: Add async version of gs_utils_get_permission()
  * packagekit: Make setup asynchronous
  * packagekit: Make loading proxy settings asynchronous
  * snap: Make plugin setup asynchronous
  * rpm-ostree: Make plugin setup asynchronous
  * repos: Clarify threading behaviour
  * repos: Make plugin setup asynchronous
  * malcontent: Make plugin setup asynchronous
  * fwupd: Make plugin setup asynchronous
  * dummy: Make plugin setup asynchronous
  * os-release: Make plugin setup asynchronous
  * eos-updater: Make plugin setup asynchronous
  * fedora-pkgdb-collections: Make plugin setup asynchronous
  * appstream: Make plugin setup asynchronous
  * flatpak: Make plugin setup asynchronous
  * flatpak: Move permissions checks to setup function
  * systemd-updates: Make plugin setup asynchronous
  * Merge branch 'simplify-downgrade-check' into 'main'
  * Merge branch 'wip/build-break' into 'main'
  * appdata: Reformat some paragraphs to remove extraneous whitespace
  * news: Rewrap a few lines
  * Merge branch 'no-parental-controls-tests' into 'main'
  * Merge branch '1558-reformat-news-appdata' into 'main'
  * gs-plugin-loader: Call async setup functions on plugins
  * gs-plugin-loader: Call async shutdown functions on plugins
  * gs-plugin: Drop gs_plugin_setup() and GS_PLUGIN_ACTION_SETUP
  * gs-flatpak: Ensure installed GsApps are marked as such at creation time
  * gs-flatpak: Fix a minor race condition
  * Merge branch 'refactor-threads3' into 'main'
  * tests: Use g_assert_*() instead of g_assert() in fwupd tests
  * tests: Use g_assert_*() instead of g_assert() in core tests
  * gs-plugin-loader: Disable job timeouts if running under gdb
  * gs-plugin-types: Add REQUIRE_STATE refine flag
  * plugins: Use GS_PLUGIN_REFINE_FLAGS_REQUIRE_ID for minimal refine flags
  * gs-plugin-loader: Drop redundant re-fetching of refine flags
  * lib: Rename GS_PLUGIN_REFINE_FLAGS_DEFAULT to FLAGS_NONE
  * Merge branch 'wip/mcrha/libadwaita-api-changes' into 'main'
  * gs-age-rating-context-dialog: Fix coalescing groups when rating is lower
  * gs-age-rating-context-dialog: Fix coalescing groups when rating is lower
  * gs-feature-tile: Refactor code to modify inappropriate colours
  * gs-feature-tile: Switch to WCAG contrast instead of Weber contrast
  * Merge branch '1305-too-many-recently-updated-apps-on-category-pages' into 'main'
  * contrib: Delete example plugin
  * docs: Update plugin initialisation documentation
  * Merge branch '1472-fix-docs' into 'main'
  * gs-plugin-loader: Don’t try to shut down plugins which aren’t enabled
  * lib: Add helper functions for storing vfunc call context
  * gs-plugin: Add a refine vfunc to GsPlugin
  * appstream: Make refine asynchronous
  * generic-updates: Make refine asynchronous
  * malcontent: Make refine asynchronous
  * flatpak: Make refine asynchronous
  * hardcoded-blocklist: Make refine asynchronous
  * snap: Inline the refine_app_with_client() helper function
  * snap: Combine snap queries into a single D-Bus call
  * rpm-ostree: Make refine asynchronous
  * repos: Make internal hash tables immutable
  * repos: Simplify locking slightly
  * repos: Drop unused arguments from refine_app()
  * repos: Load updates of the repo data asynchronously in a worker thread
  * repos: Make refine asynchronous
  * packagekit: Inline gs_plugin_packagekit_refine_distro_upgrade()
  * packagekit: Inline gs_plugin_packagekit_refine_name_to_id()
  * packagekit: Inline gs_plugin_packagekit_refine_filename_to_id()
  * packagekit: Inline gs_plugin_packagekit_refine_update_details()
  * packagekit: Inline gs_plugin_packagekit_refine_details()
  * packagekit: Inline gs_plugin_packagekit_refine_update_urgency()
  * packagekit: Make refine_history() function async
  * packagekit: Inline gs_plugin_packagekit_refine_details2()
  * packagekit: Inline gs_plugin_packagekit_refine_updatedetails()
  * packagekit: Inline gs_plugin_packagekit_refine_from_desktop()
  * icons: Make refine asynchronous
  * provenance-license: Make refine asynchronous
  * provenance: Make refine asynchronous
  * dummy: Make refine asynchronous
  * fedora-pkgdb-collections: Make refine asynchronous
  * snap: Make refine asynchronous
  * rewrite-resource: Make refine asynchronous
  * packagekit: Inline gs_plugin_packagekit_resolve_packages()
  * packagekit: Make resolve_packages_with_filter() function async
  * packagekit: Combine filtering app lists when refining
  * packagekit: Remove an if-condition which was always true
  * packagekit: Factor out a helper to build package ID list from GsAppList
  * packagekit: Make refine asynchronous
  * packagekit: Rework progress callback data handling
  * packagekit-refine-repos: Inline a function
  * packagekit-refine-repos: Make refine asynchronous
  * packagekit-refine-repos: Rework progress callback data handling
  * systemd-updates: Make refine asynchronous
  * modalias: Make refine asynchronous
  * docs: Make refine asynchronous
  * gs-plugin-vfuncs: Drop gs_plugin_refine()
  * gs-plugin-job: Allow it to be derived
  * lib: Add gs-plugin-job.h to gnome-software.h
  * gs-plugin-job-refine: Add a wrapper function for creating a refine job
  * os-release: Move refine_wildcard into refine
  * appstream: Move refine_wildcard into refine
  * flatpak: Move refine_wildcard into refine
  * gs-plugin-loader: Drop refine_wildcard vfunc
  * gs-plugin-loader: Replace gs_plugin_loader_run_refine() with refine job
  * gs-plugin-loader: Inline a helper function
  * gs-plugin-job: Add a run_async vfunc and use it in the plugin loader
  * gs-plugin-loader: Make a validity check function public
  * gs-plugin-loader: Run an explicit refine after ACTION_GET_POPULAR
  * gs-plugin-loader: Split ACTION_REFINE out to GsPluginJobRefine
  * gs-plugin-loader: Run an explicit refine when filtering
  * gs-plugin-loader: Update app list after wildcard refine
  * gs-plugin-loader: Avoid a refine action if no refine flags are set
  * gs-plugin-loader: Make gs_plugin_loader_run_adopt() public
  * gs-plugin-loader: Expose gs_plugin_loader_get_plugins()
  * gs-plugin-job-refine: Move across run_refine() code from plugin loader
  * gs-plugin-job-refine: Drop previous_list handling
  * gs-plugin-job-refine: Rework internal flags handling
  * gs-plugin-job-refine: Allow skipping filtering of refine results
  * gs-utils: Create cache directory even if running under unit tests
  * tests: Use correct result lists when checking wildcard resolves
  * Merge branch 'refactor-threads5' into 'main'
  * packagekit: Merge packagekit-refresh plugin into the main plugin
  * packagekit: Merge packagekit-refine-repos plugin into the main plugin
  * repos: Drop plugin ordering requirements
  * repos: Fix a minor memory leak when parsing key files
  * gs-plugin-vfuncs: Remove add/remove shortcut vfuncs and associated code
  * gs-plugin-vfuncs: Remove gs_plugin_app_set_rating()
  * gs-plugin-loader: Drop unused refine function types
  * Merge branch 'refactor-threads8' into 'main'
  * Merge branch 'refactor-threads7' into 'main'
  * packagekit: Merge systemd-updates plugin into the main plugin
  * Merge branch 'flatpak-refresh-no-interaction' into 'main'
  * Merge branch 'sophie/add-junction-and-mousai' into 'main'
  * Merge branch 'gbsneto/no-size-groups' into 'main'
  * Merge branch '1572-the-application-isn-t-raised-when-running-in-background' into 'main'
  * Merge branch '1592-gtk4-app-details-carousel-slides-when-pointer-hovers-while-scrolling' into 'main'
  * Merge branch 'wip/mcrha/libhandy-leftover' into 'main'
  * Merge branch 'wip/exalm/lozenges' into 'main'
  * Merge branch '1595-please-document-how-to-use-packaging-format-preference-setting' into 'main'
  * Merge branch '1399-drop-first-run-dialog' into 'main'
  * Merge branch '1598-flatseal-should-not-show-as-having-no-permissions' into 'main'
  * Merge branch '741-allow-verbose-to-be-enabled-at-runtime' into 'main'
  * Merge branch '1154-should-we-call-malloc_trim-0' into 'main'
  * build: Remove some remaining references to gspell
  * Merge branch 'drop-gspell-more' into 'main'
  * debian/control: Fix -dev package pulling in libappstream-glib-dev
  * tests: Fix symlink warning from git
  * Merge branch 'wip/exalm/libadwaita-beta' into 'main'
  * Merge branch 'secrets-rename' into 'main'
  * Merge branch 'wip/mcrha/gs-shell-notification-event-alignment' into 'main'
  * Merge branch 'boxed-list' into 'main'
  * gs-plugin: Add list_installed_apps_{async,finish}() vfuncs
  * appstream: Make get_installed asynchronous
  * dummy: Make get_installed asynchronous
  * flatpak: Make get_installed asynchronous
  * snap: Make get_installed asynchronous
  * gitignore: Ignore various subprojects pulled in by gtk.wrap
  * gs-plugin-job: Add helper function for GET_INSTALLED jobs
  * docs: Make get_installed asynchronous
  * gs-plugin-job-list-installed-apps: Add job class for listing apps
  * gs-plugin-types: Drop GS_PLUGIN_ACTION_GET_INSTALLED
  * gs-plugin-job: Drop filter-flags property
  * gs-plugin-job: Add GS_PLUGIN_JOB_DEDUPE_FLAGS_DEFAULT
  * flatpak: Store interactive state on transactions instead of plugin
  * gs-plugin-job-list-installed-apps: Combine app list filters
  * Merge branch 'refactor-threads6' into 'main'
  * Merge branch '1615-requires-additional-permissions-text-is-wrongly-positioned' into 'main'
  * Merge branch '1613-context-tile-dialogs-row-titles-should-be-bold' into 'main'
  * Merge branch '1605-regression-repository-name-overwritten' into 'main'
  * Merge branch '1589-safety-dialog-auditable-code-label-reflows-too-soon' into 'main'
  * Merge branch 'featured-remove-feedreader' into 'main'
  * gs-download-utils: Split out SoupSession construction
  * gs-download-utils: Use new SoupSession construction method
  * gs-plugin: Drop get_soup_session() method
  * gs-plugin-event: Split finalize and dispose vfuncs
  * gs-plugin-event: Add GObject properties
  * gs-plugin-event: Allow specifying properties at construction time
  * gs-plugin-event: Drop unused setter functions
  * Merge branch 'wip/mcrha/flatpak-test-fix' into 'main'
  * Merge branch 'context-dialog-row' into 'main'
  * Merge branch 'featured-cleanup' into 'main'
  * Merge branch 'mwleeds/minor-changes' into 'main'
  * gs-plugin-loader: Fix NULL reference
  * Merge branch 'wip/snwh/symbolic-cleanup' into 'main'
  * doc: Add stub document on vendor customisations
  * dummy: Bump dummy plugin OS upgrade version
  * plugins: Find upgrade background images from new well-known locations
  * data: Drop upgrade-background-uri GSettings key
  * snap: Add missing async finish call
  * Merge branch 'featured-circle-only' into 'main'
  * Merge branch 'metadata-1' into 'main'
  * gs-age-rating-context-dialog: Fix translatability of strings
  * Merge branch 'wip/snwh/license-tile-icon' into 'main'
  * Merge branch 'context-dialog-row-importance-order' into 'main'
  * gs-app: Drop GS_APP_KUDO_POPULAR due to being unused
  * Merge branch 'age-rating-translations' into 'main'
  * Merge branch 'out-of-tree-tests' into 'main'
  * hardcoded-popular: Drop plugin in favour of an appstream file
  * doc: Document featured and popular applications for vendors
  * Merge branch 'reviews' into 'main'
  * Merge branch 'status-page-title' into 'main'
  * Merge branch '1381-category-page-loading-state-doesn-t-match-final-layout' into 'main'
  * Merge branch 'wip/mcrha/show-metainfo-enh' into 'main'
  * doc: Add documentation file for app developers
  * gs-license-tile: Fix resetting the background on community built tile
  * Release version 41.4
  * trivial: Post release version bump
  * Release version 42.beta
  * trivial: Post release version bump
  * Merge branch 'search-row' into 'main'
  * Merge branch 'revert-85640a03' into 'main'
  * Merge branch 'wip/snwh/help-symbolic-icon' into 'main'
  * Merge branch 'wip/exalm/flatpak' into 'main'
  * Merge branch 'wip/exalm/flatpak' into 'main'
  * Merge branch 'wjt/centre-context-bar-titles' into 'main'
  * Merge branch '1647-show-the-newest-review-in-app-details-page' into 'main'
  * Merge branch 'wip/wjt/disable-scroll-wheel-on-featured-carousel' into 'gnome-41'
  * Merge branch 'wip/hughsie/fwupd-cats-translations2' into 'main'
  * Merge branch '1646-workaround-gtk4-bug-gtk_widget_measure-error' into 'main'
  * Merge branch '1648-crash-on-packagekit-app-install' into 'main'
  * Merge branch 'wip/wjt/no-parent-instance-in-private-structs' into 'main'
  * Merge branch '1635-context-tile-dialogs-rows-look-compressed' into 'main'
  * Merge branch '1644-opening-software-repositories-window-causes-software-to-crash-when-started-with' into 'main'
  * gs-details-page: Use title-2 style on top headings in context dialogs
  * gs-app-translation-dialog: Use title-2 style on top heading
  * flatpak: Use 64-bit cache ages
  * gs-cmd: Rename a variable to make its units clearer
  * gs-loading-page: Rename a variable to make its units clearer
  * gs-utils: Remove redundant g_file_test() check
  * gs-utils: Add missing precondition checks
  * gs-utils: Use GFile rather than filename arguments
  * fedora-pkgdb-collections: Split JSON parsing out into a helper
  * gs-external-appstream-utils: Consistently use 64-bit cache ages
  * gs-odrs-provider: Consistently use 64-bit cache ages
  * Merge branch 'wip/m1219-follow-up' into 'main'
  * Merge branch 'update-year' into 'main'
  * Merge branch '1581-app-details-page-description-is-sometimes-cut-off' into 'main'
  * Merge branch '1656-app-details-apps-with-no-ratings-histogram-have-floating-shadow' into 'main'
  * gs-plugin-loader: Factor out gs_plugin_loader_hint_job_finished()
  * Merge branch '1621-age-rating-dialog-papercuts' into 'main'
  * gs-plugin: Split out and refactor download code
  * gs-download-utils: Add function to download to a file
  * gs-plugin: Refactor download code to use gs_download_file_async()
  * gs-odrs-provider: Use a custom error domain
  * gs-odrs-provider: Make refreshing asynchronous
  * gs-odrs-provider: Drop unnecessary cached origin
  * Merge branch 'refactor-threads15' into 'main'
  * gs-odrs-provider: Remove unreachable return statement
  * gs-odrs-provider: Inline a helper function
  * gs-odrs-provider: Add new type for refine flags
  * gs-odrs-provider: Move the refine_app() helper function
  * gs-odrs-provider: Fix incorrect early returns when refining apps
  * gs-odrs-provider: Move an early-return check
  * Merge branch 'snap-media-icons' into 'main'
  * Merge branch 'updates-section-progress-button-label' into 'main'
  * Merge branch 'cherry-pick-14473dde' into 'gnome-41'
  * Merge branch 'wip/packagekit-claim-updates-changed' into 'main'
  * Merge branch 'flatpak-dispose-monitor' into 'main'
  * Merge branch '1662-pills-with-just-an-icon-should-be-circular' into 'main'
  * Merge branch '1617-screenshot-spinners-have-bad-layout' into 'main'
  * Merge branch 'wip/feature-tile-narrow-mode' into 'main'
  * Merge branch 'moderate-status-page' into 'main'
  * gs-odrs-provider: Make refine asynchronous
  * gs-plugin-job-refine: Inline a helper function
  * gs-plugin-job-refine: Set task source tag
  * gs-plugin-job-refine: Move pre-refine checks around
  * gs-plugin-job-refine: Rearrange private struct members
  * gs-plugin-job-refine: Inline run_refine()
  * gs-plugin-job-refine: Remove unnecessary app list copy
  * gs-plugin-job-refine: Tidy up some internal refine code
  * gs-plugin-job-refine: Don’t recursive if refine flags are empty
  * gs-odrs-provider: Refactor parsing function
  * build: Bump json-glib dependency to 1.6
  * gs-odrs-provider: Simplify memory mapped JSON loading
  * packagekit: Make a critical section smaller
  * gs-odrs-provider: Change parse_success() to take an input stream
  * gs-odrs-provider: Make HTTP code in fetch_reviews_for_app_async() async
  * gs-plugin-job-refine: Make async internally
  * gs-plugin-job-refine: Execute refine vfuncs in series not parallel
  * appstream: Ensure state is always refined when refining an app
  * Merge branch '1658-odrs-refine-blocking' into 'main'
  * gs-external-appstream-utils: Make system download use gs_plugin_download_file()
  * gs-external-appstream-utils: Combine user and system download functions
  * gs-plugin-loader: Expose shutdown() method publicly
  * gs-plugin-loader: Call setup() from setup_again()
  * lib: Move gs_plugin_loader_setup_again() to test utilities
  * Merge branch '1620-search-results-should-priorize-full-matches' into 'main'
  * gs-plugin-loader: Clear some internal structures on shutdown
  * Merge branch 'progress-button-doc' into 'main'
  * gs-plugin-loader: Remove incorrect and unnecessary casts
  * gs-plugin-loader: Merge call_setup() into setup()
  * gs-plugin-loader: Make setup() asynchronous
  * gs-application: Use asynchronous setup for the plugin loader
  * plugins: Fix various string array casts for setup()
  * gs-plugin: Tidy up memory management of several helper structs
  * gs-plugin: Use G_SOURCE_REMOVE rather than boolean
  * gs-plugin: Hold weak references to the plugin in idle callbacks
  * gs-plugin-loader: Don’t modify plugin locations during setup
  * Merge branch 'johns2ses-main-patch-89492' into 'main'
  * Merge branch '1661-setup-async' into 'main'
  * gs-external-appstream-utils: Make refresh asynchronous
  * gs-external-appstream-utils: Use a separate error domain
  * Merge branch '1609-new-runtime-warning-when-opening-repositories-dialog' into 'main'
  * Merge branch 'mwleeds/fix-autostart-desktop-name' into 'main'
  * gs-updates-page: Drop duplicate size group initialisation
  * gs-updates-page: Remove unused sizegroup
  * Merge branch '1584-app-details-loading-page-drop-title' into 'main'
  * gs-shell: Convert error-handling switches to if-statements
  * gs-update-monitor: Convert error-handling switches to if-statements
  * Handle G_IO_ERROR_CANCELLED just like GS_PLUGIN_ERROR_CANCELLED
  * gs-plugin: Add refresh_metadata_{async,finish}() vfuncs
  * gs-plugin-helpers: Add helpers for refresh_metadata
  * packagekit: Make refresh asynchronous
  * rpm-ostree: Make refresh asynchronous
  * malcontent: Inline a helper function
  * malcontent: Make refresh asynchronous
  * eos-updater: Make refresh asynchronous
  * dummy: Make refresh asynchronous
  * appstream: Make refresh asynchronous
  * flatpak: Make refresh asynchronous
  * fwupd: Remove unhelpful helper function
  * fwupd: Make refresh asynchronous
  * fedora-pkgdb-collections: Rename a variable
  * fedora-pkgdb-collections: Make refresh asynchronous
  * gs-plugin-job: Add helper function for REFRESH jobs
  * gs-plugin-job-refresh-metadata: Add job class for refreshing metadata
  * gs-plugin-event: Add job property
  * gs-shell: Rework how refresh events are detected
  * packagekit: Stop using GS_PLUGIN_ACTION_REFRESH
  * docs: Make refresh asynchronous
  * gs-external-appstream-utils: Update docs to drop gs_plugin_refresh()
  * gs-odrs-provider: Update docs to drop gs_plugin_refresh()
  * gs-plugin-types: Drop GS_PLUGIN_ACTION_REFRESH
  * docs: Update examples for download API changes
  * fwupd: Stop setting soup session
  * gs-plugin-loader: Remove global soup session
  * gs-plugin: Drop gs_plugin_set_soup_session()
  * gs-updates-page: Remove unused variable
  * gs-loading-page: Use GsPluginJobRefreshMetadata::progress signal
  * fedora-pkgdb-collections: Add comments about mutex use and lifetimes
  * fedora-pkgdb-collections: Remove unnecessary mutex locking
  * fedora-pkgdb-collections: Return the distros array from ensure_cache()
  * fedora-pkgdb-collections: Ensure updates to distros array are immutable
  * fedora-pkgdb-collections: Make locked sections shorter
  * gs-cmd: Add --interactive argument
  * gs-plugin-job-list-installed-apps: Tweak error handling
  * gs-plugin-job-list-installed-apps: Use g_task_set_source_tag()
  * Merge branch 'refactor-threads17' into 'main'
  * gs-plugin-job-list-installed-apps: Remove unused variables
  * gs-plugin: Add list_distro_upgrades_{async,finish}() vfuncs
  * fedora-pkgdb-collections: Remove unused flags arguments
  * fedora-pkgdb-collections: Make listing distro upgrades asynchronous
  * eos-updater: Make listing distro upgrades asynchronous
  * dummy: Make listing distro upgrades asynchronous
  * gs-plugin-job: Add helper function for GET_DISTRO_UPDATES jobs
  * gs-plugin-job-list-distro-upgrades: Add job class for listing upgrades
  * gs-plugin-types: Drop GS_PLUGIN_ACTION_GET_DISTRO_UPDATES
  * fedora-pkgdb-collections: Drop internal locking
  * Merge branch 'snap-async-icon' into 'main'
  * snap: Use top-level SnapdClient instances in all vfuncs
  * snap: Allow calls to be non-interactive
  * snap: Remove a redundant trailing newline in a warning message
  * gs-plugin-job-list-installed-apps: Add flags property
  * Merge branch 'wip/packagekit-auto-prepare-update' into 'main'
  * flatpak: Allow per-operation interactive state
  * Merge branch '1643-age-rating-dialog-fails-to-show-social-chat-intense' into 'main'
  * Merge branch 'wip/sophie-h/screenshots' into 'main'
  * Merge branch '1487-cancel-ongoing-update-downloads-when-system-power-is-low' into 'main'
  * Merge branch '1652-search-row-installed-label-breaks-layout-on-the-left' into 'main'
  * Merge branch '1630-new-updated-apps-are-not-actually-new' into 'main'
  * gs-update-monitor: Check for updates if no longer metered
  * Merge branch 'check-updates-if-no-longer-metered' into 'main'
  * Merge branch '1602-drop-src-gs-folders-c' into 'main'
  * gs-appstream: Don’t add a NULL icon to an app
  * gs-plugin-loader: Avoid a warning about removing a non-existent source
  * docs: Add pointers to general app developer/vendor docs in README
  * Merge branch '1610-not-possible-to-use-neutral-colour-banner-backgrounds' into 'main'
  * Merge branch 'misc-fixes' into 'main'
  * Release version 42.rc
  * trivial: Post release version bump
  * Merge branch 'wip/sophie-h/circle-as' into 'main'
  * Merge branch 'random-appstream-fixes' into 'main'
  * gs-download-utils: Don’t use ETag when writing local file
  * gs-utils: Add some debug messages for getting/setting ETags
  * gs-utils: Change ETag attribute namespace from metadata to xattr
  * gs-age-rating-context-dialog: Clarify some types
  * gs-age-rating-context-dialog: Clear attribute and row state with widgets
  * Merge branch 'wip/gs-details-page-escape-uris-for-markup' into 'main'
  * gs-download-utils: Ignore cancellation errors when there’s a cache hit
  * gs-odrs-provider: Fix leak of reviews objects
  * Merge branch '1677-download-etags' into 'main'
  * Merge branch '1678-age-ratings-crash' into 'main'
  * Merge branch '1679-cancellable-error' into 'main'
  * gs-appstream: Add code comments documenting intent for icons
  * Merge branch 'odrs-leak' into 'main'
  * Merge branch 'backport-appstream-fix' into 'gnome-41'
  * Merge branch 'sundeep-main-patch-97672' into 'main'
  * Merge branch '1529-in-search-the-first-app-opened-is-subsequently-opened-in-place-of-other-apps' into 'gnome-41'
  * Merge branch '1529-in-search-the-first-app-opened-is-subsequently-opened-in-place-of-other-apps-2' into 'main'
  * Merge branch '1672-gnome-software-show-details-does-not-open-its-own-details-page' into 'main'
  * Merge branch 'wip/mcrha/ci-test' into 'main'
  * gs-application: Move a callback method to a more logical position
  * gs-application: Inline initialize_ui() helper function
  * gs-application: Remove redundant call to initialize_plugins()
  * gs-application: Inline setup_search_provider()
  * gs-application: Remove redundant call to initialize_plugins()
  * gs-application: Make search provider setup unconditional
  * gs-application: Inline initialize_plugins()
  * gs-application: Remove redundant get_plugin_loader() method
  * gs-application: Move plugin setup to the end of the activate vfunc
  * gs-plugin-loader: Refactor job_process_async() task creation
  * gs-plugin-loader: Make job_process_async() wait until setup is complete
  * gs-plugin-loader: Fix a typo in a code comment
  * gs-plugin-loader: Make refine of load_install_queue() asynchronous
  * fedora-pkgdb-collections: Fix incorrect return of FALSE instead of NULL
  * fedora-pkgdb-collections: Fix handling of NULL root node
  * gs-download-utils: Ensure the ETag remains set if a file is not modified
  * fedora-pkgdb-collections: Avoid refreshing the collections early
  * gs-odrs-provider: Delete cache file if it’s invalid
  * fedora-pkgdb-collections: Delete cache file if it’s invalid
  * Merge branch '1670-startup-crash' into 'main'
  * gs-odrs-provider: Remove redundant g_strdup() call
  * gs-odrs-provider: Remove a redundant hash table lookup
  * gs-download-utils: Support If-Modified-Since caching
  * Merge branch 'misc-patches' into 'main'
  * gs-update-monitor: Rename cancellable to update_cancellable
  * gs-update-monitor: Don’t cancel getting historical updates on startup
  * gs-update-monitor: Ignore G_IO_ERROR_CANCELLED for historical updates
  * gs-ioprio: Combine helper functions
  * gs-ioprio: Accept a priority argument to gs_ioprio_init()
  * gs-worker-thread: Change thread I/O priority depending on job priority
  * appstream: Set worker thread job priorities based on job interactivity
  * icons: Set worker thread job priorities based on job interactivity
  * rewrite-resource: Set worker thread job priorities based on job interactivity
  * flatpak: Set worker thread job priorities based on job interactivity
  * rpm-ostree: Set worker thread job priorities based on job interactivity
  * data: Add vcs-browser link to gnome-software’s metainfo
  * gs-app-translation-dialog: Use the CONTRIBUTE link if available
  * gs-license-tile: Use CONTRIBUTE link for getting involved
  * Merge branch 'wip/flatpak-manifest' into 'main'
  * gs-plugin: Remove unused enum members
  * gs-plugin: Use a typedef for the property enum
  * gs-plugin: Track properties in a static array
  * gs-plugin: Notify of changes to GsPlugin:flags
  * gs-plugin: Remove unused include from header
  * gs-plugin-loader: Remove unused enum members
  * gs-plugin-loader: Use a typedef for the property enum
  * gs-plugin-loader: Track properties in a static array
  * gs-plugin-loader: Add additional property flags
  * gs-plugin-loader: Add D-Bus connection properties
  * gs-plugin-loader: Add D-Bus connection arguments to constructor
  * gs-plugin: Add D-Bus connection properties
  * malcontent: Stop connecting to D-Bus manually
  * packagekit: Stop connecting to D-Bus manually
  * ci: Run D-Bus session and system buses
  * eos-updater: Stop connecting to D-Bus manually
  * rpm-ostree: Stop connecting to D-Bus manually
  * gs-dbus-helper: Add a bus-connection property
  * gs-dbus-helper: Stop connecting to D-Bus manually
  * gs-dbus-helper: Remove unused cancellable
  * Merge branch 'AsciiWolf-main-patch-18896' into 'main'
  * Merge branch 'wip/static-analyzer' into 'main'
  * Merge branch '1690-button-to-go-back-is-missing-in-os-updates-page-opened-from-installed-updates-window' into 'main'
  * docs: Add an XML example on the vendor-customisation.md page
  * docs: Fix a typo on the vendor-customisation.md page
  * Merge branch 'wip/fedora-third-party-wait-status-check' into 'main'
  * Merge branch 'vendor-customisation-docs-again' into 'main'
  * Merge branch 'wip/debug-appstream-plugin-dirs' into 'main'
  * Merge branch 'wip/gs-plugin-provenance-repos-handling' into 'main'
  * Merge branch 'wip/flatpak-broken-remotes-table' into 'main'
  * Merge branch 'wip/plugin-loader-inherit-list-properties' into 'main'
  * gs-app: Return a reference from gs_app_dup_addons()
  * Merge branch 'wip/flatpak-error-reword' into 'main'
  * Merge branch '1727-wrong-direction-of-arrows-in-rtl-languages' into 'main'
  * Merge branch '1514-gnome-os-most-system-apps-have-no-icons-in-installed-list' into 'main'
  * Merge branch '1723-installed-updates-papercuts' into 'main'
  * Merge branch '881-eos-updater-plugin-allow-other-os-names' into 'main'
  * Merge branch '1702-new-url-types' into 'main'
  * Merge branch '1684-download-or-restart-update-button-remains-visible-for-some-time-after-hitting-refresh' into 'main'
  * Merge branch '1694-plugin-dbus-connections' into 'main'
  * Merge branch '1701-permissions-context-tile-says-has-access-to-no-files-even-if-flatpak-app-has-access-to' into 'main'
  * Merge branch 'backport-1317-permissions-context-tile-gnome-42' into 'gnome-42'
  * gs-app: Make list of addons immutable
  * Merge branch '1743-reports-operating-system-updates-unavailable' into 'main'
  * doc: Add missing pages to the documentation build
  * gs-app-query: Add immutable query object for listing apps
  * gs-plugin: Add list_apps_{async,finish}() vfuncs
  * gs-app-query: Add a provides-files property
  * gs-plugin-helpers: Add helpers for list_apps
  * packagekit: Make listing apps providing a specific file asynchronous
  * gs-plugin-job: Add helper function for SEARCH_FILES jobs
  * gs-plugin-loader: Expose filter function publicly
  * gs-plugin-job-list-apps: Add job class for listing apps
  * gs-plugin-types: Drop GS_PLUGIN_ACTION_SEARCH_FILES
  * gs-app-query: Add a filter-func property
  * gs-plugin-job-list-apps: Support caller-specified filtering
  * gs-app-query: Add a released-since property
  * appstream: Make listing recently updated apps asynchronous
  * dummy: Make listing recently updated apps asynchronous
  * flatpak: Make listing recently updated apps asynchronous
  * gs-plugin-loader: Remove default sort function for ACTION_GET_RECENT
  * gs-cmd: Use GsPluginJobListApps rather than ACTION_GET_RECENT
  * gs-overview-page: Use GsPluginJobListApps rather than ACTION_GET_RECENT
  * gs-overview-page: Optimise recently updated apps query a little
  * gs-plugin-types: Drop GS_PLUGIN_ACTION_GET_RECENT
  * build: Bump plugin API version
  * packagekit: Set task background status in task setup
  * Merge branch 'refactor-threads19' into 'main'
  * ui: Add translation contexts to the string ‘Installed’
  * Merge branch 'fedora-langpacks' into 'main'
  * gitlab: Add an issue template
  * gs-plugin-loader: Drop popular-overrides GSettings key
  * gs-plugin-loader: Move popular apps overrides to dummy plugin
  * gs-app-query: Add an is-curated property
  * snap: Make listing popular/curated apps asynchronous
  * flatpak: Make listing popular/curated apps asynchronous
  * appstream: Make listing popular/curated apps asynchronous
  * dummy: Make listing popular/curated apps asynchronous
  * gs-cmd: Use GsPluginJobListApps rather than ACTION_GET_POPULAR
  * dummy: Use GsPluginJobListApps rather than ACTION_GET_POPULAR
  * gs-overview-page: Use GsPluginJobListApps rather than ACTION_GET_POPULAR
  * gs-plugin-types: Drop GS_PLUGIN_ACTION_GET_POPULAR
  * dummy: Remove an environment variable for setting unit test behaviour
  * gs-overview-page: Rename ‘popular’ to ‘curated’
  * build: Rename hardcoded_popular option to hardcoded_curated
  * Merge branch 'refactor-threads20' into 'main'
  * gs-app-query: Add a category property
  * gs-app-query: Add a helper to count the number of query properties set
  * flatpak: Make listing category apps asynchronous
  * appstream: Make listing category apps asynchronous
  * dummy: Make listing category apps asynchronous
  * snap: Factor out a helper function
  * snap: Refactor code mapping categories to sections
  * snap: Support multiple find_section_async() calls when listing apps
  * snap: Make listing category apps asynchronous
  * gs-plugin-loader: Move default category-apps sort function to callers
  * gs-cmd: Use GsPluginJobListApps rather than ACTION_GET_CATEGORY_APPS
  * gs-category-page: Use GsPluginJobListApps rather than ACTION_GET_CATEGORY_APPS
  * gs-plugin-types: Drop GS_PLUGIN_ACTION_GET_CATEGORY_APPS
  * gitlab: Move issue template to be the default
  * Merge branch 'appstream' into 'main'
  * Merge branch 'mwleeds/pwa-plugin' into 'main'
  * gs-common: Fix a small leak
  * gs-app: Rename get_origin_ui() to dup_origin_ui()
  * Merge branch 'wip/addons-can-be-NULL' into 'main'
  * Merge branch '1077-stop-mentioning-the-steam-plugin-in-docs' into 'main'
  * gs-common: Fix a small leak
  * Merge branch 'mwleeds/1317-follow-ups' into 'main'
  * Merge branch 'flatpak-appstream' into 'main'
  * Merge branch '1391-style-storage-units-differently' into 'main'
  * gs-app: Split ‘unknown’ state out of app size values into separate type
  * gs-app: Notify app sizes when its runtime is changed
  * flatpak: Clear app sizes when it’s uninstalled
  * Merge branch 'backport-1331-flatpak-data-structures' into 'gnome-42'
  * Merge branch '1392-unify-lozenge-styling' into 'main'
  * Merge branch 'wip/inline-lozenge-layout' into 'main'
  * Merge branch '1756-include-gnome-software-and-dependencies-versions-in-debug-log-output' into 'main'
  * Merge branch '1646-workaround-gtk4-bug-gtk_widget_measure-error' into 'main'
  * gs-review-row: Fix visibility of ‘Remove’ button for user’s reviews
  * Merge branch 'packagekit-installed-check' into 'main'
  * Merge branch 'mwleeds/hardcoded-pwa-list' into 'main'
  * gs-app-query: Add an is-installed property
  * appstream: Merge list_installed_apps() into list_apps()
  * dummy: Merge list_installed_apps() into list_apps()
  * flatpak: Merge list_installed_apps() into list_apps()
  * flatpak: Drop an unnecessary blank line
  * snap: Merge list_installed_apps() into list_apps()
  * docs: Merge list_installed_apps() into list_apps()
  * dummy: Port from GsPluginJobListInstalledApps to GsPluginJobListApps
  * gs-installed-page: Port from GsPluginJobListInstalledApps to ListApps
  * gs-cmd: Port from GsPluginJobListInstalledApps to GsPluginJobListApps
  * lib: Drop GsPluginJobListInstalledApps in favour of GsPluginJobListApps
  * gs-app-query: Fix precondition failure return value
  * gs-appstream: Fix a typo in a code comment
  * epiphany: Convert list_installed_apps() into list_apps()
  * epiphany: Port from GsPluginJobListInstalledApps to GsPluginJobListApps
  * Merge branch 'refactor-threads22' into 'main'
  * Merge branch 'mwleeds/webapps-on-by-default' into 'main'
  * ui: Add translation contexts to the string ‘Updates’
  * gs-review-row: Fix visibility of ‘Remove’ button for user’s reviews
  * Merge branch '1724-requires-additional-permissions-text-has-low-contrast-when-using-dark-mode' into 'main'
  * gs-app-query: Add an is-featured property
  * appstream: Make listing featured apps asynchronous
  * flatpak: Make listing featured apps asynchronous
  * gs-cmd: Use GsPluginJobListApps rather than ACTION_GET_FEATURED
  * gs-overview-page: Use GsPluginJobListApps rather than ACTION_GET_FEATURED
  * gs-plugin-loader: Remove GNOME_SOFTWARE_FEATURED environment variable
  * gs-plugin-types: Drop GS_PLUGIN_ACTION_GET_FEATURED
  * Merge branch 'wip/rpm-ostree-wait-for-transaction-end' into 'main'
  * gs-overview-page: Remove redundant filtering of featured apps list
  * gs-app-list: Drop GS_APP_LIST_FLAG_IS_RANDOMIZED
  * gs-app-list: Make randomising a list a lot more efficient
  * gs-app-list: Drop gs_app_list_randomize() call for featured/curated apps
  * gs-overview-page: Move featured apps filtering into query
  * gs-plugin-job: Drop unused review property
  * gs-plugin-job: Drop unused category property
  * gs-plugin-job: Drop unused age property
  * Merge branch 'wip/metainfo-correct-release-type' into 'main'
  * appstream: Don’t check for G_IO_ERROR_INVALID_ARGUMENT from libxmlb
  * gs-appstream: Fix getting apps for categories if first group is empty
  * gs-appstream: Fix requires relations being ignored if no recommends exist
  * gs-appstream: Refactor gs_appstream_refine_app_relations()
  * gs-appstream: Add support for <supports> element
  * Merge branch 'appstream-supports' into 'main'
  * appstream: Don’t check for G_IO_ERROR_INVALID_ARGUMENT from libxmlb
  * gs-appstream: Fix getting apps for categories if first group is empty
  * gs-appstream: Fix requires relations being ignored if no recommends exist
  * Merge branch '859-app-has-been-installed-notifications-sit-around-indefinitely' into 'main'
  * Merge branch '1409-add-available-for-fedora-section-to-the-explore-page' into 'main'
  * gs-overview-page: Restrict number of curated apps results
  * Merge branch 'query-cleanups' into 'main'
  * gs-age-rating-context-dialog: Add translatable string context for ‘All’
  * Release version 42.2
  * Merge branch 'wip/followup-for-m1355' into 'main'
  * Merge branch '1364-implement-other-apps-by-author-section-in-app-details-page' into 'main'
  * packagekit: Don’t set PkClient properties to default values explicitly
  * packagekit: Use a new PkClient for each refine operation
  * packagekit: Use a new PkClient for each url-to-app operation
  * packagekit: Use a new PkTask for each refresh operation
  * packagekit: Use a new PkTask for each local operation
  * packagekit: Use a new PkTask for each upgrade operation
  * packagekit: Use a new PkTask for each remaining operation
  * Merge branch 'wip/mak/metainfo-validate' into 'main'
  * packagekit: Remove redundant calls to pk_client_set_background()
  * Merge branch 'wip/sophie-h/feature-circle-apps' into 'main'
  * Merge branch 'mwleeds/fix-unique-id-docs' into 'main'
  * Merge branch 'wip/unused-vars-without-sysprof' into 'main'
  * Merge branch 'wip/fix-gtkdoc-for-gs_app_get_unique_id' into 'main'
  * Merge branch '1768-add-uninstall-command-line-option' into 'main'
  * gs-page: Prevent removing compulsory apps
  * Merge branch '1790-allow-scrolling-screenshots-by-clicking-on-next-and-previous-screenshots' into 'main'
  * Merge branch 'progress-tnum' into 'main'
  * Merge branch 'improve-timeout-reporting' into 'main'
  * Merge branch 'mwleeds/gnome-pwa-list-submodule' into 'main'
  * Merge branch 'wip/hughsie/as_screenshot_set_caption-locale-order' into 'main'
  * Merge branch '1799-build-bump-meson-dependency-version' into 'main'
  * Merge branch '1744-software-remembers-past-install-intent' into 'main'
  * Merge branch 'wip/david/gnome-42-appdata' into 'gnome-42'
  * gs-plugin: Make plugins resident so they can’t be unloaded
  * build: Drop valgrind option and dependency
  * Merge branch '1800-reviews-stars-at-the-top-and-bottom-view-doesn-t-match' into 'main'
  * Merge branch '1786-displays-restart-notification-after-the-firmware-update-bailed-out' into 'main'
  * Merge branch '1767-size-code-in-gsapp-can-double-count-runtimes' into 'main'
  * gs-app: Remove an unnecessary strdup call from size calculations
  * Merge branch '1699-crash-under-gs_plugin_flatpak_find_app_by_ref' into 'main'
  * Merge branch '1792-crash-under-gs_flatpak_refine_app_unlocked' into 'main'
  * Merge branch 'wip/backport_merge_request_1409' into 'gnome-42'
  * Merge branch 'app-size-optimisation' into 'main'
  * Merge branch 'gs-category-tile-mobile-width' into 'main'
  * Merge branch '1722-flatpak-handle-more-well-known-filesystem-permissions' into 'main'
  * flatpak: Remove NEW_PERMISSIONS quirk if it doesn’t need to be set
  * Merge branch '1804-permissions-improvements' into 'main'
  * gs-plugin-loader: Remove install queue support for repos
  * Merge branch 'wip/async-plugin-repo-funcs' into 'main'
  * Merge branch 'wip/exalm/context-bar' into 'main'
  * Release version 42.3
  * Release version 43.alpha
  * trivial: Post release version bump
  * Merge branch 'wip/wformat-warnings' into 'main'
  * Merge branch 'icon-dropshadow' into 'main'
  * Merge branch 'wip/automatic-update-fixes' into 'main'
  * lib: Factor out some common sort functions for apps
  * gs-app-query: Add a keywords property
  * appstream: Port gs_plugin_add_search() vfunc to GsPluginJobListApps
  * dummy: Port gs_plugin_add_search() vfunc to GsPluginJobListApps
  * flatpak: Port gs_plugin_add_search() vfunc to GsPluginJobListApps
  * snap: Port gs_plugin_add_search() vfunc to GsPluginJobListApps
  * snap: Fix listing apps to use sections correctly
  * doc: Port gs_plugin_add_search() vfunc to GsPluginJobListApps
  * gs-cmd: Port ACTION_SEARCH to use GsPluginJobListApps
  * tests: Port ACTION_SEARCH to use GsPluginJobListApps
  * gs-application: Port ACTION_SEARCH to use GsPluginJobListApps
  * gs-search-page: Port ACTION_SEARCH to use GsPluginJobListApps
  * gs-shell-search-provider: Port ACTION_SEARCH to use GsPluginJobListApps
  * gs-plugin-job: Tweak gs_plugin_job_to_string() to always print timeouts
  * lib: Drop GS_PLUGIN_ACTION_SEARCH and gs_plugin_add_search()
  * appstream: Comment on stemming approach for keyword searches
  * gs-plugin-loader: Drop use of AsPool
  * lib: Drop support for plugin job timeouts
  * tests: Remove the test for invalid (too short) searches
  * Merge branch 'adw-about-window' into 'main'
  * gs-app-query: Add an alternate-of property
  * appstream: Port gs_plugin_add_alternates() vfunc to GsPluginJobListApps
  * dummy: Port gs_plugin_add_alternates() vfunc to GsPluginJobListApps
  * flatpak: Port gs_plugin_add_alternates() vfunc to GsPluginJobListApps
  * snap: Port gs_plugin_add_alternates() vfunc to GsPluginJobListApps
  * gs-cmd: Port ACTION_GET_ALTERNATES to use GsPluginJobListApps
  * tests: Port ACTION_GET_ALTERNATES to use GsPluginJobListApps
  * gs-details-page: Port ACTION_GET_ALTERNATES to use GsPluginJobListApps
  * lib: Drop GS_PLUGIN_ACTION_GET_ALTERNATES and gs_plugin_add_alternates()
  * tests: Fix an intermittent test failure when checking keyword searches
  * Merge branch 'wip/run_job_cb-compiler-warning' into 'main'
  * Merge branch '1815-crash-due-to-race-condition-in-gsapp' into 'main'
  * Merge branch '1801-flatpak-is-launched-while-displaying-a-native-app' into 'main'
  * gs-app-query: Add provides-tag and provides-type properties
  * flatpak: Port gs_plugin_add_search_what_provides() vfunc to GsPluginJobListApps
  * packagekit: Port gs_plugin_add_search_what_provides() vfunc to GsPluginJobListApps
  * rpm-ostree: Port gs_plugin_add_search_what_provides() vfunc to GsPluginJobListApps
  * gs-extras-page: Port ACTION_SEARCH_PROVIDES to use GsPluginJobListApps
  * lib: Drop GS_PLUGIN_ACTION_SEARCH_PROVIDES and gs_plugin_add_search_what_provides()
  * Merge branch '135-restart-and-install-update-button-does-not-trigger-reboot-when-using-lxde' into 'main'
  * Merge branch 'wip/update-details-markup' into 'main'
  * Merge branch 'wip/sophie-h/assets-featured' into 'main'
  * lib: Add new GsPluginJobListCategories job
  * lib: Add missing ‘Since’ annotations to vfunc documentation
  * appstream: Port gs_plugin_add_categories() vfunc to GsPluginJobListCategories
  * flatpak: Port gs_plugin_add_categories() vfunc to GsPluginJobListCategories
  * gs-cmd: Port ACTION_GET_CATEGORIES to use GsPluginJobListCategories
  * gs-overview-page: Port ACTION_GET_CATEGORIES to use GsPluginJobListCategories
  * lib: Drop GS_PLUGIN_ACTION_GET_CATEGORIES and gs_plugin_add_categories()
  * appstream: Skip work in refine_categories_async() if not needed
  * gs-category: Make size atomic
  * Merge branch 'refactor-threads27' into 'main'
  * ui: Disable markup in widgets derived from AdwPreferencesRow
  * Merge branch 'feature-title-subtitle-clamp' into 'main'
  * gs-license-tile: Update wording on proprietary tile
  * gs-license-tile: Add a ‘Learn More’ link to the proprietary tile
  * gs-info-bar: Minor styling fixes
  * gs-details-page: Tweak wording of ‘how to add information’ button
  * Merge branch '197-infobar-fixes' into 'main'
  * Merge branch '1593-missing-information' into 'main'
  * gs-license-tile: Add link to license text for FOSS apps
  * style: Increase font size for category buttons
  * Merge branch '1758-category-button-font-size' into 'main'
  * ui: Don’t fade in spinners which are next to a status label
  * gs-review-histogram: Remove unnecessary whitespace at the top
  * gs-review-histogram: Increase the width of the actual histogram
  * Merge branch '1704-reviews-papercuts' into 'main'
  * gs-loading-page: Shorten the loading status string
  * Merge branch 'shorten-loading-string' into 'main'
  * gs-app-details-page: Change the title to ‘Update Details’
  * data: Update and expand the default curated apps list
  * Merge branch '1937-crash-when-showing-offline-update-errors' into 'main'
  * Merge branch '1927-web-apps-can-t-be-opened-via-show-details-in-the-app-grid' into 'main'
  * Merge branch '1930-app-page-broken-ratings-card-empty-state' into 'main'
  * Merge branch '1940-plugin-priority-no-longer-used-when-deduplicating-applications' into 'main'
  * Merge branch '1941-add-gs_plugin_rule_better_than-rpm-ostree-to-flatpak-plugin' into 'main'
  * Merge branch 'fix_link' into 'main'
  * fwupd: Annotate updates with their release urgency
  * Merge branch 'fwupd-release-urgency' into 'main'
  * Merge branch 'wip/notify-pending-updates' into 'main'
  * Merge branch '1909-external-appstream-installer-leaves-old-files-behind-in-legacy-locations' into 'main'
  * Merge branch '1908-external-appstream-installer-sets-wrong-file-owner-and-permissions' into 'main'
  * Release version 43.1
  * trivial: Post release version bump
  * build: Post-release version bump to 44.alpha
  * Merge branch 'wip/detailed-preference-format' into 'main'
  * Merge branch '1904-incompatible-software-dialog-style-and-sizing-is-broken' into 'main'
  * Merge branch '1872-source-chooser-button-is-too-narrow-when-app-is-installed' into 'main'
  * Merge branch '1935-firmware-updates-are-hidden-if-they-require-the-laptop-lid-to-be-open' into 'main'
  * Merge branch '1925-app-page-odd-styling-on-the-right-side-when-there-is-no-open-button' into 'main'
  * Merge branch '667-show-changelogs-for-rpm-ostree-updates' into 'main'
  * Merge branch '1917-software-source-for-web-apps-is-generally-broken' into 'main'
  * Merge branch 'wip/hide-some-errors' into 'main'
  * Merge branch 'wip/mute-runtime-warning' into 'main'
  * Merge branch 'wip/hide-refine-cancelled-runtime-warnings' into 'main'
  * Merge branch 'wip/m1511-partial-backport' into 'gnome-43'
  * Merge branch '1910-software-fails-to-show-unhandled-error-from-fwupd' into 'main'
  * Merge branch 'wip/misc-fixes' into 'main'
  * Merge branch 'wip/unneeded-continue' into 'main'
  * Merge branch 'update-aboutwindow' into 'main'
  * Merge branch '1612-revisit-error-display' into 'main'
  * Merge branch '1954-not-possible-to-read-reviews' into 'main'
  * Merge branch '1862-update-mozjs-91-dependency-to-mozjs-102' into 'main'
  * Merge branch 'wip/carousel-img-unref' into 'main'
  * Merge branch '1950-explore-tab-doesn-t-scale-the-width-correctly-on-pinephone-pro' into 'main'
  * Merge branch '1952-after-disabling-fedora-flatpaks-repo-a-confusing-enable-third-party-repo-dialog-is-shown-even' into 'main'
  * Merge branch 'tooltip-text' into 'main'
  * Merge branch '1793-rpm-ostree-backend-should-not-do-package-stuff-should-not-use-libdnf' into 'main'
  * Merge branch '1959-high-contrast-pills-have-2px-borders' into 'main'
  * Merge branch '1823-add-more-debug-output-to-check_directory_for_desktop_file' into 'main'
  * Merge branch 'gs-plugin-dbus-connection-public' into 'main'
  * Merge branch '1966-crash-under-g_source_set_name_by_id' into 'main'
  * Merge branch '659-silverblue-restart-update-is-not-clear' into 'main'
  * Merge branch '1348-context-tiles-maximum-description-length' into 'main'
  * Merge branch 'flatpak-libfuse' into 'main'
  * Merge branch 'infocard' into 'main'
  * eos-updater: Update D-Bus interface description from upstream
  * eos-updater: Update python-dbusmock template for eos-updater
  * eos-updater: Clear download size once update is fetched
  * eos-updater: Change icon used for eos-updater updates
  * eos-updater: Rename gs_plugin_app_upgrade_download() implementation
  * Merge branch 'add-placeholder-search-entry' into 'main'
  * eos-updater: Support major vs minor OSTree updates in the UI
  * Merge branch '1543-eos-updater-major-minor' into 'main'
  * eos-updater: Use the OS logo for minor update rows
  * Merge branch 'eos-updater-os-logo' into 'main'
  * Merge branch 'message-dialogs' into 'main'
  * Merge branch '1688-reloading-view-upon-install' into 'main'
  * Merge branch '1830-canceling-pending-installation-fails' into 'main'
  * Merge branch 'mcatanzaro/notification-gnome-43' into 'gnome-43'
  * Merge branch 'mcatanzaro/notifications' into 'main'
  * eos-updater: Update D-Bus interface description from upstream
  * eos-updater: Update python-dbusmock template for eos-updater
  * gs-app: Allow removing links from GsApps
  * eos-updater: Show the ‘Learn More’ link for larger updates if provided
  * Merge branch 'star-image' into 'main'
  * Merge branch 'wip/hughsie/more-fwupd-cats' into 'main'
  * Merge branch 'show-uri' into 'main'
  * Merge branch 'rename-main-menu-tooltip' into 'main'
  * Merge branch 'basic-auth-dialog' into 'main'
  * Merge branch 'replace-application-by-app' into 'main'
  * Merge branch 'style-context' into 'main'
  * Merge branch 'add-ellipsis-update-restart-button' into 'main'
  * Merge branch '2024-app-page-header-middle-state-padding-glitch' into 'main'
  * Merge branch 'tweak-check-updates-button-tooltip' into 'main'
  * Merge branch '2005-software-should-eventually-expire-icons-from-icon-cache' into 'main'
  * Merge branch '147-allow-removing-unneeded-runtimes' into 'main'
  * Release version 44.alpha
  * trivial: Post release version bump
  * Release version 43.3
  * Merge branch 'add-preferences-shortcut' into 'main'
  * Merge branch 'no-connection-adwstatuspage-tweaks' into 'main'
  * Merge branch '1989-searching-for-an-app-through-shell-makes-software-to-open-the-app-page-and-after-1-2-seconds' into 'main'
  * Merge branch 'wip/cdavis/adw-banner' into 'main'
  * Merge branch '1983-flatpak-bundles-fail-to-load-if-there-s-a-missing-runtime' into 'main'
  * Merge branch 'add-hover-feedback-rating-stars' into 'main'
  * ui: Use gtk_widget_set_visible() instead of gtk_widget_{show,hide}()
  * gs-updates-page: Ensure correct section is used for minor OS updates
  * Merge branch 'fix-gs-update-vexpand' into 'main'
  * gs-updates-page: Check that updates needing a reboot aren’t ‘online’
  * Merge branch 'improve-transition-stars-hover-rating' into 'main'
  * gs-updates-section: Fix mnemonics on ‘Update All’ button
  * src: Fix SPDX license expression in copyright headers
  * docs: Fix SPDX expression in example code
  * tests: Fix SPDX license expressions in test apps
  * src: Fix remaining invalid SPDX license expressions
  * Merge branch 'fix-margins-featured-review-box' into 'main'
  * gs-plugin-job: Drop sort-func property
  * Merge branch 'no-screenshot-ui' into 'main'
  * Merge branch 'gs-appstream-icon-path-fix' into 'main'
  * po: Remove incorrect underscore from a string in the review dialogue
  * Merge branch 'backport-1574' into 'gnome-43'
  * gs-appstream: Generate links for issues with URL and for CVE-s
  * Merge branch '2049-contents-of-issue-tags-are-never-displayed-by-gnome-software' into 'main'
  * Merge branch 'gbsneto/icon-downloader' into 'main'
  * Merge branch '1021-please-add-a-way-to-show-only-open-source-apps' into 'main'
  * Merge branch 'gbsneto/parallel-refine' into 'main'
  * gs-plugin-loader: Drop online-updates-timestamp setting
  * gs-plugin-job: Improve in-progress cancellation support for job subclasses
  * gs-metered: Add asynchronous versions of the block/remove methods
  * packagekit: Add a new type for internal question details
  * gs-metered: Fix a floating GVariant leak with Mogwai disabled
  * gs-plugin-job-list-apps: Fix a leak of the GsAppQuery
  * gs-plugin-job-manage-repository: Fix a minor leak
  * gs-plugin-loader: Fix some profiling leaks
  * flatpak: Fix some profiling leaks
  * profiler: Fix a leak in GS_PROFILER_ADD_MARK_TAKE
  * gs-cmd: Fold interactive flag in get_list_apps_flags()
  * gs-app-query: Add GsAppQuery:license-type property
  * lib: Port from GS_PLUGIN_LIST_APPS_FILTER_FREELY_LICENSED to GsAppQuery:license-type
  * flatpak: Port two remaining calls to scoped profiling
  * profiler: Drop unscoped profiling macros
  * lib: Add GsPluginJobUpdateApps
  * dummy: Port from gs_plugin_download_app() to GsPlugin.update_apps_async()
  * packagekit: Port from gs_plugin_download_app() to GsPlugin.update_apps_async()
  * fwupd: Port from gs_plugin_download_app() to GsPlugin.update_apps_async()
  * flatpak: Port from gs_plugin_download_app() to GsPlugin.update_apps_async()
  * flatpak: Remove an unused variable
  * gs-update-monitor: Port from GS_PLUGIN_ACTION_DOWNLOAD to GsPluginJobUpdateApps
  * dummy: Port from gs_plugin_update_app() to GsPlugin.update_apps_async()
  * dummy: Port ACTION_UPDATE to use GsPluginJobUpdateApps
  * fwupd: Port from gs_plugin_update_app() to GsPlugin.update_apps_async()
  * rpm-ostree: Port from gs_plugin_update_app() to GsPlugin.update_apps_async()
  * gs-update-monitor: Port ACTION_UPDATE to GsPluginJobUpdateApps
  * gs-updates-section: Port ACTION_UPDATE to use GsPluginJobUpdateApps
  * flatpak: Port ACTION_UPDATE to use GsPluginJobUpdateApps
  * flatpak: Port from gs_plugin_update() to GsPlugin.update_apps_async()
  * gs-application: Port ACTION_UPDATE to use GsPluginJobUpdateApps
  * gs-page: Port ACTION_UPDATE to use GsPluginJobUpdateApps
  * gs-shell: Port update/download error handling to use GsPluginJobUpdateApps
  * gs-plugin-job: Add a `completed` signal
  * lib: Add GsJobManager for tracking pending jobs
  * gs-details-page: Port to GsJobManager handling of pending jobs
  * gs-update-monitor: Port to gs_plugin_loader_claim_job_error()
  * gs-page: Factor out user interaction in GsPluginJobUpdateApps
  * tests: Port away from gs_app_get_pending_action()
  * eos-updater: Port from gs_plugin_download_app() to GsPlugin.update_apps_async()
  * eos-updater: Drop thread-synchronisation GCond
  * eos-updater: Drop locking
  * snap: Port from gs_plugin_update() to GsPlugin.update_apps_async()
  * packagekit: Remove unnecessary app argument for offline updates
  * packagekit: Port from gs_plugin_update() to GsPlugin.update_apps_async()
  * gs-plugin: Drop GS_PLUGIN_ACTION_DOWNLOAD
  * gs-plugin: Drop GS_PLUGIN_ACTION_UPDATE
  * gs-plugin-loader: Drop gs_plugin_loader_generic_update()
  * build: Bump plugin API version
  * rpm-ostree: Fix a typo in a code comment
  * packagekit: Bump PackageKit dependency to 1.2.5 and drop old fallbacks
  * packagekit: Inline gs_systemd_call_*() helper functions
  * packagekit: Make applying app updates asynchronous
  * packagekit: Rename two variables
  * packagekit: Inline _download_only() method
  * packagekit: Make download app updates asynchronous
  * fwupd: Factor out common app download code
  * fwupd: Make most of update_apps_async() be async
  * fwupd: Port gs_plugin_fwupd_install() to be async
  * packagekit: Remove unnecessary type check
  * dummy: Add event emissions on download failure
  * dummy: Remove some outdated tests
  * dummy: Use GMainContext rather than GMainLoop in test code
  * eos-updater: Ensure g_main_context_wakeup() uses the right context
  * Release version 44.beta
  * trivial: Post release version bump
  * Merge branch 'wip/fwupd-crash-on-update' into 'main'
  * Merge branch 'wip/gs-details-page-remove-label_addons_uninstalled_app' into 'main'
  * Merge branch '1134-long-release-descriptions-could-be-truncated' into 'main'
  * gs-app-permissions: Clarify meaning of GS_APP_PERMISSIONS_FLAGS_DEVICES
  * Merge branch '2045-system-updates-dialog-has-an-unnecessary-scrollbar' into 'main'
  * Merge branch '833-gnome-software-shows-proprietary-license-for-every-deb-package-opened-as-a-file' into 'main'
  * gs-app-permissions: Add GS_APP_PERMISSIONS_FLAGS_SYSTEM_DEVICES
  * Merge branch '832-recognize-fwupd-1-3-3-safe-device-update-flags' into 'main'
  * Merge branch 'ellipsis-uninstall' into 'main'
  * gs-safety-context-dialog: Differentiate user and system devices
  * Merge branch '911-system-devices' into 'main'
  * Merge branch 'wip/wjt/2082-make-GS_DEBUG-work' into 'main'
  * Merge branch 'wip/no-notification-of-prepared-updates' into 'main'
  * Merge branch 'shortcut-uninstall' into 'main'
  * Merge branch '821-closing-software-repositories-window-when-installing-third-party-repositories-cancels-the' into 'main'
  * gs-repo-row: Expand translator comments for plural strings
  * contrib: Drop linux-pam from flatpak manifest
  * eos-updater: Ignore WrongState errors from eos-updater daemon
  * Merge branch '1239-landing-page-and-search-broken-if-unable-to-fetch-repository' into 'main'
  * gs-plugin-job-update-apps: Fix cancellation handling
  * Merge branch 'wip/flatpak-app-state-race' into 'main'
  * gs-appstream: Fix an out-of-bounds read
  * gs-license-tile: Fix a minor memory leak
  * gs-utils: Make error fixup warnings more informative
  * job-manager: Add API to watch for jobs
  * gs-details-page: Add missing signal disconnection
  * gs-details-page: Refresh buttons and progress when a job is added/removed
  * Merge branch '1929-flatpak-transactions-2' into 'main'
  * Merge branch 'wip/gs-main-check-for-appinfo-validity' into 'main'
  * updates: Remove NO_DOWNLOAD flag from several GsPluginJobUpdateApps uses
  * flatpak: Stop splitting updates into download and apply stages
  * flatpak: Combine non-deploy and non-pull transactions for each installation
  * flatpak: Stop errors during update being fatal
  * gs-app: Deprecate GsApp:is-update-downloaded
  * flatpak: Remove some app state updates from update code
  * flatpak: Prune the repo if an update fails
  * flatpak: Set all apps as queued for install at start of updates
  * flatpak: Bail out of cancelled transactions earlier
  * Merge branch '1929-flatpak-transactions' into 'main'
  * gs-fedora-third-party: Move a variable to the scope where it’s used
  * gs-fedora-third-party: Minimise size of locked sections
  * flatpak: Allow transactions to continue past the first fatal error
  * flatpak: Continue past fatal errors in an update-apps transaction
  * flatpak: Propagate errors from eol-rebase better
  * Merge branch 'wip/gs-page-own-job-instance-in-helper' into 'main'
  * eos-updater: Only try to update the app belonging to the updater
  * Merge branch '700-update-all-button-improperly-sensitive-when-flatpak-updates-are-autoinstalled' into 'main'
  * gs-os-update-page: Add row separators
  * Merge branch '2114-os-update-separators' into 'main'
  * Release version 44.0
  * trivial: Post release version bump
  * docs: Update commit signing instructions in RELEASE.md
  * gitlab: Remind people to search for duplicates before filing issues
  * Merge branch '2124-the-cancel-button-behaves-strangely' into 'main'
  * gs-debug: Clarify log level handling when writing to the journal
  * gs-debug: Log g_message() but not g_info() logs to the journal
  * gs-debug: Print g_info() and g_debug() messages to the journal on --verbose
  * Merge branch 'wip/gs-description-box-Set-min-hidden-lines' into 'main'
  * Merge branch '2130-crash-after-dismissing-the-firmware-update-warning-dialog' into 'main'
  * Merge branch 'wip/gs-details-page-sort-origins-by-packaging-format-preference' into 'main'
  * Merge branch '2132-weird-minus-icon-in-the-firmware-update-warning-dialog' into 'main'
  * Merge branch 'wip/gs-appstream-always-use-first-release-description' into 'main'
  * Merge branch 'wip/remove-unused-gs-app-tile.ui' into 'main'
  * Merge branch '2142-explore-page-a11y-every-tile-is-two-nested-boxes' into 'main'
  * Merge branch 'wip/cannot-write-review' into 'main'
  * Merge branch '2120-opening-flatpak-result-that-also-has-rpm-source-displays-the-rpm-one-as-unknown-source' into 'main'
  * Merge branch 'wip/gs-plugin-loader-handle-null-unique-id-in-pending-queue' into 'main'
  * Merge branch '2112-secure-boot-dbx-update-seems-to-be-installed-when-it-s-not' into 'main'
  * Merge branch 'wip/memory-leaks' into 'main'
  * epiphany: Support D-Bus call flags for interactivity
  * epiphany: Set D-Bus flags for interactivity correctly
  * eos-updater: Support D-Bus call flags for interactivity
  * eos-updater: Set D-Bus flags for interactivity correctly
  * rpm-ostree: Support D-Bus call flags for interactivity
  * rpm-ostree: Set D-Bus flags for interactivity correctly
  * core: Support D-Bus call flags for interactivity
  * Merge branch '2085-disabling-allow-updates-gsetting-doesn-t-work-properly' into 'main'
  * Merge branch '1866-software-is-checking-for-updates-even-though-i-disabled-automatic-updates' into 'main'
  * gs-plugin-loader: Run old-style plugin jobs in a custom thread pool
  * lib: Drop GS_APP_PERMISSIONS_FLAGS_UNKNOWN
  * lib: Change GS_APP_PERMISSIONS_FLAGS_NONE to have value zero
  * gs-plugin-loader: Run old-style plugin jobs in a custom thread pool
  * Merge branch '1316-automatic-updates-skipped-on-network-error' into 'main'
  * Merge branch '204-not-obvious-why-you-can-t-submit-a-review-with-short-description' into 'main'
  * Merge branch '1785-slow-repositories-dialog-fill' into 'main'
  * Merge branch '2166-duplicated-sources-when-opening-app-details-page-using-appstream-id-url' into 'main'
  * Merge branch 'wip/thread-safety-for-GsApp-icons' into 'main'
  * flatpak: Handle error from flatpak_installed_ref_load_metadata()
  * flatpak: Handle error from flatpak_installed_ref_load_metadata()
  * Merge branch '2152-installed-flatpak-addons-disappear-when-multiple-flathub-remotes-are-enabled' into 'main'
  * ui: Explicitly register custom widget types before use
  * Merge branch 'wip/gs-details-page_leftover_signal_handlers' into 'main'
  * Merge branch '2151-software-is-downloading-ostree-updates-when-the-check-for-updates-button-is-pressed' into 'main'
  * gs-app: Fix deadlock on recursive icon lookup
  * Merge branch '2153-constant-cpu-usage-while-idle-gtk-spinners-or-other-progress-indicators' into 'main'
  * Merge branch 'wip/rpm-ostree_Remove_unused_variable' into 'main'
  * Merge branch 'wip/Backport_1708_rpm-ostree_Remov_unused_variable' into 'gnome-44'
  * Merge branch '2146-details-pages-broken-information-for-non-apps-and-local-packages' into 'main'
  * Merge branch 'wip/uninstall-dialog-improvements' into 'main'
  * fwupd: Report certain update failures to the user directly
  * gs-plugin-job-update-apps: Clarify docs about error reporting
  * Merge branch '2178-fwupd-errors' into 'main'
  * Release version 44.2
  * trivial: Post release version bump
  * Merge branch '2187-replace-removed-appstream-deprecated-api' into 'main'
  * Merge branch '2176-crash-under-gs_flatpak_refine_wildcard' into 'main'
  * Merge branch '2053-explore-and-category-pages-can-look-very-empty' into 'main'
  * Merge branch 'wip/fedora-pkgdb-collections-Fix-init-debug-message' into 'main'
  * Merge branch '2207-nothing-happens-when-attempting-to-view-the-flathub-version-of-firefox-in-the-other-apps-by' into 'main'
  * Merge branch '1970-gnome-software-updates-show-app-descriptions-wrongly' into 'main'
  * Merge branch 'translatable-string-fix' into 'gnome-44'
  * Merge branch 'wip/alice/flowbox' into 'main'
  * gs-app: Drop a number of unused kudo values
  * docs: Drop kudos documentation
  * Merge branch 'drop-kudos' into 'main'
  * docs: Drop docs about renaming the default branch
  * Merge branch '2208-software-repositories-dialog-third-party-repositories-are-in-the-wrong-location-in-ostree' into 'main'
  * Merge branch 'wip/flatpak-leftover-installing-state' into 'main'
  * Merge branch '1451-safety-ratings-revamp' into 'main'
  * doc: Add more explicit documentation about how to debug gnome-software
  * gs-application: Clarify that --verbose applies to the running instance
  * Merge branch 'debugging-docs' into 'main'
  * Merge branch 'wip/gtk_check_version' into 'main'
  * gs-metered-data-dialog: Fix some typos in the metered description
  * shell: Don’t launch software-properties-gtk when opening repos dialog
  * Merge branch '2173-visual-issues-with-security-update-indication-in-updates-page' into 'main'
  * gs-featured-carousel: Disable animations if GTK settings say so
  * Merge branch '2232-gnome-software-fails-to-remove-packages-to-satisfy-dependencies' into 'main'
  * gs-plugin: Refactor gs_plugin_download_rewrite_resource_uri() into caller
  * Merge branch '2189-software-doesn-t-show-any-error-when-gpg-verification-fails' into 'main'
  * gs-plugin: Run rewrite resource downloads in parallel
  * gs-plugin: Drop gs_plugin_download_file()
  * gs-plugin: Make download/rewrite resource code asynchronous
  * lib: Move download/rewrite functions to download utils
  * core: Rewrite gs-plugin-rewrite-resource to be asynchronous
  * lib: Move rewrite-resources code out to the library
  * lib: Merge gs-plugin-rewrite-resources.c into GsPluginJobRefine
  * Merge branch 'refactor-threads32' into 'main'
  * Merge branch '2230-loading-updates-this-could-take-a-while-runs-for-30-minutes' into 'main'
  * Release version 45.beta
  * trivial: Post release version bump
  * Merge branch 'symbolic-update' into 'main'
  * Merge branch 'wip/historical-updates-notifications' into 'main'
  * Merge branch '2228-firmware-update-alone-doesn-t-trigger-a-reboot-when-reboot-and-update-is-clicked' into 'main'
  * Merge branch '2262-don-t-show-app-in-new-updated-if-release-date-is-in-the-future' into 'main'
  * Merge branch 'stop-using-align-for-main' into 'main'
  * Merge branch '2263-add-unknown-license-state-to-gslicensetile' into 'main'
  * gs-extras-page: Reduce clamp width to match installed and updates pages
  * Merge branch '2255-add-spinner-to-app-details-page-when-loading-description' into 'main'
  * Merge branch 'extras-page-style-fixes' into 'main'
  * Merge branch '2264-updates-paused-dialog-shorten-copy' into 'main'
  * Merge branch '2143-assertion-failure-on-quit-in-gs_job_manager_dispose' into 'main'
  * Merge branch '2254-combine-multiple-search-file-transactions-in-gs_plugin_packagekit_refine_async' into 'main'
  * Merge branch '2270-screenshots-appear-from-non-preferred-packaging-format' into 'main'
  * Merge branch '2278-use-app-rather-than-software-on-app-page-strings' into 'main'
  * Merge branch '2277-gnome-software-can-t-find-somes-packages-when-searching-for-parts-of-their-names' into 'main'
  * Merge branch '2294-failed-to-find-package-data-for-each-of-x-apps-received-y-packages-instead' into 'main'
  * Merge branch '2290-mismatch-between-total-number-of-app-reviews-and-how-many-are-visible' into 'main'
  * Merge branch 'wip/releasemd-meson-command' into 'main'
  * Merge branch '2313-crash-under-gs-download-utils-c-open_input_stream_cb' into 'main'
  * Merge branch '2300-packagekit-setup-fails-and-plugin-autodisabled-when-prepared-update-file-is-broken' into 'main'
  * Merge branch 'wip/i2313-follow-up-fixes' into 'main'
  * gs-plugin-loader: Fix unused variable warning when building without sysprof
  * ci: Enable --werror by default in CI
  * flatpak: Ignore read permission on xdg-config/kdeglobals
  * Merge branch '2317-g_set_prgname-sets-org-gnome-software-as-program-name' into 'main'
  * gs-updates-section: Fix a crash in _reboot_failed_cb()
  * Merge branch '2286-improve-user-documentation-for-unknown-and-special-licenses-on-gslicensetile' into 'main'
  * Merge branch 'wip/appstream_recognize_devel_verified_apps' into 'main'
  * Merge branch 'metadata-update' into 'main'
  * Merge branch 'details-page-widget-visibility-fixes' into 'main'
  * flatpak: Treat access to Pipewire runtime dir as unsandboxed device access
  * lib: Add GS_APP_PERMISSIONS_FLAGS_SCREEN for screen contents access
  * Merge branch 'wip/bundle-content-loading-symbolic' into 'main'
  * Merge branch '2350-verified-check-styling' into 'main'
  * Merge branch '2347-fallback-x11-without-wayland-is-reported-as-safe' into 'main'
  * Merge branch '2343-google-chrome-fails-to-install-with-unable-to-install-google-chrome-as-not-supported' into 'main'
  * Merge branch '2348-safe-unsafe-section-sdk-row-has-bad-contrast-when-using-dark-style' into 'main'
  * flatpak: Treat access to Pipewire runtime dir as unsandboxed device access
  * build: Post-release version bump to 46.alpha
  * gs-updates-page: Slightly improve OS upgrade invalidation
  * Merge branch 'wip/hughsie/firmware-update-messages' into 'main'
  * build: Bump CI image and libadwaita versions for 46 development cycle
  * ui: Ignore deprecated libadwaita API
  * malcontent: Fix use of deprecated libmalcontent symbols
  * Merge branch 'wip/flatpak-set-precise-app-kind' into 'main'
  * Merge branch 'shell-back-buttons-tweak' into 'main'
  * Merge branch 'initiative-51' into 'main'
  * Merge branch '2440-remove-window-title-in-app-details-view' into 'main'
  * Merge branch '2475-gtk_widget_unparent-assertion-gtk_is_widget-widget-failed-with-quit-option' into 'main'
  * Merge branch '2462-loading-updates-keeps-repeating-endlessly-on-debian' into 'main'
  * Merge branch 'wip/fedora-pkgdb-collections' into 'main'
  * gs-app-row: Fix naming of a widget
  * gs-os-update-page: Drop a new translatable string in favour of direction
  * Merge branch '2437-unbreak-string-freeze' into 'main'
  * Release version 46.0
  * trivial: Post release version bump
  * Revert "Merge branch 'rtl' into 'main'"
  * Merge branch 'rtl' into 'main'
  * Merge branch 'wip/flatpak-crash-during-install' into 'main'
  * Merge branch '2485-blocked-packages-are-listed-in-updates-page' into 'main'
  * Merge branch 'gs-review-summary-tooltip' into 'main'
  * Merge branch '2307-removal-shown-as-update-in-updates-tab' into 'main'
  * Merge branch '2353-provide-new-scalable-default-app-icon' into 'main'
  * gs-appstream: Fix locale variant lookup for translation warnings
  * gs-appstream: Optimise setting GS_APP_KUDO_MY_LANGUAGE slightly
  * gs-hardware-support-context-dialog: Fix desktop/mobile support

  [ Милош Поповић ]
  * Update Serbian translation
  * Update Serbian Latin translation
  * Update Serbian Latin translation
  * Update Serbian Latin translation
  * Update Serbian translation
  * Update Serbian (Latin) translation

  [ Daniel Rusek ]
  * Updated Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * gs-age-rating-context-dialog: Mark left out strings as translatable
  * gs-age-rating-context-dialog: Mark left out strings as translatable
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation
  * Update Czech translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation

  [ Danial Behzadi ]
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Fix arrows direction in OS updates page.
  * Merge branch 'rtl' into 'main'
  * Fix direction of versions without letters in OS updates page for RTL.

  [ sid ]
  * gs-screenshot-image: Fix Software becoming unresponsive when downloading screenshots
  * gs-application: Add placeholder text for '--interaction' option
  * gs-details-page: Set version history row visibility explicitly during every update
  * gs-app-version-history-row: Set date label visibility explicitly during every update
  * gs-details-page: Make spinner spin by default in "Loading app details..." page
  * gs-details-page: Don't proceed to stage2 on cancellation
  * Move from wiki references to https://apps.gnome.org/Software
  * Don't use issues/new URL which could takes users to login screen
  * gs-category-page: Fix issues with displaying apps in category page
  * gs-category-page: Add function 'print_app_bucket_stats()' to print bucket stats
  * gs-category-page: Refactor bucket assert and print code to macros
  * gs-category-page: Rename 'n_recently_updated' to 'n_recently_updated_apps'
  * gs-category-page: Rename 'MIN_RECENTLY_UPDATED_APPS' / 'MAX_RECENTLY_UPDATED_APPS'
  * gs-category-page: Show latest release date for recently updated apps on hover
  * gs-overview-page: Show latest release date for recently updated apps on hover
  * gs-category-page: Use 'gs_utils_app_sort_name()' when sorting apps by name
  * gs-category-page: Don't sort query results as we sort apps later anyway
  * gs-category-page: Fix issues with displaying apps in category page
  * gs-category-page: Add function 'print_app_bucket_stats()' to print bucket stats
  * gs-category-page: Refactor bucket assert and print code to macros
  * gs-category-page: Rename 'n_recently_updated' to 'n_recently_updated_apps'
  * gs-category-page: Rename 'MIN_RECENTLY_UPDATED_APPS' / 'MAX_RECENTLY_UPDATED_APPS'
  * gs-category-page: Show latest release date for recently updated apps on hover
  * gs-overview-page: Show latest release date for recently updated apps on hover
  * gs-category-page: Use 'gs_utils_app_sort_name()' when sorting apps by name
  * gs-category-page: Don't sort query results as we sort apps later anyway
  * data: Add bash completion for gnome-software
  * appdata: Fix release date typo for 46~beta
  * app-version-history-dialog: Avoid default selection of text when displaying dialog
  * gs-plugin-generic-updates: List service types as part of system updates
  * gs-app-reviews-dialog: Fix invalid unclassed pointer in cast to 'GsAppReviewsDialog'
  * packagekit: Print the running PackageKit version
  * review-row: Display tooltip for review summary text

  [ A S Alam ]
  * Update Punjabi translation
  * Update Punjabi translation
  * Update Punjabi translation
  * Update Punjabi translation
  * Update Punjabi translation
  * Update Punjabi translation
  * Update Punjabi translation

  [ Seong-ho Cho ]
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation

  [ Kukuh Syafaat ]
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation

  [ Ekaterine Papava ]
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation

  [ Lukáš Tyrychtr ]
  * a11y: Force the screen reader to announce the critical updates icon

  [ Vincent Chatelain ]
  * Update French translation

  [ Alan Mortensen ]
  * Updated Danish translation
  * Updated Danish translation
  * Updated Danish translation
  * Updated Danish translation
  * Updated Danish translation
  * Updated Danish translation
  * Updated Danish translation
  * Updated Danish translation
  * Updated Danish translation
  * Updated Danish translation
  * Updated Danish translation
  * Updated Danish translation
  * Updated Danish translation
  * Updated Danish translation
  * Update Danish translation
  * Update Danish translation
  * Update Danish translation
  * Update Danish translation
  * Update Danish translation
  * Update Danish translation

  [ Fran Dieguez ]
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation

  [ Balázs Úr ]
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation

  [ Sophie Herold ]
  * data: Add Circle app Share Preview to list of featured apps
  * data: Add Circle app Commit to featured apps
  * metainfo: Align app name with .desktop name
  * data: Add new Circle entries to featured apps
  * data: Add new Circle entries to featured apps
  * appdata: Update screenshots
  * data: Add new Circle entries to featured apps
  * data: Update circle apps
  * data: Update list of Circle apps
  * gs-details-page: Don't use group for other apps
  * metainfo: Fix wrong developer id
  * data/assets: Update Circle apps in Featured

  [ Rūdolfs Mazurs ]
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation

  [ Piotr Drąg ]
  * lib: Add a comment for translators
  * lib: Add a comment for translators
  * details-page: Fix translator comments
  * details-page: Mark links to licenses for translation
  * Remove po/Makevars
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update POTFILES.in
  * Fix a translator comment
  * Update POTFILES.in
  * Fix a translator comment
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * build: Localize the polkit policy file
  * Update POTFILES.in
  * build: Localize the polkit policy file
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update POTFILES.in
  * Update POTFILES.in
  * Update Polish translation
  * Update POTFILES.in
  * Update POTFILES.in
  * Update Polish translation
  * Update POTFILES.in
  * Update POTFILES.in
  * Update Polish translation
  * Update Polish translation
  * Update POTFILES.in
  * Update POTFILES.in
  * Update POTFILES.in
  * Update POTFILES.in
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update POTFILES.in
  * Update POTFILES.in
  * Update POTFILES.in
  * Update POTFILES.in
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update POTFILES.in
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation

  [ Will Thompson ]
  * Add Arabic translations for OARS categories
  * flatpak: factor out function to group by installation
  * flatpak: download Flatpak updates in the correct installation
  * po: Sort LINGUAS
  * flatpak: factor out function to group by installation
  * flatpak: download Flatpak updates in the correct installation
  * meson: make two compiler warnings fatal
  * Update doc/use-cases.md
  * Export desktop file & icon in development builds
  * Convert flatpak-builder manifest to JSON
  * flatpak: Update OSTree branch name
  * flatpak: Specify 'main' branch for gnome-software
  * license-tile: Use neutral grey for proprietary lozenges
  * license-tile: Tweak description for proprietary tile
  * feature-tile: Remove width restriction
  * license-tile: Tweak proprietary app tile again
  * upgrade-banner: Allow wrapping title
  * app-context-bar: Centre multi-line titles
  * Remove parent instance from Private structs
  * Merge branch '1421-proprietary-tile-wording' into 'main'
  * Merge branch 'icons' into 'main'
  * Merge branch '1883-trying-to-run-a-flatpak-app-whose-runtime-is-missing-fails-silently' into 'main'
  * gs-application: Update copyright years in About dialog
  * application: Preserve GS_DEBUG-induced verbosity
  * flatpak: Use flatpak_transaction_add_rebase_and_uninstall() if available

  [ Juliano de Souza Camargo ]
  * Update Portuguese translation
  * Update Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation

  [ Anders Jonsson ]
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation

  [ Aefgh Threenine ]
  * Update Thai translation
  * Update Thai translation
  * Update Thai translation

  [ Jiri Grönroos ]
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation

  [ Alexandre Franke ]
  * Update French translation
  * Update French translation
  * Update French translation
  * Replace wiki links

  [ Richard Hughes ]
  * Show the empty stack contents when there are no sources to show
  * Don't require the user to keep clicking 'More reviews' after each click
  * trivial: Show icons in the updated dialog
  * Ignore the 'and later' part of the SPDX ID when working out if it is 'free'
  * Copy files installed from /tmp
  * shell-extensions: Return an error from _setup() when GNOME Shell is not running
  * packagekit: Do not crash when getting an invalid ID from PackageKit
  * fwupd: Prepend the vendor name to the device name if not included
  * fwupd: Do not use the shared SoupSession
  * fwupd: Use the custom user-agent when downloading firmware
  * fwupd: Do not use the shared SoupSession
  * fwupd: Use the custom user-agent when downloading firmware
  * trivial: Fix up the example spec file
  * fwupd: Raise the required version to 1.0.3
  * fwupd: Prevent a warning due to a bug in old versions of fwupd
  * Move all the external appstream functionality to the same plugin
  * Be clearer when providing translations for social-info
  * Never allow wildcard apps to be added to the global cache
  * Do not use the global cache in the search provider
  * trivial: Do not show critical warning if getting the os-release app failed
  * Match all the unique ID constraints when refining a wildcard
  * os-release: Don't load the os-release file on every request
  * trivial: Do not use the global cache directly in the self tests
  * trivial: Do not use the global cache when showing the plugindir warning
  * trivial: Always set a package name on the example AppStream XML
  * Remove the concept of a shared global app cache
  * Add a warning when enabling the LVFS remote
  * Create a GsPluginEvent when FILE_TO_APP or URL_TO_APP fails
  * Show an in-application notification when a local file or URI is not supported
  * flatpak: Fix multiple flatpak refreshes with new libflatpak
  * Create a GsPluginEvent when FILE_TO_APP or URL_TO_APP fails
  * flatpak: Fix multiple flatpak refreshes with new libflatpak
  * trivial: Never show star ratings in the update panel
  * shell-extensions: Don't save static data in the XML
  * Add COMMITMENT file as part of GPL Common Cure Rights Commitment
  * Add gs_app_remove_kudo()
  * trivial: Fix a harmless NULL/FALSE confusion
  * trivial: CC99ify various things
  * trivial: Fix a small leak in the flatpak self tests
  * trivial: Downgrade the warnings when overwriting metadata keys
  * flatpak: Remove the long-dead legacy flatpak plugin names
  * flatpak: Remove the long-dead symlink cleanup functionality
  * trivial: Fix up the example RPM spec file
  * trivial: Closer match the new mockups with app row alignment
  * trivial: Center align the source in the popular tile
  * limba: Remove the unmaintained plugin
  * trivial: Bump the plugin version as we're planning to break plugin API
  * trivial: Fix the example RPM file
  * trivial: Remove a now-unused GsPluginFlags define
  * trivial: Fix the padding in the new hamburger menu
  * Make the various app lists use GsAppList
  * fwupd: Don't crash if when getting the locked status
  * Allow the GsAppList to report global progress and state
  * trivial: Fall back to ordering the plugins by name
  * trivial: Load the plugins from disk in a predicatable way
  * flatpak: Use FlatpakTransaction to install, remove and update
  * Replace GsPluginFailureFlags with a simple interactivity boolean
  * rpm-ostree: Correctly check for updates
  * trivial: Show the download size in the updates panel
  * trivial: Allow the application to change modes using activation
  * trivial: Show the app+related size when dumping the GsApp to screen
  * Download applications explicitly when required
  * fwupd: Show the release notes for all the inbetween releases
  * trivial: Show the update size in the updates panel
  * Simplify the updates panel
  * trivial: Disable the snap build by default until a new snapd-glib has been released
  * Use meson arguments of a standard style
  * trivial: Never show cancelled error messages to the user
  * Do not go 'back' to a previous application details panel
  * trivial: Don't show 'Application is ready to be used' for non-desktop apps
  * Use the full name for the ESRB ratings descripion
  * Ignore non-interactive generic errors
  * trivial: Never show gnome-system-monitor-kde in any search result
  * trivial: Fix plural form when apps get updated
  * trivial: Fix up the example RPM spec file
  * trivial: Closer match the new mockups with app row alignment
  * trivial: Center align the source in the popular tile
  * limba: Remove the unmaintained plugin
  * trivial: Bump the plugin version as we're planning to break plugin API
  * trivial: Fix the example RPM file
  * trivial: Remove a now-unused GsPluginFlags define
  * Make the various app lists use GsAppList
  * fwupd: Don't crash if when getting the locked status
  * Allow the GsAppList to report global progress and state
  * trivial: Fall back to ordering the plugins by name
  * trivial: Load the plugins from disk in a predicatable way
  * flatpak: Use FlatpakTransaction to install, remove and update
  * Replace GsPluginFailureFlags with a simple interactivity boolean
  * rpm-ostree: Correctly check for updates
  * trivial: Show the download size in the updates panel
  * trivial: Allow the application to change modes using activation
  * trivial: Show the app+related size when dumping the GsApp to screen
  * Download applications explicitly when required
  * fwupd: Show the release notes for all the inbetween releases
  * trivial: Show the update size in the updates panel
  * Simplify the updates panel
  * trivial: Disable the snap build by default until a new snapd-glib has been released
  * Use meson arguments of a standard style
  * trivial: Never show cancelled error messages to the user
  * Do not go 'back' to a previous application details panel
  * trivial: Don't show 'Application is ready to be used' for non-desktop apps
  * Use the full name for the ESRB ratings descripion
  * Ignore non-interactive generic errors
  * trivial: Never show gnome-system-monitor-kde in any search result
  * trivial: Fix plural form when apps get updated
  * fwupd: Ignore the NOT_SUPPORTED error code when getting the upgrade list
  * fwupd: Do not fail to get the update list if one request fails
  * fwupd: Ignore the NOT_SUPPORTED error code when getting the upgrade list
  * fwupd: Do not fail to get the update list if one request fails
  * Filter the application restart notification to actual desktop apps
  * Only emit updates-changed once, after all task have completed
  * Release version 3.29.92
  * trivial: Update the reference spec file
  * Release version 3.30.0
  * Do not show duplicate lines in the 'OS Updates' entry
  * trivial: Whitespace fixes
  * Only show the highest priority version of an app in the featured banner
  * trivial: Set the UI sensitity correctly when updating a runtime from an app
  * Only emit updates-changed once, after all task have completed
  * trivial: Update the reference spec file
  * Do not show duplicate lines in the 'OS Updates' entry
  * trivial: Whitespace fixes
  * Only show the highest priority version of an app in the featured banner
  * trivial: Set the UI sensitity correctly when updating a runtime from an app
  * Filter the application restart notification to actual desktop apps
  * trivial: Post branch version bump
  * trivial: Remove some dead code
  * Allow the front-end to get alternate versions of applications
  * Remove AsProfile
  * Suggest alternatives based on the package name
  * Don't emit notify if the quirks are unchanged
  * Only set the compulsory quirk for apps in the system AppStream store
  * trivial: Wildcard match the alternates in gs-cmd
  * trivial: Always add the wildcard for the alternate application ID
  * trivial: Never add duplicate wildcard apps to the GsAppList
  * Do not filter applications from the plugin loader with no icon
  * trivial: Sort the alternatives by the application priority by default
  * trivial: Add gs_app_compare_priority()
  * trivial: Allow deduplicating, prefering installed applications
  * trivial: Allow deduplicating using the provides ID as additional keys
  * trivial: Allow setting the dedupe flags on the GsPluginJob
  * Only show one alternate application in most application pages
  * Remove AsProfile
  * Remove the steam plugin
  * trivial: Remove gs_app_[g|s]et_keywords()
  * Don't always check the GsAppList for duplicates
  * trivial: Be more specific when requesting information from plugins
  * trivial: Set the bundle kind on more GsApp instances
  * Only use system appstream information when refining generic apps or packages.
  * fwupd: Avoid a critical warning when the device vendor is not set
  * dummy: Correctly request the KUDOS refine flags
  * flatpak: Do not hardcode 'user' scope when installing flatpakrepo files
  * trivial: Add one more REQUIRE flag for content rating
  * Remove the perfect-screenshots kudo
  * trivial: Do not add the alternate target twice
  * trivial: Do not re-get the list of alternates for every page refresh
  * Do not add the alternate wildcard in the plugin loader
  * flatpak: Never claim the list of alternates
  * Only do one pass of wildcard components
  * trivial: Add easy-to-read flags for when dedupe should be done
  * details-page: Only connect up settings changed once
  * Simplify the details page loading
  * Add GsAppQuirk to avoid using types from libappstream-glib
  * Copy metadata from wildcard GsApp objects to concrete GsApps
  * Use the recently-added X-Flatpak desktop key to avoid using a heuristic
  * fwupd: Avoid a critical warning when the device vendor is not set
  * flatpak: Do not hardcode 'user' scope when installing flatpakrepo files
  * trivial: Fix the 'debuggers' subcategory
  * trivial: Fix the 'debuggers' subcategory
  * flatpak: Fix compile warning with new versions of libflatpak
  * trivial: Allow self tests to override the chosen cachedir
  * flatpak: Only refine applications with the FLATPAK bundle kind
  * Use libxmlb to parse AppStream XML
  * Remove most of the GsPluginFlags
  * Remove some over-verbose debugging
  * trivial: Don't build the extension remotes
  * Ensure the flatpak <id> matches the <bundle>
  * trivial: Allow using libxmlb as a subproject
  * Use the new xb_builder_fixup_set_max_depth() for a pretty dramatic speedup
  * Use the new libxmlb prepared queries feature to make search faster
  * Stem the search text before running the query
  * flatpak: Fix compile warning with new versions of libflatpak
  * trivial: Fix a potential critical warning for apps with no description
  * shell-extensions: Fix regressions when switching to libxmlb
  * trivial: Fix a potential critical warning for apps with no description
  * trivial: Fix an appstreamcli validation warning
  * fwupd: Remove the hidden fwupd easter egg
  * Use the SPDX-License-Identifier in all source files
  * trivial: Remove unused vim source tags
  * Use '#pragma once' to avoid a lot of boilerplate
  * Fix the self tests when using new versions of flatpak
  * Add mutexes to protect access to PkClient and PkTask
  * Only add <pkgname> entries when bundles have not already been used
  * flatpak: Find the system-wide runtime for a user flatpak app
  * Do not cause a explosion when updating gnome-software on a mutable system
  * flatpak: Ensure we match the remote origin when refining state
  * trivial: Don't crash when installing a web-app
  * Fix loading appdata.yml.gz files
  * Do not run the PackageKit tests on Fedora SilverBlue
  * fwupd: Delete the file from the cache when installed
  * fwupd: Do not show the Vendor directory remote in the sources list
  * trivial: Do not use the calculator icon when the update has no icon
  * Only show maximum 3 update descriptions if no previous releases are found
  * Never show a 'missing' icon when AppStream does not provide an app icon
  * trivial: Fix some typos spotted using codespell
  * shell-extensions: Disable the plugin if we can't get the current shell version
  * trivial: Make adding and removing reviews thread safe
  * odrs: Do not request duplicate reviews
  * odrs: Never show the same review more than once
  * shell-extensions: Fix a memory leak when parsing the list of extensions
  * trivial: Fix up example spec file with the correct icon name
  * Do not composite screenshots with internal alpha sections
  * Show a notification when just one firmware is installed
  * Always use the old AppStream component type names
  * Ensure all applications with addons are shown in the updates panel
  * flatpak: Use the branch attribute in the base object
  * core: Set the Flatpak branch from the bundle ID
  * flatpak: Use the bundle ID to identify the flatpak component
  * Show the branch in the source popover
  * fwupd: Add support for a new error type
  * trivial: Idle flush in the right place to prevent a CI failure
  * Use smaller default size for main window on 1300x700 resolution
  * Notify the user when an application can escape the sandbox
  * trivial: Print debugging when the application remains a generic component
  * trivial: Correctly assign appstream::source-file
  * trivial: Correctly add the FEATURED_RECOMMENDED kudo if set
  * Support old-style AppStream files that rely on merging
  * Don't apply drop shadow on stock symbolic icons
  * Create a wildcard result when getting category apps
  * Fix the button size mismatch in the updates panel
  * Don't apply drop shadow on stock symbolic icons, harder
  * Never claim wildcard applications from AppStream
  * trivial: Fix a typo when checking lists for duplicates
  * Remove the wildcard apps afterthe very first refine call
  * Implement the new featured banner carousel design
  * Allow the name, summary and description to be overwritten
  * Make the objects that derive from GsAppTile simpler
  * Remove the hash table in GsAppList to make it all simpler
  * trivial: Fix a critical warning when clicking the category groups
  * appstream: Set the correct scope using the silo metadata
  * Never add wildcards to the plugin cache
  * Show the overview if the user cannot go back to an existing state
  * Use the launchable when processing 'details-activated' from the shell
  * flatpak: Never show the progress bar going backwards
  * flatpak: Remove the 'Launch' button for non-current applications
  * trivial: Perform the @datadir@ substitution when parsing CSS
  * Convert the editor to use xmlb rather than appstream-glib
  * fwupd: Add translations for update types
  * Make the star rating enabled and disabled states different colors
  * trivial: Correctly assign the star rating enabled state
  * core: Do not assume AppStream XML files can always be loaded with literal text
  * Do not require a pkgname tag when refining a webapp
  * Release version 3.34.0
  * trivial: Post release version bump
  * fwupd: Fix manual detach for removable devices
  * trivial: Fix example spec file
  * Match the exact ID when refining a wildcard
  * trivial: Fix example spec file
  * Match the exact ID when refining a wildcard
  * Release version 3.34.1
  * trivial: Post release version bump
  * Do not show non-applications in the installed panel
  * Do not show a crazy error when installing packages
  * trivial: Move the CI to F31 to avoid a large download for each pull request
  * Set the shell extension origin correctly in all cases
  * Remove the app folder functionality
  * Remove the banner editor
  * fwupd: Fix compile with old versions of fwupd
  * Release version 3.35.2
  * trivial: Post release version bump
  * Do not show non-applications in the installed panel
  * Do not show a crazy error when installing packages
  * trivial: Move the CI to F31 to avoid a large download for each pull request
  * Set the shell extension origin correctly in all cases
  * fwupd: Fix compile with old versions of fwupd
  * Release version 3.34.2
  * Remove webapp support
  * Hide any in-app notifications when closing the main window
  * Remove the now-unused code that supported the colorful category buttons
  * Remove support for Shell extensions
  * Release version 3.35.91
  * trivial: Post release version bump
  * Fix crash when viewing application details
  * Release version 3.35.92
  * Release version 3.36.0
  * trivial: Post release version bump
  * fwupd: Only delete the installed archive if we downloaded it to the cache
  * packagekit: Use a better heuristic to find the app desktop ID
  * packagekit: Show the correct state for local packages without AppData
  * packagekit: Use a better heuristic to find the app desktop ID
  * packagekit: Show the correct state for local packages without AppData
  * fwupd: Only delete the installed archive if we downloaded it to the cache
  * trivial: Fix unlikely division by zero
  * trivial: Fix unlikely but possible segfault in the self tests
  * trivial: Fix unlikely division by zero
  * trivial: Fix unlikely but possible segfault in the self tests
  * Release version 3.36.1
  * fwupd: Suffix the update name with 'Update'
  * trivial: Post branch version bump
  * fwupd: Override the device generic data with the actual release data
  * Fix compile with libxmlb from git master
  * trivial: Fix tiny compile warning nit
  * fwupd: Send our implemented feature set
  * Do not use GsApp screenshot for transient screenshots
  * fwupd: Add support for the update action
  * fwupd: Use the runtime fwupd version for the user agent
  * fwupd: Add configuration category
  * Release version 3.37.92
  * trivial: Post branch version bump
  * Release version 3.38.0
  * trivial: Post release version bump
  * Merge branch 'wip/kalev/app-row-unreveal-crash' into 'master'
  * fwupd: Use new API in fwupd 1.5.2 to download files
  * Merge branch 'wip/hughsie/fwupd-curl' into 'master'
  * Merge branch '1104-fwupd-do-not-propagate-not-supported-error-on-updates-check' into 'master'
  * Merge branch 'appstream-fixes' into 'master'
  * trivial: Push the thread default GMainContext for categories
  * Merge branch 'wip/mak/gsappstate' into 'master'
  * Merge branch '1001-packagekit-receives-proxy_http-8080-when-proxy-host-is-empty' into 'master'
  * Merge branch 'backport-567-fwupd-not-activatable-gnome-3-38' into 'gnome-3-38'
  * flatpak: Fix assertation in new libflatpak version
  * Release version 3.38.1
  * Merge branch '1177-after-os-installation-a-software-updates-available-to-download-notification-is-shown' into 'master'
  * Release version 40.0
  * trivial: Post release version bump
  * fwupd: Do not use deprecated API in the plugin
  * Speed up search queries by over 40%
  * Apply 1 suggestion(s) to 1 file(s)
  * Apply 1 suggestion(s) to 1 file(s)
  * Apply 1 suggestion(s) to 1 file(s)
  * Apply 1 suggestion(s) to 1 file(s)
  * fwupd: Provide translations for more device types
  * Merge branch 'snap-const-warnings-40' into 'gnome-40'
  * fwupd: Add translations for more device categories
  * Merge branch 'fwupd-dep-bump' into 'main'
  * Merge branch 'fwupd-dir-fix' into 'main'
  * fwupd: Add translations for more device categories
  * fwupd: Add translations for another device category
  * fwupd: Fix trivial whitespace issue
  * fwupd: Fix the user action dialogs
  * fwupd: Fix the user action dialogs
  * fwupd: Add translations for more device categories
  * fwupd: Do not show confusing messages when installing updates
  * fwupd: Use the new API to fix compiling with the unreleased fwupd 2.0.0
  * fwupd: Remove now-unused call to fwupd_device_get_description()
  * fwupd: Do not ask the user to reboot if we failed to deploy the update

  [ Aurimas Černius ]
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Update Lithuanian translation
  * Update Lithuanian translation
  * Update Lithuanian translation
  * Update Lithuanian translation
  * Update Lithuanian translation
  * Update Lithuanian translation
  * Update Lithuanian translation

  [ Philipp Kiemle ]
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation

  [ Daniel Mustieles ]
  * Update Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Update Spanish translation
  * Update Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Update Spanish translation
  * Update Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Update Spanish translation
  * Update Spanish translation
  * Updated spanish translation
  * Updated Spanish translation
  * Update Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation

  [ Baurzhan Muftakhidinov ]
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation

  [ Brage Fuglseth ]
  * featured: Update Circle apps
  * featured: Update Circle apps
  * Update Norwegian Bokmål translation
  * Update Norwegian Bokmål translation
  * Update Norwegian Bokmål translation
  * Update Norwegian Bokmål translation

  [ Andi Chandler ]
  * Update British English translation

  [ Boyuan Yang ]
  * Update zh_CN translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation

  [ Matej Urbančič ]
  * Added Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation

  [ Quentin PAGÈS ]
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation

  [ Vasil Pupkin ]
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation

  [ Jordi Mas ]
  * Update Catalan translation
  * Update Catalan translation
  * Fixes to Catalan translation
  * Update Catalan translation
  * Fixes to Catalan translation
  * Fixes to Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Allow to localize ESRB content rating strings
  * Update Catalan translation
  * Fixes #678. Wrong rating systems selected based in language instead of territory
  * Fixes #683. No package show available as localized in language
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Read -> Show for button action
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Makes these strings avaiable for translation by including the right gettext reference
  * Update Catalan translation
  * Add src/gs-review-histogram.c which contains localizable strings into the POTFILES.in
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation

  [ Sabri Ünal ]
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * gs-app-addon: Use ellipses for uninstall button
  * appdata: Improve appdata for AppStream 1.0
  * appdata: Remove none OARS tags
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation

  [ Asier Sarasua Garmendia ]
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Fix usage of plural forms
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation

  [ Allan Day ]
  * repos dialog: Spacing fixes
  * View switcher: rename 'All' to 'Explore'
  * tweaks some of the featured app banners
  * gs-editor: layout tweaks
  * gs-folders: Remove some apps from Utilities folder
  * gs-folders: Add Connections to Utilities
  * overview & updates pages: Increase vertical spacing
  * Update installed icon
  * Merge branch 'tweak-search-entry-placeholder' into 'main'
  * gs-update-monitor: Rewrite some notification strings
  * license-tile: Small messaging adjustments
  * Merge branch 'update-notification-text' into 'main'

  [ Quique Serrano ]
  * Update Catalan translation

  [ Jürgen Benvenuti ]
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation

  [ Bharat ]
  * gs-app-details-page.ui: Extra closing ">" (line:10)
  * details_spinner_box: Change iconbox dimensions

  [ Joshua Lee ]
  * app-row: Ensure labels don't overlap
  * gs-updates-paused-banner: Introduce
  * gs-shell: Port to GsUpdatesPausedBanner
  * gs-metered-data-dialog: Remove
  * gs-plugin-loader: Add API to query Power Saver and GameMode
  * gs-updates-paused-banner: Inform about all updates paused conditions

  [ Jonathan Kang ]
  * flatpak: Set no-interaction correctly when refreshing
  * plugins: add opensuse-distro-upgrade plugin

  [ Yosef Or Boczko ]
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation

  [ Christopher Davis ]
  * Overview: Remove categories expander
  * Revert "Theme: semantic changes and visbility improvements"
  * details-page: Use AdwBanner instead of GtkInfoBar
  * updates-page: Use AdwBanner instead of GtkInfoBar
  * shell: Use AdwBanner instead of GtkInfoBar
  * shell: Port to AdwToast{,Overlay}

  [ Matthias Klumpp ]
  * Drop icon-download APT config snippet, depend on shared apt-config-icons instead
  * Wrap and sort
  * Mark featured AppStream snippets as append-merge components
  * Mark featured AppStream snippets as append-merge components - again
  * Add fix-appstream-featured-data.patch
  * Release 3.36.0-2 to unstable
  * appstream: Check if a stock icon actually exists in the theme before using it
  * appstream: Don't solely add a stock icon for an app, as it may not exists
  * trivial: Prefer metainfo dir over appdata dir when checking addons
  * appstream: Do not fail if any of the metadata directories doesn't exist
  * appstream: Check if a stock icon actually exists in the theme before using it
  * appstream: Don't solely add a stock icon for an app, as it may not exists
  * trivial: Prefer metainfo dir over appdata dir when checking addons
  * appstream: Do not fail if any of the metadata directories doesn't exist
  * Migrate AsAppState to GsAppState
  * Add Meson wrap file for AppStream
  * meson: Adjust dependency for AppStream, replacing appstream-glib
  * Adjust CI dependencies for AppStream
  * Port to appstream
  * Delete defunct remnants of shell-extension support
  * Use separate enum for OS update pseudo-apps
  * Replace AS_URL_KIND_MISSING with explicit property
  * trivial: Suggest using appstreamcli for NEWS/validate
  * Transparently convert 6-part data-ids to 5-part IDs in public API
  * Parse all provided item types properly
  * build: Use C11 standard
  * Find AppStream metadata in every possible location
  * Migrate path for external-appstream user data
  * Validate metainfo file in tests
  * tests: Make releases-not-in-order metainfo check non-fatal
  * Adjust to build with AppStream 1.0 as well as 0.16.x
  * Merge branch '2388-gnome-software-45-1-recompiling-error' into 'main'
  * Add appstream1.0-support.patch: Support the latest AppStream library version
  * Bump dependency on appstream
  * Finalize 45.1-2
  * Add patch to fix showing deb packages
  * Fix loading OS AppStream catalog data if it is available as YAML

  [ Marco Melorio ]
  * overview: Stop shrinking the content
  * overview: Remove unused widget template variable
  * shell: Port main pages to AdwToolbarView
  * shell: Port loading page to AdwToolbarView
  * repos-dialog: Port to AdwToolbarView
  * app-version-history-dialog: Port to AdwWindow and AdwToolbarView
  * app-reviews-dialog: Port to AdwWindow and AdwToolbarView
  * info-window: Port to AdwToolbarView
  * update-dialog: Port to AdwToolbarView
  * removal-dialog: Port to AdwToolbarView
  * basic-auth-dialog: Port to AdwWindow and AdwToolbarView
  * shell: Port away from deprecated AdwViewSwitcherTitle
  * shell: Add a minimum window size
  * update-dialog: Port to AdwNavigationView
  * os-update-page: Port to AdwToolbarView
  * app-details-page: Port to AdwToolbarView
  * info-dialogs: Remove top margins
  * misc: Make dialogs close with the Esc key

  [ Keyu Tao ]
  * gs-update-monitor: Delay update time with larger random interval

  [ Andre Klapper ]
  * Remove broken Norwegian Bokmål UI translation
  * Fix broken markup in Russian UI translation
  * Fix broken markup in Belarusian UI translation
  * Fix broken markup in Belarusian UI translation
  * Fix broken markup in Belarusian UI translation
  * Fix broken markup in Spanish translation
  * help: Update IRC server from GIMPnet to Libera
  * DOAP: Add support-forum (GNOME Discourse)
  * Fix invalid markup in Taiwanese Chinese translation
  * Fix invalid markup in Taiwanese Chinese translation

  [ kramo ]
  * Update Circle apps
  * Make repository remove button flat
  * Make Flatpaks' PackagingBaseCssColor explicitly blue

  [ Gregory Bartholomew ]
  * Update the link to Fedora Magazine

  [ Felipe Kinoshita ]
  * gs-review-dialog: Make use of AdwToastOverlay

  [ Ngọc Quân Trần ]
  * Update Vietnamese translation
  * Update Vietnamese translation
  * Update Vietnamese translation
  * Update Vietnamese translation
  * Update Vietnamese translation
  * Update Vietnamese translation
  * Update Vietnamese translation
  * Update Vietnamese translation
  * Update Vietnamese translation
  * Update Vietnamese translation
  * Update Vietnamese translation
  * Update Vietnamese translation
  * Update Vietnamese translation
  * Update Vietnamese translation
  * Update Vietnamese translation

  [ Amin Bandali ]
  * New upstream version 44.1
  * Update upstream source from tag 'upstream/44.1'
  * New upstream release
  * * debian/changelog: Mention bug fixes for 44.1 from upstream NEWS.
  * New upstream version 44.2
  * Update upstream source from tag 'upstream/44.2'
  * New upstream release
  * * debian/changelog: Mention bug fixes for 44.2 from upstream NEWS.
  * Change debian-branch from debian/master to debian/latest
  * New upstream version 45.1
  * Update upstream source from tag 'upstream/45.1'
  * New upstream release
  * Drop debian/patches/01_details-Use-custom-icon-for-verified-developers.patch
  * releasing package gnome-software version 45.1-1

  [ Florentina Mușat ]
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation

  [ Darshil Shah ]
  * shell: Add Keyboard Shortcuts window

  [ Pablo Correa Gómez ]
  * gs-install-appstream: add gs_private_libdir to rpath
  * gs-install-appstream: add gs_private_libdir to rpath
  * gs-os-update-page: Simplify is_downgrade check
  * gs-utils: Remove unused gs_utils_parse_evr
  * gs-os-update-page: Mark installed apps for removal
  * gs-external-appstream-utils: use external-appstream-system-wide key
